/************************** 定义全局变量 ********************************/
var LD_ZHLB_NAME = ""; // 本地数据 - 账户列表名称
var LD_JZZH_NAME = ""; // 本地数据 - 记住账户名称
var LD_LSZH_LSIT = []; // 本地数据 - 历史登录账号列表数据
var QUICKJUMP = ""; // 快捷跳转页面
var _handleMethod = function handleMethod() {}; // 回调方法
var _fxtsHandleMethod = function fxtsHandleMethod() {}; // 风险提示回调方

LD_ZHLB_NAME = params.ywlx == "ptjy" ? "ptjyLszhList" : "rzrqLszhList";
LD_JZZH_NAME = params.ywlx == "ptjy" ? "ptjyJZZH" : "rzrqJZZH";
LD_LSZH_LSIT = getLocalData(LD_ZHLB_NAME) != null ? JSON.parse(getLocalData(LD_ZHLB_NAME)) : [];
QUICKJUMP = getLocalData("quickJump");

var app = angular.module('Login', []);
app.controller('loginController', function ($rootScope, $scope, $http, $compile) {
    getControllerMethod($rootScope, $scope, $http, $compile);

    $scope.userAgent = navigator.userAgent;

    //普通交易登录是否显示交易首页的开户按钮
    $scope.isTradeOpenAccountShow = isTradeOpenAccountShow;
    //中信建投普通交易、融资融券登录样式显示设置2016.3.30 add
    $scope.isIphonClass = isIphonClass;
    // 显示登录263邮箱 2016.4.7 add
    $scope.isShowEmail = isShowEmail;
    //"没有账户"文字链接是否有效(目前中信建投有效)
    $scope.isNoAccountLinkEffect = true;
    // 初始时验证码不显示
    $scope.isYzmClass = false;

    // 密码输入框是否明文显示
    $scope.isEysOpen = false;
    // 密码输入框的类型
    $scope.passwordTyle = 'password';
    // 是否历史登录过多个资金账号
    $scope.isMultiAccount = LD_LSZH_LSIT.length > 0;
    // 是否显示多账户列表
    $scope.isShowMultiAccount = false;
    // 多账户列表
    $scope.multiAccountList = LD_LSZH_LSIT.reverse();
    // 登录不允许提交(默认)(PS: 只有表单填完后才能提交)
    $scope.isSubmitDisabled = true;
    // 聚集到客户标识输入框 ['': 没有聚集, 'focus': 已聚集]
    $scope.inputFocusKhbz = '';
    // 是否显示输入框右边的清除按钮(点击 x 可以清除输入框的内容，默认不显示)
    $scope.isShowInputClearBtn = {
        khbz: false,
        jymm: false,
        vertifyCode: false
        // 表单里的警告信息提醒
    };$scope.formWarningInfo = '';
    // 登录页面输入框旁边删除按钮的图片
    $scope.loginDelteBtnImg = getLocalData('kdsAppThemeName') === 'night' ? 'login-delte-btn-night.png' : 'login-delte-btn.png';

    // 保持在线时间(超时时间)相关信息
    $scope.timeoutSelect = {
        // 当前显示的文本
        'currentText': '--分钟',
        // 下拉框文本标题显示
        'title': '保持在线时间选择',
        // 下拉框选项
        'options': [{ 'label': '10分钟', 'value': '10', 'checked': false }, { 'label': '30分钟', 'value': '30', 'checked': false }, { 'label': '1小时', 'value': '60', 'checked': false }, { 'label': '2小时', 'value': '120', 'checked': false }, { 'label': '6小时', 'value': '360', 'checked': false }],
        // 是否显示超时选择项
        'show': false
    };
    $scope.isReadonly = params.browser != 'pc' ? true : false;

    // 广告位信息
    $scope.adsInfo = {
        "show": true, // 显示广告位
        "src": "../../../images/login/login_ads.png", // 图片地址
        "link": "" // 链接地址
    };

    //点击密码框
    $scope.onPWInputClick = function (tag, type) {
        if (tag === 'khbz') {
            $('#' + tag).val('');
            // 需求变更：不显示选中效果
            // $scope.inputFocusKhbz = 'focus';
            // $scope.isMultiAccount = false;
        } else {
            $scope.inputFocusKhbz = '';
            $scope.isMultiAccount = LD_LSZH_LSIT.length > 0;
        }
        this.showInputClearBtn(tag);
        INPUT_CLICK.placeholder(tag);
        // 新版弹出系统键盘,其他用默认键盘
        if (!isSystemKeyboard) {
            showKeyboard(tag, type);
        }
    };

    $scope.Login = function () {
        //点击登录后关闭键盘
        hideKeyBoard();

        onAgentEvent('交易登录_登录', '', '');

        if (this.validate() == true) {
            // 把登录流程放到一个方法里，等检测设备号成功后再执行
            var loginHanderMethod = function loginHanderMethod() {
                var lastUrl = params.ywlx == "ptjy" ? "ptjy/ptyw/login2" : "rzrq/ptyw/login";

                var sendParam = getformdata();

                ajaxPost(getApiUrl() + lastUrl, sendParam, function (response) {
                    // 重写回调方法
                    _handleMethod = function handleMethod() {
                        // 保存登录账号
                        addKhbs(getformdata().khbz);
                        var userInfo = {};
                        if (response.dlxx) {
                            //=======要从表单中提取出交易密码==============
                            userInfo["head"] = sendParam;
                            userInfo["body"] = response;
                            var dlxx = response.dlxx;
                            onLoginTrade(dlxx);
                            if (isLoginLogShow) {
                                //登录回显是否显示
                                var dlxxObj = dlxx[0];
                                if (dlxxObj.zjdlrq && dlxxObj.zjdlsj) {
                                    setLocalData("loginLog_" + params.ywlx, { date: dlxxObj.zjdlrq, time: dlxxObj.zjdlsj });
                                }
                            }
                            parseUserInfo(params.ywlx, userInfo, response.dlxx[0].khdm, funBeforeJumpToHomePage);
                        }

                        // 执行完成后, 重定义方法
                        _handleMethod = function handleMethod() {};
                    };

                    // 风险提示回调方法
                    _fxtsHandleMethod = function fxtsHandleMethod() {
                        if (isNeedWindControlTips()) {
                            // 风控提示
                            windControlTips();
                        } else {
                            _handleMethod();
                        }

                        // 执行完成后, 重定义方法
                        _fxtsHandleMethod = function fxtsHandleMethod() {};
                    };

                    // 红包活动；未登录，从活动页跳转过来
                    if (getLocalData("quickJump") == "KDS_STOCK_QUIZ" && params.ywlx == "ptjy") {
                        _handleMethod();
                    } else {
                        // 判断是否需要进行夜市状态与柜台测试提醒
                        var zttx = yswtOrGtcsApi.isNeedTips(response);
                        if (zttx.isYSWT || zttx.isGTCS || zttx.isYSWTAndGTCS) {
                            // 是否显示夜市委托提醒
                            window.isShowYSWT = true;
                            // 夜市状态与柜台测试提醒
                            yswtOrGtcsApi.showTips(zttx);
                        } else {
                            _fxtsHandleMethod();
                        }
                    }
                }, $scope.loginError);
            };

            // 判断是否需要使用短信注册流程
            if (isSmsRegistrationProcess) {
                // 短信注册流程初始化
                SMS_REGISTRATION_PROCESS.init(loginHanderMethod);
            } else {
                loginHanderMethod();
            }
        } else {
            $scope.inputClearClick('vertifyCode');
        }
    };

    /**
     * 登录业务报错之后的处理
     */
    $scope.loginError = function (response) {
        $scope.isYzmClass = true;
        this_loginVerification.getVerification();
        $scope.inputClearClick('vertifyCode');

        var msg = response.cljg[0].message;
        if (isLoginPWDErrorFrameShow) {
            //是否显示交易登录密码错误3次，是否弹出退出app提示框
            if (msg.indexOf("980023096") != -1) {
                //登录密码错误
                pwdErrorCount++;
                msg = "客户密码错误或账号密码不匹配";
            }
        }
        if (pwdErrorCount >= 3) {
            //第3次错误，弹出框
            window.Confirm = function () {
                //点击确定退出App
                closeApp();
                CloseAlert();
            };
            msg = "您输入的密码已连续错误三次，为保障您的账户安全，请稍后再试吧！";
        }

        var resCode = response.cljg[0].code;
        // app 版本错误，禁止登录交易
        if (resCode == "100" || resCode == "101") {
            LOW_VERSION_LOGIN.showUpdataAppModal(resCode);
        }
        // H5 版本错误, 禁止登录交易
        else if (resCode == "200" || resCode == "201") {
                LOW_VERSION_LOGIN.showUpdataH5Modal(resCode);
            } else {
                $scope.formWarningTipsOralert(msg);
            }
    };

    //密码错误累加次数
    var pwdErrorCount = 0;
    $scope.freshCode = function () {
        $scope.inputClearClick('vertifyCode');
        this_loginVerification.getVerification(); //刷新验证码
    };

    /**
     * 显示输入框右边的清除按钮
     */
    $scope.showInputClearBtn = function (id) {
        $scope.isShowInputClearBtn = {
            khbz: false,
            jymm: false,
            code: false
        };

        if (id != null && id != '' && $('#' + id).val() && $('#' + id).val().length > 0) {
            $scope.isShowInputClearBtn[id] = true;
        }
    };

    $scope.inputValueListener = function (id) {
        var khbz = $("#khbz").val();
        var jymm = $("#jymm").val();
        var inputCode = $("#vertifyCode").val() || '';

        if (khbz.length == 0) {
            $scope.isSubmitDisabled = true;
            return false;
        }

        if (jymm.length == 0) {
            $scope.isSubmitDisabled = true;
            return false;
        }

        if ($scope.isYzmClass) {
            if (inputCode.length <= 0) {
                $scope.isSubmitDisabled = true;
                return false;
            }
        }

        $scope.isSubmitDisabled = false;
    };

    /**
     * 输入框清空事件
     */
    $scope.inputClearClick = function (id) {
        $('#' + id).val('');
        this.showInputClearBtn(id);
        this.inputValueListener(id);
    };

    /**
     * 切换账户点击事件
     */
    $scope.multiAccountClick = function () {
        $scope.isShowMultiAccount = !$scope.isShowMultiAccount;
    };

    /**
     * 密码输入框切换睁眼/闭眼
     */
    $scope.showEyeClick = function () {
        if ($scope.isEysOpen) {
            $scope.isEysOpen = false;
            $scope.passwordTyle = 'password';
        } else {
            $scope.isEysOpen = true;
            $scope.passwordTyle = 'text';
        }
    };

    /**
     * 历史账户列表，点击列表行数据，将选中的账户显示输入框内
     */
    $scope.multiAccountRowClick = function (row) {
        $('#khbz').val(row);
        $scope.isShowMultiAccount = false;
        this.inputValueListener();
    };

    /**
     * 历史账户列表，在列表中删除选中账户信息
     */
    $scope.multiAccountRowDeleteClick = function (row, index) {
        del_khbsList(index, row);
        $scope.multiAccountList = LD_LSZH_LSIT.reverse();
        $scope.isShowMultiAccount = false;
    };

    /**
     * 修改超时时间按钮事件
     */
    $scope.updateTimeoutClick = function () {
        $scope.timeoutSelect.show = true;
        hideKeyBoard();
    };

    /**
     * 超时时间下拉框选择项点击事件
     * @param  {[type]} option [description]
     *     {'label': '5分钟',  'value': '5',  'checked': false}
     * @param  {[type]} isInit [进入页面初始化时调用的]
     */
    $scope.timeoutSelectClick = function (option, isInit) {
        $scope.timeoutSelect.show = false;
        var options = $scope.timeoutSelect.options,
            i = 0,
            len = options.length;
        for (; i < len; i++) {
            if (options[i].value === option.value) {
                $scope.timeoutSelect.currentText = options[i].label;
                options[i].checked = true;
                if (isInit == null) {
                    var functionKey = 'LOGIN_TIMEOUT_KEY';
                    var jsonStr = JSON.stringify({ 'time': option.value });
                    setLocalData(functionKey, option.value);
                    callbackTradeFunction(functionKey, jsonStr);
                }
            } else {
                options[i].checked = false;
            }
        }
    };

    /**
     * 登录遇到问题点击事件
     * @return {[type]} [description]
     */
    $scope.questionClick = function () {
        var functionKey = 'LOGIN_QUESTION_KEY';
        callbackTradeFunction(functionKey, '{}');
    };

    $scope.forgetAccountClick = function () {
        var urlKey = 'WJZJZH_KEY';
        var url = params.THIRD_PARTY_WEB_URL.WJZJZH_KEY_URL;
        var functionUrl = getThirdPartyWebUrl(urlKey, url);
        var functionKey = 'KDS_TICKET_NO_JSSWITCH_WJZJZH';
        openThirdPartyWebInSubPage('0', functionKey, functionUrl, '');
    };

    /**
     * 自助开户
     */
    $scope.autoOpen = function (type) {
        onAgentEvent('交易登录_开户', '', '');
        if (type == "zzkh") {
            selfserviceAccount();
        } else if (type == "jdzh") {
            if (getLocalData("ipandport")) {
                var ipandport = JSON.parse(getLocalData("ipandport"));
                ipandport = ipandport.dgWxdl;
                window.location.href = ipandport + "/cgi-bin/mobilePersonCenter/thaw/ThawAction?function=AccountThaw_set1";
            } else {
                console.log("APP 没有下发个人中心的 IP 和端口");
            }
        } else {
            console.log("该按钮点击无效");
        }
    };

    //登录263邮箱
    $scope.loginEmailOpen = function () {
        onAgentEvent('交易登录_开户', '', '');
        openThirdPartyWebInterface("0", "http://rzrq.263.net/");
    };

    /**
     * 表单验证
     * @return {[type]} [description]
     */
    $scope.validate = function () {
        var khbz = $("#khbz").val();
        var jymm = $("#jymm").val();

        var inputCode = $("#vertifyCode").val();

        params.modaltype = 1;

        if (khbz.length == 0) {
            $scope.formWarningTipsOralert('请输入您的账号');
            return false;
        }

        if (jymm.length == 0) {
            $scope.formWarningTipsOralert('请输入您的交易密码');
            return false;
        }

        if ($scope.isYzmClass) {
            if (inputCode.length <= 0) {
                $scope.formWarningTipsOralert('请输入验证码');
            } else {
                return this_loginVerification.checkVerification(inputCode);
            }
        } else {
            return true;
        }

        return false;
    };

    /**
     * 模拟框的确认按钮
     */
    $scope.Ensure = function () {
        this.hadnleConfirmBut();
    };

    /**
     * 回调确认按钮事件
     */
    $scope.hadnleConfirmBut = function () {
        // 关闭模态框
        Dialog.closeAlert();

        if (window.isShowYSWT) {
            window.isShowYSWT = false;
            // 风险提示的回调方法
            _fxtsHandleMethod();
        } else {
            _handleMethod();
        }
    };

    /**
     * 广告位图片点击的事件
     */
    $scope.adsImgClick = function () {
        onAgentEvent('交易登录_开户', '', '');
        // TODO 先固定为自助开户，后期根据原生的完善来修改
        selfserviceAccount();
        // adsApi.adsImgClick($scope);
    };

    $scope.openYszc = function () {
        openThirdPartyWebInterface('0', 'https://e.csc108.com/app/privacy_policy.html');
    };

    $scope.adsClose = function () {
        adsApi.adsClose($scope);
    };

    /**
     * 表单警告信息提示或弹框
     */
    $scope.formWarningTipsOralert = function (content) {
        $scope.formWarningInfo = content;
    };

    // 显示广告位
    adsApi.showAds($scope);

    // 设置内容区域的高度
    $scope.$watch('$viewContentLoaded', function () {
        var functionKey = 'LOGIN_TIMEOUT_KEY';
        var timeout = getLocalData(functionKey);
        if (timeout != null) {
            $scope.timeoutSelectClick({ 'value': timeout }, true);
        }
    });
});

function funBeforeJumpToHomePage(gotoHomeFun) {
    var param = setDefaultJsonData();
    if (param.khbz.length <= 6) {
        //中信建投的B股的资金账号类型，不进行风险测评
        gotoHomeFun(); //跳转到主页
        return;
    }
    // 普通交易先进行风险测评查询
    // 默认已经测评通过
    var isAfterEvluation = true;
    // 临近到期提醒
    var isApproachingExpirationReminder = false;
    // 风险测评更新
    var isRiskAssessmentUpdate = false;
    // 需要做风险测评
    var isRisk = false;
    // 科创板重新签约
    var isKcbReSign = false;
    var moreParameters = {};
    // 风险测评查询后，不需要测评时，调用 gotoHomeFun 方法时的入参参数
    // 出异常时，就会执行这里的默认方法
    var gotoHomeFunHandleMethod = function gotoHomeFunHandleMethod() {
        // 风险测评登录时的标识
        var json = {
            'fxcpType': '1'
            // 设置风险等级给原生APP
        };setRiskLevel(getLocalData('quickJump') || '', JSON.stringify(json));
    };

    var postURL = 'ptjy/zhyw/fxcpjgcx';
    if (params.ywlx == "rzrq") {
        postURL = 'rzrq/zhyw/fxcpjgcx';
    }

    ajaxPost(getApiUrl() + postURL, param, function (response) {

        var info = response.fhxx;
        if (info && info.length > 0) {
            // [ 客户号,        khh,    INTEGER,    0, ]
            // [ 预约流水号,    yylsh,  INTEGER,    0, ]
            // [ 试题编码,      stbm,   INTEGER,    0, ]
            // [ 测试评分,      cspf,   INTEGER,    0, ]
            // [ 评级级别,      pjjb,   INTEGER,    0, "-1:未做风险测评"]
            // [ 级别名称,      jbmc,   VARCHAR,    32, ]
            // [ 评级日期,      pjrq,   INTEGER,    0, ]
            // [ 有效日期,      yxrq,   INTEGER,    0, ]
            // [ 系统日期,      xtsj,   INTEGER,    0, ]
            // [ 是否过期,      sfgq,   VARCHAR,    0,  "Y过期N未过期" ]
            // [ 风险测评新版,  fxcpxb, VARCHAR,    0,  "1: 新版, 表示经过适当性改造, 以下字段生效，否则是老版"]
            // [ 测评结果即将过期提醒标示,  cpjgjjgqtxbs, VARCHAR,1,  "0:否;1:是"]
            // [ 临近到期提醒话术,  txhs,   VARCHAR,    0, ]
            // [ 能否重测,      nfcc,   VARCHAR,    0,  "0:否; 1:是"]
            // [ 投资者分类,    tzzfl,  VARCHAR,    1,  "0:普通投资者;1:专业投资者"]
            // [ 测评更新告知标示,  cpgxgzbs,   VARCHAR,    1,  "0:否;1:是"]
            // [ 测评更新告知话术,  cpgxgzhs,   VARCHAR,    0, ]
            // [ 客户属性,khsx,VARCHAR,1,"0:个人;其他:机构" ] PS: 仅融资融券下增加
            info = info[0];

            // 2018-08-27 补充
            // 1. 因为两融交易登录调用柜台 410301-用户登录 无法像普通交易同名接口一样获得“singleflag-客户标志（0-个人；1-机构）”，所以 rzrq/zhyw/fxcpjgcx 中，可以通过调用 99000387-客户适当性信息查询 的返回 USER_TYPE-用户性质（0-个人；1-机构；2-产品） 代替，而不再使用H5的入参
            // 2. 针对其他服务器接口，如果也需要H5传客户类型，则H5应通过 fxcpjgcx 返回的 USER_TYPE 将用户类型保存本地，后续调用服务器接口时，再吧 USER_TYPE 传入
            if (params.ywlx === 'rzrq') {
                var rzrqUserKey = 'ActiveRZRQUser';
                var activeRZRQUser = JSON.parse(getLocalData(rzrqUserKey));
                activeRZRQUser.body.dlxx[0].khsx = info.khsx;
                setLocalData(rzrqUserKey, JSON.stringify(activeRZRQUser));
            }

            if (info.tzzfl === '1') {
                // 专业投资者不做强制风险测评
                console.log('专业投资者不做强制风险测评');
                // 科创板重新签约
                if (info.kcbcxqybz === '1' || info.kcbcxqybz === '2') {
                    isAfterEvluation = false;
                    isKcbReSign = true;
                }
            } else if ("-1" == info.pjjb.toString()) {
                // 未签约
                isAfterEvluation = false;
                isRisk = true;
            } else {
                // 有效日期 < 系统时间
                if (info.yxrq < info.xtsj) {
                    isAfterEvluation = false;
                    isRisk = true;
                    setLocalData('exceed_two_years', 'true');
                }

                // 新版本流程
                if (info.fxcpxb === '1') {
                    // 临近到期 && 能测评
                    if (info.cpjgjjgqtxbs === '1' && info.nfcc === '1') {
                        isAfterEvluation = false;
                        isApproachingExpirationReminder = true;
                        console.log('您的风险测评结果即将到期，请您尽快重新进行风险测评，以保证交易顺序进行，谢谢！');
                    }

                    if (info.cpgxgzbs === '1') {
                        isAfterEvluation = false;
                        isRiskAssessmentUpdate = true;
                    }

                    // 科创板重新签约
                    if (info.kcbcxqybz === '1' || info.kcbcxqybz === '2') {
                        isAfterEvluation = false;
                        isKcbReSign = true;
                    }

                    moreParameters = {
                        'txhs': info.txhs,
                        'cpgxgzhs': info.cpgxgzhs
                    };
                }
            }

            // 风险测评结果查询有结果返回，这里重新该方法
            gotoHomeFunHandleMethod = function gotoHomeFunHandleMethod() {
                // 风险测评登录时的标识
                info.fxcpType = '1';
                // 设置风险等级给原生APP
                setRiskLevel(getLocalData('quickJump') || '', JSON.stringify(info));
            };
        }

        var riskControlData = {
            isAfterEvluation: isAfterEvluation,
            isApproachingExpirationReminder: isApproachingExpirationReminder,
            isRiskAssessmentUpdate: isRiskAssessmentUpdate,
            isRisk: isRisk,
            isKcbReSign: isKcbReSign,
            fhxx: info,

            moreParameters: moreParameters,
            riskFunc: function riskFunc() {
                // 测评风险类型
                var key = 'risk-evluation-info';
                var localData = getLocalData(key) ? JSON.parse(getLocalData(key)) : {
                    'ptjyRisk': {
                        khfxdj: info.pjjbmc,
                        pjjb: info.pjjb,
                        khfxdjsm: info.pjjbmc,
                        cpdf: info.jcfz,
                        cprq: info.cprq
                    },
                    'rzrqRisk': {
                        khfxdj: info.pjjbmc,
                        pjjb: info.pjjb,
                        khfxdjsm: info.pjjbmc,
                        cpdf: info.jcfz,
                        cprq: info.cprq
                    }
                };
                localData['currentType'] = params.ywlx === 'ptjy' ? 'ptjyRisk' : 'rzrqRisk';;
                setLocalData(key, localData);

                var url = params.viewKey.KDS_DZQY_FXCP_START;
                if (params.ywlx === 'rzrq') {
                    url = params.viewKey.KDS_RZRQ_DZQY_FXCP_START;
                }
                JumpInterface(url, 8, 1);
            }
        };

        riskControl(riskControlData, gotoHomeFun.bind(this, gotoHomeFunHandleMethod));

        // 设置成 false，防止下面 completeMethod 里再次执行 gotoHomeFun()
        isAfterEvluation = false;
    }, null,
    // 设置 ajax 请求可配置参数
    {
        // 设置 ajax 请求超时的时间值：5 秒
        "timeout": 5000,
        // 不需要进行统一报错提醒 (这个报错是指业务上的报错)
        "issuccess": false,
        // ajajx 请求报错后，不需要弹出报错信息
        "iserror": false,
        // 检测账户风险测评时出现连接统一账户柜台失败或超时，进入登录后的交易首页  2016.08.02 add
        "completeMethod": function completeMethod() {
            if (isAfterEvluation) {
                gotoHomeFun(gotoHomeFunHandleMethod); //跳转到主页
            }
        },
        "isQHZD": params.switchingStationCount > 1 ? true : false
    });
}

/**
 * 风险测评控制层 (风险测评里一些业务的串行处理)
 */
function riskControl(data, callback) {
    // 风险测试后需要执行回调
    if (data.isAfterEvluation) {
        callback();
    }
    // 临近到期提醒
    else if (data.isApproachingExpirationReminder) {
            data.isApproachingExpirationReminder = false;
            // 点击 `知道了` 按钮会回调回来，点击 `去测评` 按钮，跳转到其它界面，就不会有回调
            approachingExpirationReminder(riskControl.bind(this, data, callback), false, data.moreParameters);
        }
        // 风险测评更新弹框
        else if (data.isRiskAssessmentUpdate) {
                data.isRiskAssessmentUpdate = false;
                // 成功或失败都回调回来
                riskAssessmentUpdateAlert(riskControl.bind(this, data, callback), data.moreParameters);
            }
            // 风险测评
            else if (data.isRisk) {
                    // 跳转到其它界面，不会有回调
                    data.riskFunc();
                }
                // 科创板重新签约
                else if (data.isKcbReSign) {
                        data.isKcbReSign = false;
                        // `取消` 按钮回调回来， `去签署` 按钮跳转到业务办理
                        kcbReSignAlert(data, riskControl.bind(this, data, callback));
                    } else {
                        if (typeof callback === 'function') {
                            callback();
                        }
                    }
}

/**
 * 临近到期提醒
 *
 * @test
        approachingExpirationReminder(
            function() {
                console.log('end');
            },
            true, {
                txhs: '您的风险测评结果即将到期，请您尽快重新进行风险测评，以保证交易顺序进行，谢谢！',
                cpgxgzhs: '因为风险测评题已变更，导致您的测评分值会偏差，拒绝则使用之前的分值，同意则使用新的分值。'
            }
        );
 */
function approachingExpirationReminder(method, isRiskAssessmentUpdate, moreParameters) {
    var modal = {
        'title': '风险测评',
        'msg': [{
            'class': 'align-left',
            'value': moreParameters.txhs || ''
        }]
    };
    var options = {
        'isController': true,
        'leftButtonText': '知道了',
        'rightButtonText': '去测评',
        'leftButtonClick': function leftButtonClick() {
            Dialog.closeAlert('modalTips');
            onAgentEvent('普通交易>登录', '临近到期提醒>知道了');
            if (isRiskAssessmentUpdate) {
                riskAssessmentUpdateAlert(method, moreParameters);
            } else if (method) {
                method();
            }
            isAfterEvluation = false;
        },
        'rightButtonClick': function rightButtonClick() {
            Dialog.closeAlert('modalTips');
            onAgentEvent('普通交易>登录', '临近到期提醒>去测评');
            // 测评风险类型
            var key = "risk-evluation-info";
            var localData = getLocalData(key) ? JSON.parse(getLocalData(key)) : {};
            localData["currentType"] = params.ywlx === 'ptjy' ? 'ptjyRisk' : 'rzrqRisk';
            setLocalData(key, localData);
            setLocalData('expiration_reminder', 'true');
            var url = params.viewKey.KDS_DZQY_FXCP_START;
            if (params.ywlx === 'rzrq') {
                url = params.viewKey.KDS_RZRQ_DZQY_FXCP_START;
            }
            JumpInterface(url, 8, 1);
        }
    };
    Dialog.alert(controller.scope, controller.compile, modal, options);
}

/**
 * 风险测评更新弹框
 */
function riskAssessmentUpdateAlert(method, moreParameters) {
    var modal = {
        'title': '风险测评',
        'msg': [{
            'value': moreParameters.cpgxgzhs || ''
        }]
    };
    var options = {
        'isController': true,
        'leftButtonText': '拒绝',
        'rightButtonText': '同意',
        'leftButtonClick': function leftButtonClick() {
            Dialog.closeAlert('modalTips');
            onAgentEvent('普通交易>登录', '风险测评更新弹框>拒绝');
            riskAssessmentUpdateSubmit('2', method);
        },
        'rightButtonClick': function rightButtonClick() {
            Dialog.closeAlert('modalTips');
            onAgentEvent('普通交易>登录', '风险测评更新弹框>同意');
            riskAssessmentUpdateSubmit('5', method);
        }
    };
    Dialog.alert(controller.scope, controller.compile, modal, options);
}

/**
 * 风险测评更新提交
 * @param  String state  状态 ['2': 拒绝, '5': 已确认]
 */
function riskAssessmentUpdateSubmit(state, method) {
    var param = setDefaultJsonData();
    param = Object.assign(param, {
        'czlx': state
    });

    var postURL = 'ptjy/zhyw/khycpgjgjh';
    // PS：开会讨论时说过，融资融券不会出现风险测评更新提交情况
    if (params.ywlx == "rzrq") {
        postURL = 'rzrq/zhyw/khycpgjgjh';
    }

    ajaxPost(getApiUrl() + postURL, param, function (response) {}, function () {}, {
        // ajajx 请求报错后，不需要弹出报错信息
        "iserror": false,
        // 无论成功失败都进入交易
        "completeMethod": function completeMethod() {
            angular.element($("body")).scope().$apply(function () {
                method();
            });
        }
    });
}

/**
 * 科创板风险更新 (重新签约)
 */
function kcbReSignAlert(data, method) {
    var boolean = true;
    // 若用户当前为融资融券交易登录，下方按钮只有“知道了”，点击弹框消失，登录成功
    if (params.ywlx === 'rzrq') {
        boolean = false;
    }
    var modal = {
        'title': '重要提示',
        'msg': [{ value: data.fhxx.kcbcxqytshs || '' }]
    };
    var options = {
        'isController': true,
        'leftButtonText': '暂不签署',
        firstBtnHide: !boolean,
        'rightButtonText': boolean ? '去签署' : '知道了',
        'leftButtonClick': function leftButtonClick() {
            Dialog.closeAlert('modalTips');
            method();
        },
        'rightButtonClick': function rightButtonClick() {
            Dialog.closeAlert('modalTips');
            if (boolean) {
                KCB.kechuangBoardReSign('1');
            } else {
                method();
            }
        }
    };
    Dialog.alert(controller.scope, controller.compile, modal, options);
}

/**
 * 移除模态框(取消按钮)
 * # 不记住账号
 */
function CloseModal2() {
    Dialog.confirm();

    if ($("#remember").attr("checked") != undefined) {
        updataCheckBox($("input[type=checkbox]"));
    }

    // 执行回调函数
    _handleMethod();
}

/**
 * 是否需要风控提示
 * @return true: 需要; false: 不需要
 */
function isNeedWindControlTips() {
    // 记住账号已经勾选
    var b1 = $("#remember").attr("checked") != undefined;
    // 已经记信账号了
    var b2 = function b2() {
        var khbz = $("#khbz").val();
        var len = LD_LSZH_LSIT.length;
        for (var i = 0; i < len; i++) {
            if (khbz == LD_LSZH_LSIT[i]) {
                return true;
            }
        }
        return false;
    };
    // 该版本需要这功能
    var b3 = isLoginWindControlTips;

    if (b1 && !b2() && b3) {
        return true;
    }

    return false;
}

/**
 * 是否需要夜市委托与柜台测试状态提醒
 */
var yswtOrGtcsApi = function () {
    // 是否需要提示
    function isNeedTips(response) {
        // 状态提醒
        var zttx = {
            // 夜市委托
            isYSWT: false,
            // 柜台测试
            isGTCS: false,
            // 夜市委托且柜台测试
            isYSWTAndGTCS: false,
            // 夜市委托的提示话术
            yswtTs: ''
        };

        var dlxxObj = response.dlxx[0];
        if (dlxxObj.sfjysj == 0) {
            zttx.isYSWT = true;
            zttx.yswtTs = dlxxObj.fjysjts;
        }

        if (dlxxObj.gtmc.indexOf("测试") > 0) {
            zttx.isGTCS = true;
        }

        if (zttx.isYSWT && zttx.isGTCS) {
            zttx.isYSWTAndGTCS = true;
        }

        return zttx;
    }

    // 显示提示信息
    function showTips(zztx) {
        var msg = [];
        var title = '提示';
        if (zztx.isYSWTAndGTCS || zztx.isGTCS) {
            msg = [{ class: 'align-left', value: '尊敬的客户：' }, { class: 'align-left tIndent2', value: '系统正在测试，请稍候登录…' }, { class: 'align-left tIndent2', value: '由于测试可能会出现：无法登录、连接失败、后台繁忙、业务超时或行情市值不准确等情况，不能进行除测试之外的操作，测试完成后即可恢复正常！' }, { class: 'align-left', value: '请问是否继续登录？' }];
        } else if (zztx.isYSWT) {
            msg = [{
                class: 'align-left tIndent2',
                value: zztx.yswtTs
            }];
            title = '重要提示';
        }

        var modal = {};
        modal["title"] = title;
        modal["msg"] = msg;

        if (zztx.isGTCS || zztx.isYSWTAndGTCS) {
            Dialog.alert(controller.scope, controller.compile, modal, { firstBtnHide: true, exclamatoryIcoHide: true });;

            var closeAlert = Dialog.closeAlert;
            Dialog.closeAlert = function () {
                ClearLoginInfo();
                closeAlert();
                Dialog.closeAlert = closeAlert;
            };
            // 防止确认按钮点击无效，所以这里重写
            controller.scope.Ensure = function () {
                // 点击确认按钮时还原 Dialog.closeAlert 方法
                Dialog.closeAlert = closeAlert;
                controller.scope.hadnleConfirmBut();
            };
        } else if (zztx.isYSWT) {
            Dialog.alert(controller.scope, controller.compile, modal, { firstBtnHide: true });
        }
    }

    // 查询系统状态
    function queryCXXTZT() {
        ajaxPost(getApiUrl() + 'ptjy/ptyw/cxxtzt', {}, function (response) {
            try {
                var fhxx = response.fhxx[0];
                if ((fhxx.xtzt == 0 || fhxx.xtzt == 9) && fhxx.wtrq > fhxx.sysdate) {
                    showTips({ isYSWT: true });
                }
            } catch (e) {
                console.error(e);
            }
        }, null,
        // 设置 ajax 请求可配置参数
        {
            // 设置 ajax 请求超时的时间值：5 秒
            'timeout': 45000,
            // 不需要进行统一报错提醒 (这个报错是指业务上的报错)
            'issuccess': false,
            // ajajx 请求报错后，不需要弹出报错信息
            'iserror': false,
            'isQHZD': params.switchingStationCount > 1 ? true : false
        });
    }

    return {
        isNeedTips: isNeedTips,
        showTips: showTips,
        queryCXXTZT: queryCXXTZT
    };
}();

/*=========================================================
 函数功能：删除登录账号历史输入信息
 入参说明；index	按索引删除
 num 	按账号删除
 ==========================================================*/
function del_khbsList(index, num) {
    event = event || window.event;
    event.stopPropagation();

    // 按钮账号删除
    if (num != undefined) {
        for (var i = 0; i < LD_LSZH_LSIT.length; i++) {
            if (num == LD_LSZH_LSIT[i]) {
                index = i;
                break;
            }
        }
    } else {}
    // 按索引删除


    // 记住账号与删除的账号相同, 则把记住的账号删除
    if (getLocalData(LD_JZZH_NAME) == LD_LSZH_LSIT[index]) {
        $("#khbz").val("");
        setLocalData(LD_JZZH_NAME, '');
        removeLocalData(LD_JZZH_NAME);
    }

    //从指定位置删除一个元素
    LD_LSZH_LSIT.splice(index, 1);

    // 账号下拉框重新生成显示数据
    Khbs_add_selelct();

    // 将新的登录账号数据保存到本地存储
    setLocalData(LD_ZHLB_NAME, LD_LSZH_LSIT);
}

/*=========================================================
 函数功能：登录账号数据添加到下拉框
 ==========================================================*/
function Khbs_add_selelct() {
    // 清空下拉框数据
    $(".khbsList").empty();

    // 动态添加数据到下拉框中
    for (var i = LD_LSZH_LSIT.length - 1; i > -1; i--) {
        $(".khbsList").append('<p><label>' + LD_LSZH_LSIT[i] + '</label><a onclick="del_khbsList(' + i + ')"></a></p>');
    }
}

/**
 * 风控提示
 * # 确认 ? 保存账号 ： 不保存账号
 * # (只能在 angularjs 控制器里调用)
 */
function windControlTips() {
    // angular.element($("body")).scope().$apply(function() {
    var modal = {};

    modal["title"] = "温馨提示";

    modal["msg"] = [{ "value": "帐号保存到本地存在一定风险，请您注意！" }];

    Dialog.alert(controller.scope, controller.compile, modal);

    // 使取消按钮回调其它函数
    setTimeout(function () {
        $("#modalTips .btn.btn-default").attr("onclick", "CloseModal2();");
    }, 300);
    //});
}

//将成功登录的客户标识本地存储起来
function addKhbs(obj) {
    //是否需要保存账号
    var isSave = $("#remember").attr("checked") != undefined;
    //是否已保存
    var isExist = false;

    //已经存储了就不需要再保存了,并放到第一个
    var tempIndex = -1;
    var len = LD_LSZH_LSIT.length;
    for (var index = 0; index < len; index++) {
        if (tempIndex != -1) {
            LD_LSZH_LSIT[tempIndex] = LD_LSZH_LSIT[index];
            tempIndex = index;
        } else {
            if (LD_LSZH_LSIT[index] == obj) //当前账号在本地存储已存在
                {
                    isExist = true;
                    tempIndex = index;
                }
        }
    }
    if (tempIndex != -1) {
        LD_LSZH_LSIT[len - 1] = obj;
    }

    if (isSave) {
        if (!isExist) {
            //当客户标识存储数量超过设置值时，删除第一个
            if (LD_LSZH_LSIT.length >= loginSaveQuantity) {
                LD_LSZH_LSIT.shift();
            }
            LD_LSZH_LSIT.push(obj);
        }
        setLocalData(LD_ZHLB_NAME, LD_LSZH_LSIT);
        setLocalData(LD_JZZH_NAME, obj);
    } else {
        // 存在不需要保存则删除
        if (isExist) {
            del_khbsList(0, obj);
        }
        setLocalData(LD_JZZH_NAME, "");
        removeLocalData(LD_JZZH_NAME);
    }
}

/**======== 客户标识 历史输入记录下拉框显示 end ===========*/

/**
 * 登陆时获取验证码及验证验证码
 * inputCode 验证输入的验证码是否正确时，用户输入验证码的值
 */
var this_loginVerification = function () {

    var getVerificationCode; // 定义获取的验证码
    var lostCounts = 0; // 定义验证连续失败次数
    var local = true; // 验证码是否为本地生成的
    var cellPhoneNumber = getLocalData('cellPhoneNumber');
    var getApiUrl = getLocalData("apiUrlSystem");
    var tocken = '';

    // 获取验证码
    function getVerification() {
        if (getApiUrl && lostCounts < 2) {
            getServerCode();
        } else {
            getLocalCode();
        }
    }

    // 接收验证码
    function receiveVerification() {
        return getVerificationCode;
    }

    // 验证输入的验证码
    function checkVerification(inputCode) {

        if (local == true) {
            if (inputCode == getVerificationCode) {
                lostCounts = 0;
                return true;
            } else {
                controller.scope.formWarningTipsOralert('验证码输入错误!');
                getLocalCode();
                return;
            }
        } else {
            return checkServerCode(inputCode);
        }
    }

    /**
     * 请求服务器验证输入的验证码是否正确
     */
    function checkServerCode(inputCode) {
        var serverSuss = null; // 验证服务器验证码时是否访问成功
        var flag = null;
        var cellPhoneNumberEnc = JSON.parse(getLocalData("cellPhoneNumberEnc") || "{}");
        var param = {};
        param.phone_number = cellPhoneNumber;
        param.rand_code = inputCode;
        param.tocken = tocken;
        param.phone_num_enc1 = cellPhoneNumberEnc.phone_num_enc1;
        param.phone_num_enc2 = cellPhoneNumberEnc.phone_num_enc2;
        $.ajax({
            type: "POST",
            url: getApiUrl + '/api/system/randcode/verify/1',
            data: JSON.stringify(param),
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            headers: getPostHeaders(),
            async: false,
            success: function success(response) {
                console.log(response);
                console.log('验证验证码入参：' + JSON.stringify(param));
                console.log('验证验证码出参：' + JSON.stringify(response));
                serverSuss = true;
                if (response.errCode == '0') {
                    lostCounts = 0;
                    flag = 0;
                } else {
                    lostCounts++;
                    flag = 1;
                }
            },
            error: function error(XMLHttpRequest, textStatus, errorThrown) {
                console.log(textStatus);
                serverSuss = false;
            }
        });
        if (flag == 0) {
            return true;
        } else if (flag == 1) {
            if (lostCounts < 2) {
                // 后台验证返回错误
                controller.scope.formWarningTipsOralert('验证码输入错误!');
                getVerification(); // 刷新验证码
                return;
            } else if (lostCounts >= 2) {
                controller.scope.formWarningTipsOralert('验证码输入错误!');
                getLocalCode();
                return;
            }
        } else if (serverSuss == false) {
            controller.scope.formWarningTipsOralert('验证码输入错误!');
            getLocalCode();
            return;
        }
    }

    /**
     * 获取服务器验证码
     */
    function getServerCode() {
        var cellPhoneNumberEnc = JSON.parse(getLocalData("cellPhoneNumberEnc") || "{}");
        var param = {};
        param.phone_number = cellPhoneNumber;
        param.phone_num_enc1 = cellPhoneNumberEnc.phone_num_enc1;
        param.phone_num_enc2 = cellPhoneNumberEnc.phone_num_enc2;
        $.ajax({
            type: "POST",
            url: getApiUrl + '/api/system/randcode/gen/1',
            data: JSON.stringify(param),
            dataType: "json",
            timeout: '3000',
            contentType: "application/json; charset=utf-8",
            headers: getPostHeaders(),
            async: true,
            success: function success(response) {
                console.log('获取验证码入参：' + JSON.stringify(param));
                console.log('获取验证码出参：' + JSON.stringify(response));
                try {
                    if (response.errCode == 0 && response.rand_code) {
                        getVerificationCode = response.rand_code;
                        tocken = response.tocken;
                        $('#checkCode').text(getVerificationCode);
                        local = false;
                    } else {
                        getLocalCode();
                    }
                } catch (e) {
                    getLocalCode();
                }
            },
            error: function error(XMLHttpRequest, textStatus, errorThrown) {
                if (textStatus == 'timeout') {
                    console.log('超时处理');
                    getLocalCode(); // 获取服务器验证码失败时获取本地生成的验证码
                } else {
                    getLocalCode(); // 获取服务器验证码失败时获取本地生成的验证码
                }
            }
        });
    }

    /**
     * 获取本地生成的验证码
     */
    function getLocalCode() {
        getVerificationCode = "";
        var codeLength = 4; //验证码的长度
        //'A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z',
        var selectChar = new Array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9); //所有候选组成验证码的字符，当然也可以用中文的
        for (var i = 0; i < codeLength; i++) {
            var charIndex = Math.floor(Math.random() * 10);
            getVerificationCode += selectChar[charIndex];
        };
        setTimeout(function () {
            console.log('获取本地生成的验证码：' + getVerificationCode);
            $('#checkCode').text(getVerificationCode);
        }, 0);
        local = true;
    }

    return {
        getVerification: getVerification,
        checkVerification: checkVerification,
        receiveVerification: receiveVerification
    };
}();

/**
 * 显示客户号下拉框列表
 */
function showKhbs() {
    if (getLocalData(LD_JZZH_NAME)) {
        $("#remember").addClass("checked");
        $("#remember").attr("checked", true);

        var remember = getLocalData(LD_JZZH_NAME);

        // 客户账号
        $("#khbz").val(remember == undefined || remember == null || remember == "undefined" ? "" : remember);
    }

    if (LD_LSZH_LSIT.length > 0) {
        $(".div1").find(".input-group").addClass("sel_right");

        // 将客户列表数据填充到下拉框
        if ($('.divselect.khbsList').length > 0) {
            Khbs_add_selelct();
        }
    }
}

/*
 *  自定义键盘回调函数【重写】
 *  @param param    键盘输入的值
 */
function fillInputContent(param) {
    var $obj = $("#" + params.id),
        _val = $obj.val(),
        isDel = param == "del";

    if (isDel) {
        $obj.val(_val.substring(0, _val.length - 1));
    } else {

        // 交易密码最大长度只能为8位
        if (params.id == "jymm" && $obj.val().length >= limitNewPasswordLength) {
            showMessageTips("密码最长为" + limitNewPasswordLength + "位!", "7");
        } else {
            $obj.val(_val + param);
        }
    }

    console.log("close all select: " + params.isHideDivSelect);

    // 是否隐藏 DIV 下拉框
    if (params.isHideDivSelect) {
        $("#" + params.id).nextAll(".divselect").removeClass("dis").hide();
        params.isHideDivSelect = false;
    }

    // 验证码输入正确后, 隐藏自定义键盘
    if (params.id == "vertifyCode") {
        var vertifyCode = $obj.val();
        var isHIDE = vertifyCode.length == 4 && vertifyCode.toUpperCase() == this_loginVerification.receiveVerification() ? true : false;
        if (isHIDE) {
            hideKeyBoard();
        }
    }

    angular.element($("body")).scope().$apply(function () {
        controller.scope.showInputClearBtn(params.id);
        controller.scope.inputValueListener(params.id);
    });
}

/*====================================================
 触发条件：点击页面复选框按钮
 执行功能：1、动态设置样式,达到实现切换图片的目的
 ====================================================*/
$("input[type=checkbox]").click(function () {
    updataCheckBox(this);
    onAgentEvent('交易登录_记住账号', '', '');
});

/**
 * 修改复选框状态
 * @param obj 复选框对象
 */
function updataCheckBox(obj) {
    var ID = $(obj).attr("id");
    var khbs = $("#khbs").val();

    if ($(obj).attr("checked")) {
        $(obj).removeClass("checked");
        removeLocalData(ID);
        $(obj).removeAttr("checked");
    } else {
        setLocalData(ID, khbs);
        $(obj).addClass("checked");
        $(obj).attr("checked", true);
    }
}

/**
 * 初始化留痕信息
 *
 *  进入登录页面时，先判断是否已经存储过留痕信息，如果没有则通知 APP 重新设置留痕信息.
 */
function initMarkInfo() {
    var lhxx = getLocalData("lhxx") || '';
    if (lhxx.length == 0) {
        callbackTradeFunction('KDS_INIT_LLXX_KEY', '{}');
    }
}

/**
 * 初始化信息
 *
 * 进入登录页面时，先判断是否已经存储过需要的信息，如果没有则通知 APP 重新设置需要的信息.
 *
 * @param  {[type]} arr [需要初始的信息]
 *   [
 *       // key: localStorage 里存储使用的 key
 *       // appKey: 与原生APP约定的功能 KEY
 *       // params: 需要给原生APP传参数，json 格式
 *       {'key': 'lhxx', 'appKey': 'KDS_INIT_LLXX_KEY', 'params': '{}'},    // 留痕信息
 *       {'key': 'apiUrl', 'appKey': 'KDS_INIT_APIURL_KEY', 'params': '{}'},    // 交易站点
 *       {'key': 'apiUrlNews', 'appKey': 'KDS_INIT_APIURLNEWS_KEY', 'params': '{}'},    // 资讯站点
 *       {'key': 'apiUrlSystem', 'appKey': 'KDS_INIT_APIURLSYSTEM_KEY', 'params': '{}'},    // 认证站点
 *   ]
 */
function initInfo(arr) {
    for (var i = 0, len = arr.length; i < len; i++) {
        console.log('initInfo>>' + JSON.stringify(arr[i]));
        var o = getLocalData(arr[i].key) || '';
        if (o.length == 0) {
            callbackTradeFunction(arr[i].appKey, arr[i].params);
        }
    }
}

/************************** 初始化处理  ************************************/
$(window).load(function () {
    //显示客户号下拉框列表
    showKhbs();

    // 调用系统键盘
    if (isSystemKeyboard) {
        $("input").removeAttr("readonly");
        // 输入框按钮处理
        $("body").on("keyup", "input", function () {
            judegSystemKeyboardInput(this, "login");
        });
    }

    // 在进入登录页面前设置证券代码，都应该清除
    if (getLocalData("zqdm")) {
        removeLocalData("zqdm");
    }

    // 初始化留痕信息 (先判断是否已经存储过留痕信息，如果没有则通知 APP 重新设置留痕信息)
    // initMarkInfo();

    // 进入登录页面时，先判断是否已经存储过需要的信息，如果没有则通知 APP 重新设置需要的信息.
    var initArr = [{ 'key': 'lhxx', 'appKey': 'KDS_INIT_LLXX_KEY', 'params': '{}' }, { 'key': 'apiUrl', 'appKey': 'KDS_INIT_APIURL_KEY', 'params': '{}' }, { 'key': 'apiUrlNews', 'appKey': 'KDS_INIT_APIURLNEWS_KEY', 'params': '{}' }, { 'key': 'apiUrlSystem', 'appKey': 'KDS_INIT_APIURLSYSTEM_KEY', 'params': '{}' }];

    setTimeout(function () {
        initInfo(initArr);
    }, 100);
});

// 清除登录消息，防止风险测评失败返回
handlePageBack = function handlePageBack() {
    ClearLoginInfo();
    $("#vertifyCode").val(""); //清空验证码输入框
    params.isJumpInterface = false;
};

/**
 * 广告位处理
 */
var adsApi = function () {
    /**
     * 显示广告位
     */
    function showAds($scope) {
        // TODO 客户要求，使用默认写死的地址，不让原生传的值覆盖
        return;
        var array = JSON.parse(getLocalData("adsArray") || "[]");
        if (array.length > 0) {
            $scope.adsInfo.show = true;
            $scope.adsInfo.src = array[0].imgAddress;
            $scope.adsInfo.link = array[0].linkAddress;
        }
    }

    function adsImgClick($scope) {
        window.location.href = $scope.adsInfo.link;
    }

    function adsClose($scope) {
        $scope.adsInfo.show = false;
    }

    return {
        showAds: showAds,
        adsImgClick: adsImgClick,
        adsClose: adsClose
    };
}();

/**
 * 输入框点击事件处理
 *
 * 当点击当前的输入框时，清空 placeholder 的属性值，点击其它输入输入框时需要将之前清空的值还原
 *     INPUT_CLICK.placeholder(id)
 *
 */
var INPUT_CLICK = function () {
    var lastId = '';
    var lastPlaceholderValue = '';
    var attrKey = 'placeholder';

    function placeholder(id) {
        // 把上一次 placeholder 值还原
        if (lastId !== '' && id !== lastId) {
            $('#' + lastId).attr(attrKey, lastPlaceholderValue);
        }
        // 记录当前选中的 placeholder 值，且把 input 的 placeholder 属性值清空
        if (id !== '') {
            lastId = id;
            lastPlaceholderValue = $('#' + lastId).attr(attrKey);
            $('#' + lastId).attr(attrKey, '');
        }
    }

    return {
        placeholder: placeholder
    };
}();

var getPostHeaders = function (method) {
    return function () {
        var headers = method();
        if (!headers.khbz && $('#khbz').val().length > 0) {
            headers.khbz = SM4.encryptDataECB($('#khbz').val());
        }
        return headers;
    };
}(getPostHeaders);