var app = angular.module('dtsxq', []);

app.controller('dtsxqController', function ($rootScope, $scope, $compile) {
    var page = getLocalData("page");
    var jjxq = JSON.parse(getLocalData("jjxq"));
    var kkzrq = { kkzq: '', kkrq: '' };
    var kkzq = page == "定投详情" ? jjxq.kkzq : jjxq.shzq;
    var qmzls = ["日期区间", "成功金额", "成功次数"];
    var kkrqs = ["", "星期一", "星期二", "星期三", "星期四", "星期五"];
    if (kkzq == '0') {
        kkzrq.kkzq = '每月';
        kkzrq.kkrq = jjxq.kkrq + '号';
    } else if (kkzq == '1') {
        kkzrq.kkzq = '每周';
        kkzrq.kkrq = kkrqs[jjxq.kkrq];
    }

    $scope.jjmc = jjxq.jjmc;
    $scope.jjdm = jjxq.jjdm;
    $scope.tbody = [];

    if (page == "定投详情") {
        $scope.tbody = [['基金代码', jjxq.jjdm], ['基金名称', jjxq.jjmc], ['交易金额', jjxq.wtje], ['扣款周期', kkzrq.kkzq], ['扣款日期', kkzrq.kkrq], ['当前参数', jjxq.dqcs], ['处理日期', jjxq.clrq], ['期满种类', qmzls[jjxq.qmzl]], ['期满参数', jjxq.qmcs], ['开始日期', jjxq.ksrq], ['终止日期', jjxq.zzrq], ['上次申报', jjxq.scsb], ['连续扣款失败次数', jjxq.lxkksbcs], ['委托编号', jjxq.wtbh], ['基金风险等级', jjxq.jjfxdj], ['委托日期', jjxq.wtrq], ['流水号', jjxq.lsh], ['基金公司代码', jjxq.jjgsdm], ['基金公司名称', jjxq.jjgsmc], ['基金账户', jjxq.jjzh], ['成功次数最大限值', jjxq.cgcszdxz], ['已成功次数', jjxq.ycgcs], ['成功金额最大限制', jjxq.cgjezdxz], ['已成功金额', jjxq.ycgje], ['成功扣款次数', jjxq.cgkkcs], ['周期内处理标志', jjxq.zqnclbz], ['错误号', jjxq.cwh], ['错误信息', jjxq.cwxx], ['备注', jjxq.bz]];
    } else if (page == "定赎详情") {
        $scope.tbody = [['基金代码', jjxq.jjdm], ['基金名称', jjxq.jjmc], ['基金份额', jjxq.jjfe], ['交易金额', jjxq.jjfe], ['赎回周期', kkzrq.kkzq], ['赎回日期', kkzrq.kkrq], ['扣款日期', kkzrq.kkrq], ['处理日期', jjxq.clrq], ['开始日期', jjxq.ksrq], ['终止日期', jjxq.zzrq], ['上次申报', jjxq.scsb], ['连续扣款失败次数', jjxq.lxkksbcs], ['委托编号', jjxq.wtbh], ['基金风险等级', jjxq.jjfxdj], ['委托日期', jjxq.wtrq], ['流水号', jjxq.lsh], ['基金公司代码', jjxq.jjgsdm], ['基金公司名称', jjxq.jjgsmc], ['基金账户', jjxq.jjzh],
        // ['成功次数最大限制',     jjxq.cgcszdxz],
        ['周期内处理标志', jjxq.zqnclbz], ['赎回方式', jjxq.shfs], ['赎回方式说明', jjxq.shfssm], ['错误号', jjxq.cwh], ['错误信息', jjxq.cwxx], ['备注', jjxq.bz]];
    }

    document.title = page;
});