var IS_FORCE_TRADE = false;
var app = angular.module('jjjy', []);
var methodTmp = function methodTmp() {};

app.directive('ytStringHtml', function () {
    return function (scope, el, attr) {
        if (attr.ytStringHtml) {
            scope.$watch(attr.ytStringHtml, function (html) {
                el.html(html || '');
            });
        }
    };
});

app.controller('jjjyController', function ($rootScope, $scope, $http, $compile) {
    $scope.userAgent = navigator.userAgent;

    $scope.isFundPurchaseShow = false;
    $scope.up_jjgsdm = null;
    $scope.down_jjgsdm = null;
    // 提交按钮置灰(适当性的功能需要等可买卖数量查询成功后才能提交)
    $scope.isDisabledSubmit = true;
    $scope.amount_unit = '';

    getControllerMethod($rootScope, $scope, $http, $compile);

    if (document.title.trim() == "基金认购" || document.title.trim() == "基金申购" || document.title.trim() == "基金赎回") {
        quickJumpCX();
    }

    /**
     * 显示提交的弹出框
     */
    $scope.showSubmitModal = function () {
        // 表单验证
        if (!(CheckIsNumChar($("#zqdm")) && CheckPrice($("#price")))) {
            return;
        }

        // 隐藏自定义键盘
        hideKeyBoard();

        var titleName = document.title.trim();
        if (PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.getFunctionOpen() && PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.isExistTileName(titleName)) {
            if (!SMJJ.getState().show || SMJJ.getState().requestSuccess) {
                PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.start(showModal.bind(this, true));
            } else {
                SMJJ.errorAlert();
            }
        } else {
            showModal(true);
        }
    };

    /*==================================================================
    函数功能：         委托下单确定按钮绑定事件
    ==================================================================*/
    $scope.Ensure = function () {
        var titleName = document.title.trim();

        if (titleName == "基金转换") {
            if (controller["scope"].up_jjgsdm != controller["scope"].down_jjgsdm) //上下的基金公司代码不同，不能转换
                {
                    Dialog.errorAlert("转出基金和转入基金不能转换，转换操作失败", "提示");

                    return;
                }
        }

        hideKeyBoard();

        // 关闭模态框
        Dialog.closeAlert();

        // 适当性改造流程 - 专业投资者是否需要签署CA
        if (PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.isNeedCA() && PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.isExistTileName(titleName)) {
            PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.signCA(JiJinOrder.bind(this, true));
        }
        // 风险测评已通过
        else if ($("#fxpp").text().trim() == '1') {
                JiJinOrder(true);
            }
            // 风险测评未通过
            else if ($("#fxpp").text().trim() == '0' && !PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.getFunctionOpen()) {
                    IS_FORCE_TRADE = true;
                    Dialog.customAlert("基金风险等级与客户等级不匹配,你是否要继续进行交易?", "委托提示", true);
                    Dialog.confirm = function () {
                        Dialog.closeAlert("CustomAlert");
                        if (IS_FORCE_TRADE) {
                            JiJinOrder();
                            IS_FORCE_TRADE = false;
                        }
                    };
                    return;
                } else {
                    JiJinOrder(true);
                }
    };

    /**
     * 阅读协议
     * @param  {[type]} row [description]
     * @return {[type]}     [description]
     */
    $scope.readingProtocol = function (row) {
        console.log(row);
        switch (row.key) {
            case 0:
                // 产品合同
                openWebUrlInMobileBrowser(SMJJ.getState().cphtslj);
                break;
            case 1:
                // 风险揭示书
                openWebUrlInMobileBrowser(SMJJ.getState().cpfxjsslj);
                break;
            case 2:
                // 产品说明书
                openWebUrlInMobileBrowser(SMJJ.getState().cpsmslj);
                break;
        }
    };
});

/*===================================================
函数功能: 风险测评未通过用户点击取消按钮绑定函数
===================================================*/
function Back() {
    IS_FORCE_TRADE = false;
    $("#CustomAlert").remove();
}

/*=====================================================
函数功能: 风险测评未通过用户点击确定按钮绑定函数
======================================================*/
function Confirm() {
    $("#CustomAlert").remove();

    if (IS_FORCE_TRADE) {
        JiJinOrder();
        IS_FORCE_TRADE = false;
    }
}

/*======================================================
函数功能:  基金下单执行函数
=====================================================*/
function JiJinOrder(bl, ywlsh) {
    var url = "";
    var title = "提示";

    // 如果业务流水号为空，则从开放式基金适当性改造模块获取
    ywlsh = ywlsh || PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.getYwlsh();

    var postData = {

        jjgsdm: $("#jjgsdm").text().trim(), //  Y   基金公司代码
        jjdm: $("#zqdm").val().trim() //  Y   基金代码

    };

    if (document.title.trim() == "基金认购") {
        postData.wtje = $("#price").val().trim(); //    Y   委托金额
        postData.wtsl = "";
        postData.ywlsh = ywlsh;
        url = "ptjy/cwkfsjj/jjrg";
    } else if (document.title.trim() == "基金申购") {
        postData.wtje = $("#price").val().trim(); //  Y   委托金额
        postData.ywlsh = ywlsh;
        url = "ptjy/cwkfsjj/jjsg";
    } else if (document.title.trim() == "基金赎回") {
        postData.wtsl = $("#price").val(); //   Y   委托数量
        url = "ptjy/cwkfsjj/jjsh";
    } else if (document.title.trim() == "基金转换") {
        postData.wtsl = $("#price").val(); // Y 委托数量
        postData.jjzhdm = $("#zrzqdm").val().trim(); // Y 基金转换代码
        postData.ywlsh = ywlsh;
        url = "ptjy/cwkfsjj/jjzh";
    } else if (document.title.trim() == "分红设置") {
        postData.fhbz = $("#fhfs li.active").attr("value").trim(); // Y    分红设置
        url = "ptjy/cwkfsjj/jjfhsz";
    } else {
        return;
    }

    ajaxPost(getApiUrl() + url, postData, function (response) {
        // 将操作基金代码添加到自选股
        // addUserStock($("#zqmc").text(),$("#zqdm").val(),order.curjysdm);

        clearJJJYForm("zqdm", "whole");

        setAmountUnit('price', true);

        Dialog.successAlert("委托提交成功,流水号：" + response.fhxx[0].wtxh, title);
    }, function (response) {
        Dialog.errorAlert("委托提交失败：" + response.cljg[0].message, title);
    });
}

/**
 * 重写输入框点击事件
 */
var showKeyboardTemp = showKeyboard;
showKeyboard = function showKeyboard(id, type) {
    var n = 'zqdm';
    if (document.title == '基金转换') {
        n = 'zrzqdm';
    }
    if (id == n) {
        try {
            angular.element($("body")).scope().$apply(function ($scope) {
                $scope.isDisabledSubmit = true;
            });
        } catch (e) {}
    }
    showKeyboardTemp(id, type);
    setAmountUnit('price');
};

/*======================================================
函数功能:  填充input输入内容并根据条件完成响应的事件
传入参数:        param: 点击的软键盘键值
=====================================================*/
function fillInputContent(param) {
    if (param == "del") {

        var _value = $("#" + params.id).val();

        if (_value.length > 0) {
            _value = _value.substring(0, _value.length - 1);
            $("#" + params.id).val(_value);
        }
    } else {

        // 输入小数点合法性判断
        if (params.id == "price") {
            var inputVal = $("#" + params.id).val();

            // 输入的金额不允许有两个小数点   2016.06.18 add
            if ((inputVal + param).split(".").length > 2) {
                return;
            }

            $("#" + params.id).val($("#" + params.id).val() + param);
        } else if (params.id == "zqdm" || params.id == "zrzqdm") {

            if ($("#" + params.id).val().length < 6) {

                $("#" + params.id).val($("#" + params.id).val() + param);
                checkStkCodeChange("#" + params.id);
            }
        } else {
            $("#" + params.id).val($("#" + params.id).val() + param);
        }
    }

    setAmountUnit(params.id);
}

function setAmountUnit(inputId, isController) {
    if (inputId !== 'price') {
        return;
    }

    var input = $("#" + inputId);
    if (input.length === 0) {
        return;
    }
    var amount = input.val();
    var unit = getChineseUnit(amount);

    // 设置 placeholder 的字体变小后，文字将不会垂直剧中
    // 这里通过动态修改字体大小，达到 placeholder 与 input 字体可以不致的目的
    if (amount.length == 0) {
        input.addClass('empty');
    } else {
        input.removeClass('empty');
    }

    if (isController) {
        angular.element($("body")).scope().amount_unit = unit;
        return;
    }

    angular.element($("body")).scope().$apply(function ($scope) {
        $scope.amount_unit = unit;
    });
}

/*==============================================
函数功能：  检测证券代码查询条件是否满足
==============================================*/
function checkStkCodeChange(zqdm) {
    //===================(港股是5位,暂不考虑)===============
    if ($(zqdm).val().length == 6) {
        // 基金代码包含字母,用判断是否是正整数的方法行不通
        // if ( CheckIsPlus($(zqdm)) )
        // {
        var param = {
            "jjdm": $(zqdm).val()
        };

        if (document.title.trim() == "分红设置" || zqdm == "#zrzqdm") {
            JiJinXinXiCX($(zqdm).val());
        } else if (zqdm == "#zqdm") {
            if (document.title.trim() == "基金申购" || document.title.trim() == "基金认购" || document.title.trim() == "基金赎回" || document.title.trim() == "分红设置" || document.title.trim() == "基金转换") {
                JiJinKMMSLCX(param);
            }
        }

        // }
        // else
        // {
        //  zqdm=zqdm.slice(1);
        //   clearJJJYForm(zqdm);
        // }
    }
}

/*=================================================
函数功能:      基金信息查询
=================================================*/
function JiJinXinXiCX(jjdm) {
    jjdm = jjdm ? jjdm : "";

    var postData = {
        "jjgsdm": "", //N 基金公司代码
        "jjdm": jjdm, //N 基金代码
        "cxfx": "1", //Y 查询方向
        "qqhs": "50" //Y 请求行数
    };

    var tradeUrl = "ptjy/cwkfsjj/jjxxcx";
    var title = document.title.trim();
    if (title == "基金转换") {
        postData.ywlx = "3";
        tradeUrl = "ptjy/cwkfsjj/jjkmmslcx";
    } else if (title == '分红设置') {
        tradeUrl = "ptjy/cwkfsjj/jjkmmslcx2";
    }

    //================================基金公司查询==========================
    ajaxPost(getApiUrl() + tradeUrl, postData, function (response) {
        if (response.cxlb.length == 1) {
            if (document.title.trim() == "基金转换") {
                $("#zrzqmc").text(response.cxlb[0].jjmc);

                try {
                    controller.scope.isDisabledSubmit = false;
                } catch (e) {}
                // 适当性改造 - 初化始数据
                PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.init(response);
            } else {
                $("#zqmc").text(response.cxlb[0].jjmc);
            }

            $("#jjgsdm").text(response.cxlb[0].jjgsdm);
            $("#jjgsmc").text(response.cxlb[0].jjgsmc);

            controller["scope"].down_jjgsdm = response.cxlb[0].jjgsdm;
            if (document.title.trim() != "基金转换") {
                $("#jjdwjz").text(response.cxlb[0].jjdwjz);
            }
        }

        // 基金转换在可买卖数量查询时获取合同链接
        if (postData.ywlx === '3') {
            SMJJ.start(postData.jjdm, response.cxlb[0].dzhtjybs);
        }
    });
}

/*=================================================
函数功能:      快捷跳转查询
=================================================*/
function quickJumpCX() {
    if (getLocalData("jjgsdm")) {
        var param = JSON.parse(getLocalData("jjgsdm"));
        removeLocalData("jjgsdm");

        // $("#zqdm").css( {"width":"40%"} );
        $("#zqdm").val(param.jjdm);
        // $("#zqmc").text( param.jjmc );

        JiJinKMMSLCX(param);
    }
}

/*==================================================================
函数功能：   点击了可申购,可认购,可赎回行记录后进行可买卖数量查询
传入参数:                obj:行对象
==================================================================*/
function FullBargainFrom(obj) {
    Dialog.closeAlert("RightWindow");

    var param = {
        jjdm: $(obj).find("td").eq(0).find("p").eq(1).text().trim()
        // jjgsdm  :  $(obj).find("td").eq(4).text().trim(),
    };

    // $("#zqdm").css({"width":"40%" });
    $("#zqdm").val(param.jjdm);
    // $("#zqmc").text(   $(obj).find("td").eq(1).text() );
    // $("#jjdwjz").text( $(obj).find("td").eq(2).text() );
    // $("#jjgsdm").text( param.jjgsdm );

    JiJinKMMSLCX(param);
}

/*=================================================
函数功能:      基金可买卖数量查询
传入参数:     param--可买卖数量查询参数
=================================================*/
function JiJinKMMSLCX(param) {
    var lastUrl = 'ptjy/cwkfsjj/jjkmmslcx';
    var postData = {
        "jjdm": param.jjdm //Y  基金代码
        // "ywlx"    :      "", //Y 基金业务类型
    };

    if (document.title.trim() == "基金认购") {
        postData.ywlx = "0";
    } else if (document.title.trim() == "基金申购") {
        postData.ywlx = "1";
    } else if (document.title.trim() == "基金赎回" || document.title.trim() == "分红设置") {
        postData.ywlx = "2";
        // 基金赎回、分红设置使用新的可买卖数量查询接口，该接口不调用柜台 411014
        lastUrl = 'ptjy/cwkfsjj/jjkmmslcx2';
    } else if (document.title.trim() == "基金转换") {
        postData.ywlx = "3";
        lastUrl = 'ptjy/cwkfsjj/jjkmmslcx2';
    } else {
        return;
    }

    $("#jjgsdm").text(postData.jjgsdm);

    ajaxPost(getApiUrl() + lastUrl, postData, function (response) {
        if (response.cxlb && response.cxlb.length > 0) {
            // 基金转换的转出基金不需要进行初始化数据
            if (document.title.trim() != "基金转换") {
                try {
                    controller.scope.isDisabledSubmit = false;
                } catch (e) {}
                // 适当性改造 - 初化始数据
                PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.init(response);
            }

            $("#zqmc").text(response.cxlb[0].jjmc);

            $("#sflbsm").text(response.cxlb[0].sflbsm);

            controller["scope"].up_jjgsdm = response.cxlb[0].jjgsdm;

            // 认购 申购---资金可用数
            if (postData.ywlx == "0" || postData.ywlx == "1") {
                var zjkys = response.cxlb[0].zjkys ? response.cxlb[0].zjkys : "0.00";
                $("#kys").text(zjkys);
                $("#fxpp").text(response.cxlb[0].fxpp);
            } // 赎回---股份可用数
            else if (postData.ywlx == "2" || postData.ywlx == "3") {
                    var jjkys = response.cxlb[0].jjkys ? response.cxlb[0].jjkys : "0.00";
                    $("#kys").text(jjkys);

                    if (postData.ywlx == "3") {
                        $("#fxpp").text(response.cxlb[0].fxpp);
                    }
                }

            $("#jjdwjz").text(response.cxlb[0].jjdwjz);

            // 基金认购、基金申购在可买卖数量查询时获取合同链接
            if (['0', '1'].indexOf(postData.ywlx) > -1) {
                SMJJ.start(param.jjdm, response.cxlb[0].dzhtjybs);
            }
        } else {
            console.log("基金可买卖数量查询返回数据为 NULL");
        }
    });
}

/**
 * 函数功能：          弹出委托下单确认框
 * @param  {Boolean} isController 是否在控制器内
 * @return {[type]}               [description]
 */
function showModal(isController) {
    isController = isController ? isController : false;

    // 内部方法
    var internalMethod = function internalMethod() {
        hideKeyBoard();

        var modal = {};

        modal["title"] = "委托确认";

        if (getLocalData("page") == "认购" || getLocalData("page") == "申购" || getLocalData("page") == "赎回") {
            modal["title"] = "委托确认";

            //===========================验证表单字段=====================
            if (CheckIsNumChar($("#zqdm")) && CheckPrice($("#price"))) {
                if (getLocalData("page") == "认购") {
                    var text1 = "认购金额";
                    var text2 = "可用资金";
                } else if (getLocalData("page") == "申购") {
                    var text1 = "申购金额";
                    var text2 = "可用资金";
                } else if (getLocalData("page") == "赎回") {
                    var text1 = "赎回份额";
                    var text2 = "可用份额";
                }

                modal["content"] = [{
                    "key": "基金代码",
                    "value": $("#zqdm").val() + ($("#sflbsm").text().length ? " (" + $("#sflbsm").text() + ")" : '')
                }, {
                    "key": "基金名称",
                    "value": $("#zqmc").text()
                }, {
                    "key": "基金净值",
                    "value": $("#jjdwjz").text()
                }, {
                    "key": text1,
                    "value": $("#price").val()
                }, {
                    "key": text2,
                    "value": $("#kys").text()
                }];

                var isNeed = getLocalData("page") == "认购" || getLocalData("page") == "申购";
                if (isNeed && SMJJ.getState().show) {
                    modal.dynamic = [{
                        type: 'tipAndlink',
                        tip: '购买前请阅读以下内容：',
                        linkArr: [{
                            key: 0,
                            text: '《产品合同》',
                            onClick: controller.scope.readingProtocol
                        }, {
                            key: 1,
                            text: '《风险揭示书》',
                            onClick: controller.scope.readingProtocol
                        }, {
                            key: 2,
                            text: '《产品说明书》',
                            onClick: controller.scope.readingProtocol
                        }]
                    }];
                }

                Dialog.alert(controller["scope"], controller["compile"], modal, { rightIcoHide: true });
            }
        } else if (getLocalData("page") == "基金转换") {
            if (CheckIsPlus($("#zqdm")) && CheckIsPlus($("#zrzqdm")) && CheckPrice($("#price"))) {
                modal["content"] = [{
                    "key": "转出代码",
                    "value": $("#zqdm").val()
                }, {
                    "key": "基金名称",
                    "value": $("#zqmc").text()
                }, {
                    "key": "转入代码",
                    "value": $("#zrzqdm").val()
                }, {
                    "key": "基金名称",
                    "value": $("#zrzqmc").text()
                }, {
                    "key": "最大可转",
                    "value": $("#kys").text()
                }, {
                    "key": "转换份额",
                    "value": $("#price").val()
                }];

                if (SMJJ.getState().show) {
                    modal.dynamic = [{
                        type: 'tipAndlink',
                        tip: '购买前请阅读以下内容：',
                        linkArr: [{
                            key: 0,
                            text: '《产品合同》',
                            onClick: controller.scope.readingProtocol,
                            href: ''
                        }, {
                            key: 1,
                            text: '《风险揭示书》',
                            onClick: controller.scope.readingProtocol,
                            href: ''
                        }, {
                            key: 2,
                            text: '《产品说明书》',
                            onClick: controller.scope.readingProtocol,
                            href: ''
                        }]
                    }];
                }

                Dialog.alert(controller["scope"], controller["compile"], modal, { rightIcoHide: true });
            }
        } else if (getLocalData("page") == "分红设置") {
            if (CheckIsPlus($("#zqdm"))) {
                modal["content"] = [{
                    "key": "基金代码",
                    "value": $("#zqdm").val()
                }, {
                    "key": "基金名称",
                    "value": $("#zqmc").text()
                }, {
                    "key": "基金净值",
                    "value": $("#jjdwjz").text()
                }, {
                    "key": "分红方式",
                    "value": $(".fhfs-type").text()
                }];

                Dialog.alert(controller["scope"], controller["compile"], modal, { rightIcoHide: true });
            }
        }
    };

    // 在控制器内，则不需要额外处理
    if (isController) {
        internalMethod();
    } else {
        angular.element($("body")).scope().$apply(function () {
            internalMethod();
        });
    }
};

/*======================================
函数功能:   清除基金转换表单
传入参数:    jjdm: 基金代码
=======================================*/
function clearJJZHDM(jjdm) {
    $("#" + jjdm).val("");
    var pre = jjdm.slice(0, 2);
    $("#" + pre + "zqmc").text("");
}

/*======================================
函数功能:     清除基金交易表单
传入参数: jjdm:代码名称 param: 是否全部清空
=======================================*/
function clearJJJYForm(jjdm, param) {
    jjdm = jjdm ? jjdm : "zqdm";
    param = param ? param : "";

    if (jjdm == "zqdm") {

        $("#zqdm").val("");
        $("#zqmc").text("");

        if (controller["scope"].up_jjgsdm) {
            controller["scope"].up_jjgsdm = null;
        }

        // $("#zqdm").css({"width":"100%"});
        $("#jjdwjz").text("");
        $("#jjgsdm").text("");
        if (document.title.trim() == "分红设置") {
            return;
        } else {
            $("#price").val("");
            $("#kys").text("");

            if (document.title.trim() == "基金转换" && param == "whole") {
                $("#zrzqdm").val("");
                $("#zrzqmc").text("");
            }
        }

        if (document.title.trim() != "基金转换") {
            PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.reset();
        }
    } else if (jjdm == "zrzqdm") {
        $("#" + jjdm).val("");
        var pre = jjdm.slice(0, 2);
        $("#" + pre + "zqmc").text("");
        if (controller["scope"].down_jjgsdm) {
            controller["scope"].down_jjgsdm = null;
        }

        PROPER_RECONSTRUCTION_OPEN_END_FUND_TRADING.reset();
    }
}

/*==============================================
函数功能：         显示基金列表
==============================================*/
function showJiJinList() {
    dynGenerateNode(controller["scope"], controller["compile"], RightWindow);
    $("#right-window .title").hide();
    $(".ptjy-rzrq-tbody").hide();
    $(".rzrq-rqmc-tbody").hide();
    $(".kfsjj-tbody").show();

    angular.element($("body")).scope().$apply(function () {

        if (document.title.trim() == "基金认购" || document.title.trim() == "基金申购") {
            controller["scope"].thead = [{
                name: "基金名称"
            }, {
                name: "基金净值"
            }, {
                name: "公司名称"
            }];
        } else if (document.title.trim() == "基金赎回" || document.title.trim() == "分红设置") {
            controller["scope"].thead = [{
                name: "基金名称"
            }, {
                name: "基金净值"
            }, {
                name: "持仓盈亏"
            }];
        } else {
            return;
        }
    });

    kfsjjChaChe.postData = {

        "jjgsdm": "", //N   基金公司代码
        "jjdm": "", //N   基金代码
        "dwc": "", //N 定位串
        "qqhs": params["qqhs"] //N 请求行数

    };

    if (document.title.trim() == "基金认购" || document.title.trim() == "基金申购") {

        kfsjjChaChe.postData.qqhs = "3000";

        if (document.title.trim() == "基金认购") {
            kfsjjChaChe.postData.jjzt = "0";
            kfsjjChaChe.type = "krgjjxxcx";
            kfsjjChaChe.postData.cxfx = params["cxfx"];
            kfsjjChaChe.postData.qqhs = "";
            kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/krgjjxxcx";
        } else if (document.title.trim() == "基金申购") {
            kfsjjChaChe.postData.jjzt = "1";
            kfsjjChaChe.postData.cxfx = params["cxfx"];
            kfsjjChaChe.type = "ksgjjxxcx";
            kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/ksgjjxxcx";
        }
    } else if (document.title.trim() == "基金赎回" || document.title.trim() == "分红设置") {

        kfsjjChaChe.postData.cxfx = params["cxfx"]; // Y 查询方向  1 1向下/0向上查询方向
        kfsjjChaChe.postData.jjzt = "2"; // N 基金状态

        kfsjjChaChe.type = "kshjjxxcx";
        kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/jjfecx";
    }

    //===============================设置滚动区域上边距===================================

    var tableHeight = document.documentElement.clientHeight - $("#right-window .scrollTable").offset().top;
    $("#right-window .scrollTable").height(tableHeight);

    //================================可申购 可认购 持仓查询==========================
    ajaxPost(kfsjjChaChe.requestUrl, kfsjjChaChe.postData, function (response) {

        if (document.title.trim() == "基金认购" || document.title.trim() == "基金申购") {
            kfsjjChaChe.colNames = ["jjmc", "jjdm", "jjdwjz", "jjgsmc"];
        } else if (document.title.trim() == "基金赎回" || document.title.trim() == "分红设置") {
            kfsjjChaChe.colNames = ["jjmc", "jjdm", "jjdwjz", "yk"];
        } else {
            return;
        }

        controller["scope"].rowHolds = FollowOriginalDataParse(response, kfsjjChaChe.colNames, kfsjjChaChe.type);

        var nScrollHight = 0; //滚动距离总长(注意不是滚动条的长度)
        var nScrollTop = 0; //滚动到的当前位置
        var nDivHight = $("#right-window .scrollTable").height();

        $("#right-window .scrollTable").scroll(function () {

            nScrollHight = $(this)[0].scrollHeight;

            nScrollTop = $(this)[0].scrollTop;

            if (nScrollTop == nScrollHight - nDivHight) {
                scrollLoadMoreContent();
            }
        });
    });
};

/*=====================================================
函数功能:            滚动加载更多数据
=====================================================*/
function scrollLoadMoreContent() {
    // 开放式基金--基金认购
    if (kfsjjChaChe.type == "krgjjxxcx") {
        kfsjjChaChe.postData.dwc = kfsjjChaChe.krgjjxxcxdwc;
    } else if (kfsjjChaChe.type == "ksgjjxxcx") {
        kfsjjChaChe.postData.dwc = kfsjjChaChe.ksgjjxxcxdwc;
    } else if (kfsjjChaChe.type == "kshjjxxcx") {
        kfsjjChaChe.postData.dwc = kfsjjChaChe.kshjjxxcxdwc;
    } else {
        return;
    }

    //==================发起查询请求===================
    ajaxPost(kfsjjChaChe.requestUrl, kfsjjChaChe.postData, function (response) {
        var content = "";
        var tbody = "";

        tbody = FollowOriginalDataParse(response, kfsjjChaChe.colNames, kfsjjChaChe.type, "isScrollQuery");

        var len = tbody ? tbody.length : 0;

        if (kfsjjChaChe.type == "krgjjxxcx" || kfsjjChaChe.type == "ksgjjxxcx" || kfsjjChaChe.type == "kshjjxxcx") {
            for (var i = 0; i < len; i++) {

                var row = tbody[i];

                content += "<tr onclick='FullBargainFrom(this)' >" + "   <td> " + "       <p>" + row[0] + "</p>" + "     <p>" + row[1] + "</p>" + "   </td>" + "   <td>" + "      <p>" + row[2] + "</p>" + "   </td>" + "   <td>" + "      <p>" + row[3] + "</p>" + "   </td>" + "</tr>";
            }

            // 查询记录不为空时,加载查询数据
            if (len > 1) {
                $(".table.table-hover tbody").append(content);
            }
        }
    });
}

/**
 * 点击下侧,右侧背景遮罩区域,关闭悬浮层
 */
$("body").on("click", "#RightWindow .modal-backdrop", function () {
    Dialog.closeAlert("RightWindow");
    return false;
});

/*====================================================================
函数功能:                自定义选择框点击选项事件
====================================================================*/
$(document).delegate(".dropdown-menu > li", "mouseenter", function () {
    var SelID = "#" + $(this).parent().parent().parent().attr("id");

    $(SelID + " .dropdown-menu > li.active").removeClass("active");

    if ($(this).hasClass("active") == false) {
        $(this).addClass("active");
    }

    return false;
});

var lastSel = ""; //上一次打开的自定义选择框
var curSel = ""; //当前打开的自定义选择框

/*====================================================================
函数功能:                显示-隐藏 自定义选择框
====================================================================*/
$(document).on("click", ".line.custom-select", function () {
    var curSel = "#" + $(this).attr("id");

    //===当前打开选择框与上次打开的不同,则关闭上次打开的选择框
    if (curSel != lastSel) {
        if (lastSel != "") {
            $(lastSel + " .dropdown-menu.active").hide();
        }

        lastSel = curSel;
    }

    $(curSel + " .dropdown-menu.active").toggle();

    //====阻止点击事件向body节点传递============
    return false;
});

/*====================================================================
函数功能:           点击界面上非选择框区域,关闭打开的选择框
====================================================================*/
$("body").click(function () {
    // 隐藏上次打开的select选择框
    if (lastSel != "") {
        $(lastSel + " .dropdown-menu.active").hide();
    }

    // 隐藏当前打开的select选择框
    if (curSel != "") {
        $(curSel + " .dropdown-menu.active").hide();
    }
});

/*====================================================================
函数功能:              分红方式选择框点击事件
====================================================================*/
$(document).delegate("#fhfs .dropdown-menu > li", "click", function () {
    $(this).parent().parent().find("button").eq(0).text($(this).text());
    return false;
});

/*====================================================================
函数功能:            基金转换按钮点击事件
====================================================================*/
$("#exchange").click(function () {
    var swap = {

        "zqdm": $("#zqdm").val(),
        "zqmc": $("#zqmc").text()

    };

    if ($("#zqdm").val().length == 0) {
        // $("#zqdm").focus();
        return;
    }
    if ($("#zrzqdm").val().length == 0) {
        // $("#zrzqdm").focus();
        return;
    }

    $("#zqdm").val($("#zrzqdm").val());
    $("#zqmc").text($("#zrzqmc").text());

    $("#zrzqdm").val(swap.zqdm);
    $("#zrzqmc").text(swap.zqmc);

    // 转出代码重新可买卖数量查询
    JiJinKMMSLCX({
        "jjdm": $("#zqdm").val()
    });

    // 转入代码重新可买卖数量查询
    JiJinXinXiCX($("#zrzqdm").val());

    return false;
});

/**
 * 判断价格是否为正实数  (重写 module.js 里的方法)
 * @param {[type]} obj 价格输入框对象
 */
function CheckPrice(obj) {
    // 对市价委托不进行价格校验
    if (trim(obj.val()) == "市价委托") {
        return true;
    }

    var parentDiv = obj.parent().parent();
    // 委托价格输入的值不合法
    if (obj.val() == "" || isNaN(obj.val()) || parseFloat(obj.val()) <= 0) {
        // 设置错误状态提示语
        CustomPlaceholder(obj, "Price");
        // 在父div上添加告警样式
        parentDiv.addClass('has-error');
        // 将焦点转移到出错的div上
        parentDiv.focus();
        return false;
    } else {
        if (parentDiv.hasClass('has-error')) {
            parentDiv.removeClass('has-error');
        }
        return true;
    }
}

// 适当性改造 - 私募基金
dynamicLoading.js(getfirsthref(0) + "js/sdxgz/smjj.js");