
var app = angular.module('jjkh', []);

app.controller('jjkhController', function ($rootScope, $scope, $http, $compile) {
	$scope.userAgent = navigator.userAgent;

	getControllerMethod($rootScope, $scope, $http, $compile);

	JiJinGongSiCX();

	/*==================================================================
 函数功能：         委托下单确定按钮绑定事件
 ==================================================================*/
	$scope.Ensure = function () {

		hideKeyBoard();

		Dialog.confirm();

		var url = "ptjy/cwkfsjj/jjkh";
		var title = "提示";

		var postData = {

			"jjgsdm": $(".dropdown-menu li.active").attr("value").trim(), // Y	基金公司代码
			"yjjzh": $("#yjjzh").val().trim() // N	原基金账号
			// "khlx"	 :  "1",			                   // Y	开户类型		 0开户 1增开交易帐户

		};

		if ($("#custom-checkbox").hasClass("active") == false) {
			showMessageTips("请先阅读基金风险提示");
			return;
		}

		if ($("#yjjzh").val().trim().length == 0) {
			postData.khlx = "0";
		} else {
			var t = /^[0-9]*[1-9][0-9]*$/;

			if (!t.test($("#yjjzh").val().trim())) {
				$("#yjjzh").focus();
				$("#yjjzh").val("");
				$("#yjjzh").attr({ "placeholder": "输入原基金账号有误" });
				return;
			}
			postData.khlx = "1";
		}

		ajaxPost(getApiUrl() + url, postData, function (response) {
			// clearJJJYForm("whole");
			Dialog.successAlert("开户提交成功", title);
		}, function (response) {
			Dialog.errorAlert("委托提交失败：" + response.cljg[0].message, title);
		});
	};
});

/*=================================================
函数功能:          基金公司查询
=================================================*/
function JiJinGongSiCX() {
	var postData = {

		jjgsdm: "", // N	基金公司代码
		cxfx: params["cxfx"], // Y	查询方向	1	1向下/0向上查询方向
		qqhs: "1000", // Y	请求行数		每次取的行数
		dwc: "" // Y	定位串  		第一次填空

	};

	ajaxPost(getApiUrl() + "ptjy/cwkfsjj/jjgscx", postData, function (response) {

		if (response.cxlb) {

			var li = "";

			$(".jjgs-type").text(response.cxlb[0].jjgsmc);
			li += "<li value=" + response.cxlb[0].jjgsdm + " class='active'>" + response.cxlb[0].jjgsmc + "</li>";

			for (var i = 1, len = response.cxlb.length; i < len; i++) {
				li += "<li value=" + response.cxlb[i].jjgsdm + ">" + response.cxlb[i].jjgsmc + "</li>";
			}

			// 49+10表示 第一个div的高度和body的上边距
			var height = 49 + 10;

			$("ul").append(li);

			$("ul").css({ "overflow": "auto", "position": "absolute", "top": height + "px", "left": "25%", "width": "75%" });

			// 5的含义 是ul上下边距的高度+第一个div下边线的高度
			$("ul").height(document.documentElement.clientHeight - height - 5);
		}
	});
}

/*====================================================================
函数功能:                自定义选择框点击选项事件
====================================================================*/
$(document).delegate(".dropdown-menu > li", "mouseenter", function () {
	var SelID = "#" + $(this).parent().parent().parent().attr("id");

	$(SelID + " .dropdown-menu > li.active").removeClass("active");

	if ($(this).hasClass("active") == false) {
		$(this).addClass("active");
	}

	return false;
});

var lastSel = ""; //上一次打开的自定义选择框
var curSel = ""; //当前打开的自定义选择框

/*====================================================================
函数功能:                显示-隐藏 自定义选择框
====================================================================*/
$(document).on("click", ".line.custom-select", function () {
	$(".dropdown-menu.active").toggle();

	//====阻止点击事件向body节点传递============
	return false;
});

/*====================================================================
函数功能:           点击界面上非选择框区域,关闭打开的选择框
====================================================================*/
$("body").click(function () {
	$(".dropdown-menu.active").hide();
});

/*====================================================================
函数功能:              分红方式选择框点击事件
====================================================================*/
$(document).delegate(".dropdown-menu > li", "click", function () {
	$(".dropdown-menu > li.active").removeClass("active");
	$(this).addClass("active");
	$("#jjgs").find("button").eq(0).text($(this).text());
	return false;
});

/*====================================================================
函数功能:           点击复选框事件
====================================================================*/
$("#custom-checkbox").click(function () {

	if ($(this).hasClass("active")) {
		$(this).find("img").attr({ "src": "../../../images/checkbox.svg" });
	} else {
		$(this).find("img").attr({ "src": "../../../images/checkbox_checked.svg" });
	}

	$(this).toggleClass("active");
});