//客户风险承受能力评估结果告知函
var app = angular.module("evaluationResultGzh", []);
var onlydate = {};

//风险测评，参数传递用
app.controller("evaluationResultGzhController", ["$scope", "QuestionList", function (scope, questionList) {
    var data = requestQuestions(scope, questionList);

    scope.onBtnClick = function () {
        submitAnswers();
    };
}]);

app.service("QuestionList", ["$rootScope", function (rootScope) {
    var service = {
        data: [],
        dic: {},
        submitBtnState: true
    };
    return service;
}]);

/**
 * 请求客户风险承受能力评估结果结果
 */
function requestQuestions(scope, questionList) {
    var url = "ptjy/yxxt/hqyx";

    //客户属性（“0”：个人  “1”：机构）
    var cpdcbbh = JSON.parse(getLocalData("ActivePTJYUser"))["body"]["dlxx"][0].khsx == "0" ? "7" : "8";

    var result = getSubmitData();
    var param = setDefaultJsonData({
        tcmbk: result.listkey,
        tcmbz: result.listvalue,
        ywlx: "2",
        yxlb: "8",
        khsx: cpdcbbh

    });

    ajaxPost(getApiUrl() + url, param, function (response) {
        var fhxx = response.fhxx || [];
        //业务流水号
        onlydate.ywlsh = fhxx[0].ywlsh;

        $(".pgjg-gzh-btn").css("display", "none");
        $("#content").html(fhxx[0].xy);
        var conHtml = $(".pgjg-gzhbox");
        $("#content").remove();
        $(".pgjg-gzh-btn").before(conHtml);
        $(".pgjg-gzh-btn").css("display", "block");
    });
}

/**
 * 获取提交试题答案的数据
 */
function getSubmitData() {
    var localKey = "risk-evluation-info";

    var datas = JSON.parse(getLocalData(localKey) || "{}");
    var data = datas[datas.currentType] || {};

    data.bjjb = data.bjjb ? data.bjjb : "";
    data.tzqx = data.tzqx ? data.tzqx : "";
    data.tzpzmc = data.tzpzmc ? data.tzpzmc : "";

    //获取客户信息
    var dlxx = JSON.parse(getLocalData("ActivePTJYUser")).body.dlxx[0];
    //客户姓名
    var name = dlxx.khxm;
    //资金账号
    var account = dlxx.zjzh;
    //日期
    var signdate = new Date().Format("yyyy年MM月dd日");

    var listdate = "";
    var listkey = "";

    listvalue = [name, account, data.bjjb, data.tzqx, data.tzpzmc, signdate].join(":");
    listkey = ["{{name}}", "{{account}}", "{{myrisklevel}}", "{{myinvesttime}}", "{{myinvesttype}}", "{{signdate}}"].join(":");
    return {
        listvalue: listvalue,
        listkey: listkey
    };
}

//保存影像
function submitAnswers() {
    var url = "ptjy/yxxt/bcyx";
    var dates = getSubmitData();
    //客户属性（“0”：个人  “1”：机构）
    var cpdcbbh = JSON.parse(getLocalData("ActivePTJYUser"))["body"]["dlxx"][0].khsx == "0" ? "7" : "8";
    var param = setDefaultJsonData({
        tcmbk: dates.listkey,
        tcmbz: dates.listvalue,
        khsx: cpdcbbh,
        yxlb: "8",
        ywlx: "2",
        ywlsh: onlydate.ywlsh
    });
    ajaxPost(getApiUrl() + url, param, function (response) {
        var functionKey = getLocalData('quickJump') || '';
        // jumpToView 登录完成后的回调方法
        callbackJumpToView(functionKey);
        // 设置风险等级给原生APP
        setRiskLevel(getLocalData('quickJump') || '', getLocalData('KDS_SET_RISK_LEVEL_INFO') || '{}');
        setLocalData("page", "普通交易");
        JumpInterface(params.viewKey.KDS_PTJYIndex, 8, -100);
    });
};