var app = angular.module('rztqCx', []);

app.controller('rzrqCxController', function ($rootScope, $scope, $http, $compile) {

    $scope.isIphonClass = isIphonClass;

    /**************** 个性化版本设置 end **************************/
    $("body").delegate(".ul-main > li,.ul-column > li", "click", function () {
        setLocalData("page", $(this).children("a").children("label").text().trim());
        //=============融资融券-快捷菜单-查询======================
        if ($("body").hasClass("rzrq-cx") == true) {
            // 先进行手机号码校验，没有注册手机号码则需要先注册
            if (!getIsRegister()) {
                Dialog.customAlert("请先进行手机号码登录", "登录提示", true);

                // 手机号注册认证点击确定按钮事件
                Dialog.confirm = function () {
                    showRegisterView();
                    $("#CustomAlert").remove();
                };

                return;
            }

            var jumpParams = getJumpInterfaceParams();
            // 没有登录，则需要跳转到登录界面
            if (!getLocalData("ActiveRZRQUser")) {
                // 跳转到原生登录页面
                loginToLocalWeb(jumpParams[0], '3');
                return;
            }

            if (jumpParams[0] != null) {
                onAgentEvent('交易_融资融券_查询_' + getLocalData("page"), '', '');
                JumpInterface(jumpParams[0], jumpParams[1], jumpParams[2]);
            }
        }
    });
});

function getJumpInterfaceParams() {
    var title = getLocalData("page");
    if (title == "资产查询") {
        return [params.viewKey.KDS_RZRQ_ZCCX, 0, 1];
    } else if (title == "交割单查询") {
        return ["rzrq/jgdcx-special/jgdcx.html", 8, 1];
    } else if (title == "对账单查询") {
        setLocalData("CXLX", "对账单查询");
        return ["rzrq/dzdcx/dzdcx.html", 0, 1];
    } else if (title == "已了结合约查询" || title == "合约查询") {
        setLocalData("page", "已了结合约查询");
        return [params.viewKey.KDS_RZRQ_HYCX_Query, 8, 1];
    } else if (title == "当日委托" || title == "资金流水" || title == "资金股份流水") {
        return [params.viewKey.KDS_RZRQ_ZJLS, 8, 1];
    }
    return [null, null, null];
}