var app = angular.module('rztqMore', []);

app.controller('rzrqMoreController', function ($rootScope, $scope, $http, $compile) {
    $scope.isIphonClass = isIphonClass;

    $("body").delegate(".ul-main > li,.ul-column > li", "click", function () {
        setLocalData("page", $(this).children("a").children("label").text().trim());

        //=============融资融券-快捷菜单-更多======================
        if ($("body").hasClass("rzrq-more") == true) {
            // 先进行手机号码校验，没有注册手机号码则需要先注册
            if (!getIsRegister()) {
                Dialog.customAlert("请先进行手机号码登录", "登录提示", true);

                // 手机号注册认证点击确定按钮事件
                Dialog.confirm = function () {
                    showRegisterView();
                    $("#CustomAlert").remove();
                };

                return;
            }

            var jumpParams = getJumpInterfaceParams();
            // 没有登录，则需要跳转到登录界面
            if (!getLocalData("ActiveRZRQUser")) {
                // 跳转到原生登录页面
                loginToLocalWeb(jumpParams[0], '3');
                return;
            }

            if (jumpParams[0] != null) {
                JumpInterface(jumpParams[0], jumpParams[1], jumpParams[2]);
            }
        }
    });
});

function getJumpInterfaceParams() {
    var title = getLocalData("page");
    if (title == "可融资证券" || title == "可融券证券" || title == "担保品证券" || title == "可充抵保证金证券" || title == "可融资查询" || title == "可融券查询") {
        return [params.viewKey.KDS_RZRQ_DBP_KRZRQ_Query, 0, 1];
    } else if (title == "可充抵保证金证券") {
        return [null, 8, 1];
    } else if (title == "额度申请") {
        return [params.viewKey.KDS_RZRQ_EDSQ, 8, 1];
    } else if (title == "修改密码") {
        return [params.viewKey.KDS_RZRQ_XGMM, 8, 1];
    }
    return [null, null, null];
}