/** 调用原生接口-Android **/
var $ = require('jquery');
window.handleKeyBoard = null;

// function fillInputContent(data)
window.fillInputContent = function(data)
{
    console.log("测试fillInputContent"+data);
    window.handleKeyboard(data);
}

var KmcNative = module.exports = {
    //界面跳转
    switchWebView: function(url, hasRefresh, direction){
        // 未传第2个参数时默认为0
        hasRefresh = hasRefresh == undefined ? 0 : hasRefresh;
        // 未传第3个参数时默认为1
        direction = direction == undefined ? 1 : direction;
        // hasRefresh 参数值不是数字，使用默认值 0
        hasRefresh = !isNaN(hasRefresh) ? parseInt(hasRefresh) : 0;
        // direction 参数值不是数字，使用默认值 1
        direction = !isNaN(direction) ? parseInt(direction) : 1;

        KDS_Native.switchWebView(url, hasRefresh, direction);
    },

    //调用自定义键盘
    showKeyBoard: function(id, type, handleKeyBoardClick){
        window.handleKeyboard = handleKeyBoardClick;

        if(id == undefined) {
            console.log("文本输入框 id 不能为空!");
            return;
        }
        if($('#' + id).length == 0) {
            console.log("文本输入框 id 不存在! id=" + id);
            return;
        }
        $("#" + id).focus();
        if(type == undefined) {
            console.log("键盘类型不存在!");
            return;
        }
        var X = $('#'+id).offset().left;
        var Y = $('#'+id).offset().top;
                Y += $('#'+id).height();            // 加上文本框高度
                Y += 80;                            // 额外加 80 像素, 可以显示出下一个输入框或按钮
        // 系数 = 输入框底部到页面顶部的高度 / 页面可见区域高度
        Y = Y / window.document.body.clientHeight;
        KDS_Native.showKeyBoard(type,Y);
    },

    test: function(){
        console.log("哈哈test");
        handleKeyBoard("9");
    },

    //隐藏自定义键盘
    hideKeyBoard: function(){
        KDS_Native.hideKeyBoard();
    },

    //自助开户功能
    selfserviceAccount: function(){
        KDS_Native.selfserviceAccount();
    },

    //资金账号绑定
    backZjzhBind: function(zjzh){
        KDS_Native.backZjzhBinde(zjzh);
    },

    //调用手机号码注册界面
    showRegisterView: function(){
        KDS_Native.ShowRegisterView();
    },

    //添加自选股
    addUserStock: function(stockName, stockCode, marketId){
        KDS_Native.addUserStock(stockName, stockCode, marketId);
    },

    //锁屏计时器操作
    timerAction: function(timerName, actionType){
        KDS_Native.timerAction(timerName, actionType);
    },

    //保存数据到本地
    saveOrUpdateLocalData: function(key, value){
        KDS_Native.saveOrUpdateLocalData(key, value);
    },

    //设置当前使用的交易地址
    setTradeUrl: function(url){
        KDS_Native.setTradeUrl(url);
    },

    //返回当前登录的资金账号
    onLoginAccount: function(loginAccount){
        KDS_Native.onLoginAccount(loginAccount);
    },

    //H5提供给原生的接口
    fillInputContent: function(data){
        handleKeyBoard(data);
        console.log("fillInputContent,data", data);
    },

    //记录日志接口
    log: function(str){
        console.log(str);
    },
};
