/** 调用原生接口-IOS **/

module.exports = {

    /**
        1. 界面跳转(交易超时设置由原生统一处理，每次调用完原生的界面跳转接口，就重置一下交易定时)
        2. 调用自定义键盘
        3. 隐藏自定义键盘
        4. 添加自选股
        5. 自助开户功能
        6. 资金账号绑定
        7. 调用手机号码注册界面
        8. 添加自选股
        9. 锁屏计时器操作
        10. 在原生app中打印日志
        11. 返回当前登录的资金账号
    **/
    
    //界面跳转
    switchWebView: function(url, hasRefresh, direction){
        location.href = "KDS_Native://switchWebView:" + url + ":" + hasRefresh + ":" + direction;
    },

    //调用自定义键盘
    showKeyBoard: function(type, coordinate_y){
        location.href = "KDS_Native://showKeyBoard:" + type + ":" + coordinate_y;
    },

    //隐藏自定义键盘
    hideKeyBoard: function(){
        location.href = "KDS_Native://hideKeyBoard";
    },

    //在原生app中打印日志
    logContent: function(){
        location.href = "KDS_Native://logContent";
    },

    //返回当前登录的资金账号
    onLoginAccount: function(loginAccount){
        location.href = "KDS_Native://onLoginAccount:" + loginAccount;
    },

    //IOS端日志接口
    log: function(str){
        location.href = "KDS_Native://log:" + str;
    },

};