var tempQuery = {
    closeClinch: false, // 成交按钮状态
    url: "",
    type: "",
    queryDateType: "dr", // 默认查询类型  ---当日
    postData: [], // 请求参数
    colNames: [], // 解析参数
    period: {}, // 查询时间段
    chedanRow: "", // 点击撤单行对象
    isNeedApply: false // 是否需要调用广播通知


    /*============================================================
    函数功能:   设置普通交易和融资融券ajax请求参数
    ============================================================*/
};function setAjaxRequestParams() {
    if (params["ywlx"] == "ptjy") {
        var cxlx = ptjyChaChe.type = tempQuery.type;

        // 当月查询实际调用的接口是历史查询
        if (cxlx == "mwtcx" || cxlx == "mcjcx" || cxlx == "mzjlscx") {
            // 将当月查询类型修改为历史查询
            cxlx = "ls" + cxlx.slice(1);
        }

        if (tempQuery.from) {
            // 自定义日期弹框
            // 修改：请求行数为 20
            // 修改：
            //      接口变更为：电商中台历史委托查询(ptjy/ptyw/dsztlswtcx)
            //      接口变更为：电商中台历史成交查询(ptjy/ptyw/dsztlscjcx)
            if (tempQuery.from == 'from-dateAlert') {
                tempQuery.postData.qqhs = '20';
                if (tempQuery.type == 'mwtcx') {
                    cxlx = 'dsztlswtcx';
                } else if (tempQuery.type == 'mcjcx') {
                    cxlx = 'dsztlscjcx';
                }
            }
            tempQuery.postData.myhs = '20';
            tempQuery.postData.ys = '1';
            tempQuery.postData.ksrq = tempQuery.postData.qsrq;
            tempQuery.postData.jsrq = tempQuery.postData.zzrq;
            tempQuery.from = null;
        } else {
            tempQuery.postData.myhs == null;
            tempQuery.postData.ys == null;
        }

        ptjyChaChe.requestUrl = tempQuery.url = getApiUrl() + "ptjy/ptyw/" + cxlx;

        ptjyChaChe.postData = tempQuery.postData;
        ptjyChaChe.colNames = tempQuery.colNames;
    } else if (params["ywlx"] == "rzrq") {
        var cxlx = rzrqChaChe.type = tempQuery.type;

        // 当月查询实际调用的接口是历史查询
        if (cxlx == "mwtcx" || cxlx == "mcjcx" || cxlx == "mzjlscx") {
            // 将当月查询类型修改为历史查询
            cxlx = "ls" + cxlx.slice(1);
        }
        rzrqChaChe.requestUrl = tempQuery.url = getApiUrl() + "rzrq/ptyw/" + cxlx;

        rzrqChaChe.postData = tempQuery.postData;
        rzrqChaChe.colNames = tempQuery.colNames;
    }
}

/*====================================================
函数功能:   获取普通交易和融资融券ajax请求参数
=====================================================*/
function getAjaxRequestParams() {
    if (params.ywlx == "ptjy") {
        tempQuery.type = ptjyChaChe.type;
        tempQuery.url = ptjyChaChe.requestUrl;
        tempQuery.postData = ptjyChaChe.postData;
        tempQuery.colNames = ptjyChaChe.colNames;
    } else if (params.ywlx == "rzrq") {
        tempQuery.type = rzrqChaChe.type;
        tempQuery.url = rzrqChaChe.requestUrl;
        tempQuery.postData = rzrqChaChe.postData;
        tempQuery.colNames = rzrqChaChe.colNames;
    }
}

/*========================================================================
函数功能:分别设置普通交易和融资融券--委托成交、资金流水界面选择的日期
=========================================================================*/
function setPeriod() {
    if (params.ywlx == "ptjy") {
        ptjyChaChe.period.qsrq = tempQuery.period.qsrq; // Y 起始日期
        ptjyChaChe.period.zzrq = tempQuery.period.zzrq; // Y 终止日期
    } else if (params.ywlx == "rzrq") {
        rzrqChaChe.period.qsrq = tempQuery.period.qsrq; // Y 起始日期
        rzrqChaChe.period.zzrq = tempQuery.period.zzrq; // Y 终止日期
    }
}

/*========================================================================
函数功能:分别获取普通交易和融资融券--委托成交、资金流水界面选择的日期
=========================================================================*/
function getPeriod() {
    if (params.ywlx == "ptjy") {
        tempQuery.postData.qsrq = ptjyChaChe.period.qsrq; // Y 起始日期
        tempQuery.postData.zzrq = ptjyChaChe.period.zzrq; // Y 终止日期
    } else if (params.ywlx == "rzrq") {
        tempQuery.postData.qsrq = rzrqChaChe.period.qsrq; // Y 起始日期
        tempQuery.postData.zzrq = rzrqChaChe.period.zzrq; // Y 终止日期
    }
}

/*========================================================================
函数功能:分别获取普通交易和融资融券--委托成交界面 成交开关状态
=========================================================================*/
function getClinchBtnStatus() {
    if (params.ywlx == "ptjy") {
        tempQuery.closeClinch = ptjyChaChe.closeClinch;
    } else if (params.ywlx == "rzrq") {
        tempQuery.closeClinch = rzrqChaChe.closeClinch;
    }
}

/*========================================================================
函数功能:分别设置普通交易和融资融券--委托成交界面 成交开关状态
=========================================================================*/
function setClinchBtnStatus() {
    if (params.ywlx == "ptjy") {
        ptjyChaChe.closeClinch = tempQuery.closeClinch;
    } else if (params.ywlx == "rzrq") {
        rzrqChaChe.closeClinch = tempQuery.closeClinch;
    }
}

/*========================================================================
函数功能:分别设置普通交易和融资融券资金流水-委托成交界面选择的查询日期
=========================================================================*/
function setQueryDate() {
    if (params.ywlx == "ptjy") {
        ptjyChaChe.queryDateType = tempQuery.queryDateType;
    } else if (params.ywlx == "rzrq") {
        rzrqChaChe.queryDateType = tempQuery.queryDateType;
    }
}

/*========================================================================
函数功能:分别获取普通交易和融资融券资金流水-委托成交界面选择的查询日期
=========================================================================*/
function getQueryDate() {
    if (params.ywlx == "ptjy") {
        tempQuery.queryDateType = ptjyChaChe.queryDateType;
    } else if (params.ywlx == "rzrq") {
        tempQuery.queryDateType = rzrqChaChe.queryDateType;
    }
}

/*==============================================
函数功能:         加载页面数据
传入参数:   qqlx:请求类型  obj:选择的标签页对象
===============================================*/
function loadPageData(qqlx, obj) {
    qqlx = qqlx ? qqlx : "";
    obj = obj ? obj : "";

    setAjaxRequestParams();

    ajaxPost(tempQuery.url, tempQuery.postData, function (response) {

        controller["scope"].detailInfo = response.cxlb || response.cclb || [];

        if (qqlx == "wtcj" || qqlx == "zjls") {
            // 在资金流水查询界面隐藏成交按钮行
            if (qqlx == "zjls") {
                $(".clinch").hide();
            }
            // 委托成交-资金流水界面需要设置日期标签页的状态
            changeStyle(obj);
        }
        // 移除JQuery方式添加的内容======
        removejQueryAppendContent();
        // 数据解析与加载
        controller["scope"].tbody = ResealServerFeedbackData(response, tempQuery.colNames, tempQuery.type);

        bindLoadMoreContentEvent();
    });
}

/**
 * 排序列表
 * @param response 数据集
 * @param sort     排序类型 asc: 正序  desc: 倒序
 * @param field    排序字段
 */
function sortTheList(response, sort, field) {
    try {
        var array = response.cxlb;

        if (sort == "asc") {
            return array.sort(function (a, b) {
                return a[field] > b[field] ? 1 : -1;
            });
        } else if (sort == "desc") {
            return array.sort(function (a, b) {
                return a[field] < b[field] ? 1 : -1;
            });
        }
    } catch (error) {
        console.error("对列表数据进行排序时出现异常!", error);
    }

    return response;
}

/*=======================================================================
函数功能:           普通交易、融资融券---委托成交查询
传入参数:                 obj:选中标签页对象
=======================================================================*/
function WTCJCX(obj) {

    obj = obj ? obj : "";

    //============当日委托---成交查询======================
    tempQuery.postData = {
        "gddm": "", //N 股东代码    不送查全部
        "zqdm": "", //N 证券代码    不送查全部
        "wtxh": "", //N 委托序号    不送查全部
        "cxfx": params['cxfx'], //Y 查询方向1   1向下/0向上查询方向
        "qqhs": "1000", //Y 请求行数    每次取的行数
        "dwc": "" //Y 定位串      第一次填空
    };

    //==================历史查询要多添加 起始日期+终止日期 两个参数======================
    setQueryDate(); // 获取查询日期的类型

    if (tempQuery.queryDateType == "m" || tempQuery.queryDateType == "ls") {
        getPeriod();
    }

    getClinchBtnStatus(); // 获取成交按钮开关状态
    //============关闭只看成交按钮则进行委托查询===============
    if (tempQuery.closeClinch == false) {

        //==============表格列名===============
        controller["scope"].thead = [{
            name: "名称/代码"
        }, {
            name: "标志/时间"
        }, {
            name: "委托价"
        }, {
            name: "委托/成交量"
        }];

        //=================当日委托查询====================
        if (tempQuery.queryDateType == "dr") {

            console.log("当日委托查询");

            tempQuery.type = "drwtcx";
            //=============================需要解析的字段================================
            tempQuery.colNames = ["zqmc", "zqdm", "mmlbsm", "wtztsm", "wtsj", "wtjg", "cjjg", "wtsl", "cjsl"];
        } else {
            //================历史委托查询================
            if (tempQuery.queryDateType == "m") {
                tempQuery.type = "mwtcx";
                console.log("当月委托查询" + tempQuery.period.qsrq + " " + tempQuery.period.zzrq);
            } else if (tempQuery.queryDateType == "ls") {
                tempQuery.type = "lswtcx";
                console.log("半年内委托查询" + tempQuery.period.qsrq + " " + tempQuery.period.zzrq);
            } else {
                return;
            }

            //=============================需要解析的字段================================
            tempQuery.colNames = ["zqmc", "zqdm", "mmlbsm", "wtztsm", "wtrq", "wtsj", "wtjg", "cjjg", "wtsl", "cjsl"];
        }
    } //===============若查看成家按钮处于打开状态,则查询成交========================
    else {
            //==============表格列名===============
            if (params["ywlx"] == "ptjy") {
                controller["scope"].thead = [{
                    name: "名称/代码"
                }, {
                    name: "标志/时间"
                }, {
                    name: "成交价"
                }, {
                    name: "成交量"
                }];
            } else if (params["ywlx"] == "rzrq") {
                controller["scope"].thead = [{
                    name: "名称/代码"
                }, {
                    name: "标志/时间"
                }, {
                    name: "成交价"
                }, {
                    name: "成交量/金额"
                }];
            } else {
                return;
            }

            if (tempQuery.queryDateType == "dr") {

                tempQuery.type = "drcjcx";
                tempQuery.colNames = ["zqmc", "zqdm", "mmlbsm", "cjztsm", "cjsj", "wtjg", "cjjg", "wtsl", "cjsl", "cjje"];
            } else {
                if (tempQuery.queryDateType == "m") {
                    tempQuery.type = "mcjcx";
                } else if (tempQuery.queryDateType == "ls") {
                    tempQuery.type = "lscjcx";
                } else {
                    return;
                }

                tempQuery.colNames = ["zqmc", "zqdm", "mmlbsm", "cjztsm", "cjrq", "cjsj", "wtjg", "cjjg", "wtsl", "cjsl", "cjje"];
            }
        }

    loadPageData("wtcj", obj);
}

/*=======================================================================
函数功能:           普通交易、融资融券---资金流水查询查询
传入参数:                 obj:选中标签页对象
=======================================================================*/
function ZJLSCX(obj) {
    obj = obj ? obj : "";

    controller["scope"].thead = [{
        name: "名称/代码"
    }, {
        name: "业务/交收日期"
    }, {
        name: "发生额/币种"
    }, {
        name: "成交价/数量"
    }];

    tempQuery.postData = {
        hbdm: "",
        cxfx: params['cxfx'],
        qqhs: params['qqhs'],
        dwc: ""
    };

    getQueryDate();

    if (tempQuery.queryDateType == "dr") {
        tempQuery.type = "drzjlscx";
        tempQuery.colNames = ["zqmc", "zqdm", "ywbzsm", "jsrq", "fsje", "hbmc", "cjjg", "cjsl"];
    } else {
        getPeriod();

        if (tempQuery.queryDateType == "m") {
            tempQuery.type = "mzjlscx";
        } else if (tempQuery.queryDateType == "ls") {
            tempQuery.type = "lszjlscx";
        } else {
            return;
        }

        tempQuery.colNames = ["zqmc", "zqdm", "ywbzsm", "jsrq", "fsje", "hbmc", "cjjg", "cjsl"];
    }

    loadPageData("zjls", obj);
}

/*===============================================
函数功能:  普通交易、融资融券---持仓查询
===============================================*/
function CCCX(localJump) {
    $("#title").text("持仓查询");

    ZJCX();

    if (params["ywlx"] == "ptjy") {
        controller["scope"].footer = "单击列表数据可进行买卖操作";
    } else if (params["ywlx"] == "rzrq") {
        controller["scope"].footer = rzrqWDCCFooterText;
    } else {
        return;
    }

    tempQuery.postData = {
        "qqhs": params['qqhs'], //Y 请求行数    每次取的行数
        "dwc": "", //Y 定位串      第一次填空
        "cxfx": params['cxfx'] //Y 查询方向1   1向下/0向上查询方向
    };

    tempQuery.type = "cccx";
    tempQuery.colNames = ["zqmc", 'gpsz', "yk", "ykbl", "ccsl", "kysl", "cbjg", "dqjg", "zqdm", "gfye", "gfssmmce", "ztmr", "ztmc"];

    //============持仓查询======================
    loadPageData();
}

/*=======================================================================
函数功能:                  可撤单委托查询
=======================================================================*/
function KCDWTCX() {
    $("#title").text("委托撤单");
    $("#title.ptjyWtcdTitle").text("委托"); // 普通交易撤单页面title更改为委托

    controller["scope"].thead = [{
        name: "委托时间"
    }, {
        name: "方向/状态"
    }, {
        name: "委托价格"
    }, {
        name: "委托/成交"
    }];

    tempQuery.postData = {
        "gddm": "", //N 股东代码    不送查全部
        "zqdm": "", //N 证券代码    不送查全部
        "wtxh": "", //N 委托序号    不送查全部
        "cxfx": params['cxfx'], //Y 查询方向 1  1向下/0向上查询方向
        "qqhs": "1000", //Y 请求行数    每次取的行数
        // 金证win版  部分接口没有定位串参数
        "dwc": "" //Y 定位串      第一次填空
    };

    tempQuery.type = "kcdwtcx";
    tempQuery.colNames = ["zqmc", "wtsj", "mmlbsm", "wtztsm", "wtjg", "wtsl", "cjsl", "zqdm", "jysdm", "gddm", "wtxh"];

    loadPageData();
}

/*===========================================
//函数功能:     显示模态框
//传入参数: obj---点击表格行对象
============================================*/
function showCheDanModal(obj) {
    tempQuery.chedanRow = obj;

    var modal = {};

    modal["title"] = "撤单确认";
    modal["content"] = [{
        key: '证券代码:',
        value: $(obj).find(".wtcd-zqdm").text()
    }, {
        key: '证券名称:',
        value: $(obj).find(".wtcd-zqmc").text()
    }, {
        key: '委托价格:',
        value: $(obj).find(".wtcd-wtjg").text()
    }, {
        key: '委托数量:',
        value: $(obj).find(".wtcd-wtsl").text()
    }];

    Dialog.alert(controller["scope"], controller["compile"], modal, { isController: false, rightIcoHide: true });
    // 确定按钮的绑定事件
    CheDanRowBindEvent();
};

/*=======================================================================
函数功能:              确定撤单绑定事件
=======================================================================*/
function CheDanRowBindEvent() {
    // ====================模态框确认按钮触发事件=============================
    controller["scope"].Ensure = function () {

        var url = "",
            title = "撤单";

        // 关闭模态框
        Dialog.closeAlert();

        if (params.ywlx == "ptjy") {
            url = getApiUrl() + "ptjy/ptyw/wtcd";
        } else if (params.ywlx == "rzrq") {
            url = getApiUrl() + "rzrq/ptyw/wtcd";
        }

        var postData = {
            "jysdm": $(tempQuery.chedanRow).find(".wtcd-jysdm").text(), //Y 交易市场
            "gddm": $(tempQuery.chedanRow).find(".wtcd-gddm").text(), //Y 股东代码
            "wtxh": $(tempQuery.chedanRow).find(".wtcd-wtxh").text() //Y 委托序号
        };

        // 释放点击撤单行对象
        tempQuery.chedanRow = "";

        ajaxPost(url, postData, function (response) {
            var msg = "委托提交成功";
            if (url.indexOf("wtcd") != -1) {
                //委托撤单，提示不同
                msg = "撤单成功";
            }

            // 成功后弹出提示框
            if (response.htxx[0].wtxh) {
                Dialog.successAlert(msg + ",流水号：" + response.htxx[0].wtxh, title);
            } else {
                Dialog.successAlert(msg, title);
            }

            // 点击确认后，刷新列表数据
            Dialog.confirm = function () {
                KCDWTCX();

                // 关闭模态框
                Dialog.closeAlert();
            };
        }, function (response) {
            Dialog.errorAlert("委托提交失败：" + response.cljg[0].message, title);
        });
    };
}

/*==============================================
函数功能:      动态改变点击标签的样式
传入参数:      obj：需要改变样式的对象
===============================================*/
function changeStyle(obj) {
    //==============判断传入的对象是否为空=============
    //==========未切换标签时,不改变标签样式============
    if (obj == "") {
        return;
    }

    //===========点击了委托,资金流水标签=============
    if (obj.parent().attr("id") == "querySortTab") {

        $("#querySortTab li.active").removeClass("active");
        obj.addClass("active");

        // 资金流水表格表头的文字比较长,通过增加zjlscx类设置较小的字号
        if ($("#querySortTab li.active a").text().trim() == params.querytitle.zjls) {

            if ($(".table-head").hasClass("small-font-size") == false) {
                $(".table-head").addClass("small-font-size");
            }
        } else {
            if ($(".table-head").hasClass("small-font-size") == true) {
                $(".table-head").removeClass("small-font-size");
            }
        }
    } //===========点击了当日,一个月内,半年内标签================
    else if (obj.parent().parent().parent().attr("id") == "queryDate") {
            $("#queryDate > tbody > tr > td").removeClass("active");
            obj.addClass("active");
        }
}

//=====================当日,当周，一周，一月内, 半年内 标签页切换=======================
var queryForDate; //自定义时间匡，点击确定后的回调函数
var queryObj; //ajax查询返回后的域调用对应
$("#queryDate > tbody > tr > td").click(queryForDate = function queryForDate(args, from) {
    var customDate = args instanceof Array ? args : null;
    //获取查询类别
    var QuerySort = trim($("#querySortTab li.active div > a").text());
    if (QuerySort == '') {
        QuerySort = document.title;
        if (QuerySort == '当日委托') {
            QuerySort = '委托查询';
        } else if (QuerySort == '今日成交') {
            QuerySort = '成交查询';
        }
    }

    if (from === 'from-dateAlert') {
        tempQuery.from = from;
    }

    //获取选中的时间段
    var selectDate = trim($(this).find("a").text());

    if (customDate) {
        //从选择框自定义了时间
        tempQuery.period.qsrq = customDate[0];
        tempQuery.period.zzrq = customDate[1];
        tempQuery.queryDateType = "m";
        setPeriod(); // 获取查询日期
        queryObj = this;
    }
    //弹出自定义查询时间框（间隔不能超过两个月）
    else if (selectDate == params['querytitle']["custom"]) {
            queryObj = this;
            // 添加 active ，同时去掉兄弟元素的 active
            $(this).addClass("active").siblings("td").removeClass("active");
            addQueryDateSettingView(); //添加自定义时间设置框到界面
            return;
        }
        //===========当日委托查询========================
        else if (selectDate == params['querytitle']["day"]) {
                tempQuery.queryDateType = "dr";

                // 设置当日的起始时间 2016.07.06 add
                var now = new Date();
                $("#startDate").val(now.Format("yyyy-MM-dd"));
                $("#endDate").val(now.Format("yyyy-MM-dd"));
            } else if (selectDate == params['querytitle']["week"]) {
                //获取近一周的起始查询日期
                var now = new Date();
                tempQuery.period.zzrq = now.Format("yyyyMMdd");

                now.addWeeks(-1);
                tempQuery.period.qsrq = now.Format("yyyyMMdd");
                tempQuery.queryDateType = "m";
                setPeriod(); // 获取查询日期

                // 设置近一周的起始时间 2016.07.06 add
                $("#startDate").val(now.Format("yyyy-MM-dd"));
                $("#endDate").val(new Date().Format("yyyy-MM-dd"));
            } else if (selectDate == params['querytitle']["month"]) //获取近一个月的起始查询日期
                {
                    var now = new Date();
                    tempQuery.period.zzrq = now.Format("yyyyMMdd");

                    now.addMonths(-1);
                    tempQuery.period.qsrq = now.Format("yyyyMMdd");
                    tempQuery.queryDateType = "m";

                    setPeriod(); // 获取查询日期 2016.07.06 add

                    // 设置近一月的起始时间
                    $("#startDate").val(now.Format("yyyy-MM-dd"));
                    $("#endDate").val(new Date().Format("yyyy-MM-dd"));
                } //===========历史委托查询========================
            else if (selectDate == params['querytitle']["year"]) {
                    var now = new Date();
                    tempQuery.period.zzrq = now.Format("yyyyMMdd");
                    now.addMonths(-6);
                    tempQuery.period.qsrq = now.Format("yyyyMMdd");
                    tempQuery.queryDateType = "ls";

                    setPeriod(); // 获取查询日期
                }

    setQueryDate();

    //==============资金流水查询============
    if (!customDate) {
        queryObj = this;
    }
    if (QuerySort == params['querytitle']["zjls"] || getLocalData("page") == params['querytitle']["zjls"]) {
        ZJLSCX($(queryObj));
    } //==============委托查询============
    else if (QuerySort == params['querytitle']["wtcj"] || getLocalData("page") == params['querytitle']["wtcj"]) {
            WTCJCX($(queryObj));
        } else if (QuerySort == params['querytitle']["wtcx"] || getLocalData("page") == params['querytitle']["wtcj"]) {
            WTCJCX($(queryObj));
        } else if (QuerySort == params['querytitle']["cjcx"] || getLocalData("page") == params['querytitle']["wtcj"]) {
            WTCJCX($(queryObj));
        }

    return false;
});

//==========委托成交、资金流水标签页切换================
$("#querySortTab li").click(function () {
    var obj = $(this);
    var text = trim($(this).find("div > a").text());
    //=========================资金查询=============================
    if (text == params['querytitle']["zjls"]) {
        ZJLSCX(obj);
    } //=========================成交查询=============================
    else if (text == params['querytitle']["wtcj"]) {
            $(".clinch").show();
            $(".table").toggleClass("zjlscx");
            WTCJCX(obj);
        } else if (text == params['querytitle']["wtcx"]) {
            //委托查询
            tempQuery.closeClinch = false;
            if (params.ywlx == "ptjy") {
                ptjyChaChe.closeClinch = false;
            } else if (params.ywlx == "rzrq") {
                rzrqChaChe.closeClinch = false;
            }
            WTCJCX(obj);
        } else if (text == params['querytitle']["cjcx"]) {
            // 成交查询
            tempQuery.closeClinch = true;
            if (params.ywlx == "ptjy") {
                ptjyChaChe.closeClinch = true;
            } else if (params.ywlx == "rzrq") {
                rzrqChaChe.closeClinch = true;
            }
            WTCJCX(obj);
        }

    return false;
});

// ===============================================================================
// 函数功能:            开关绑定点击事件
// ===============================================================================
$("#queryTradeSwitch").on("click", function () {
    tempQuery.isNeedApply = true;
    getClinchBtnStatus();

    tempQuery.closeClinch = !tempQuery.closeClinch;

    if (tempQuery.closeClinch == true) {
        $(this).addClass("active");
    } else if (tempQuery.closeClinch == false) {
        $(this).removeClass("active");
    }

    setClinchBtnStatus();

    WTCJCX();

    return false;
});

/*=====================================================
函数功能:            滚动加载更多数据
=====================================================*/
function scrollLoadMoreContent() {
    getAjaxRequestParams();

    if (params.ywlx == "ptjy") {
        //=======每次查询前更新定位串======================
        // 持仓查询
        if (ptjyChaChe.type == "cccx") {
            tempQuery.postData.dwc = query.ptjy_cccxdwc;
        } //================可撤单委托查询=====================
        else if (ptjyChaChe.type == "kcdwtcx") {
                tempQuery.postData.dwc = query.ptjy_kcdwtcxdwc;
            }
            //================委托查询==========
            else if (ptjyChaChe.type == "drwtcx") {
                    tempQuery.postData.dwc = query.ptjy_drwtcxdwc;
                } else if (ptjyChaChe.type == "mwtcx") {
                    tempQuery.postData.dwc = query.ptjy_mwtcxdwc;
                    if (tempQuery.postData.ys) {
                        tempQuery.postData.ys = new Number(tempQuery.postData.ys) + 1 + '';
                    }
                } else if (ptjyChaChe.type == "lswtcx") {
                    tempQuery.postData.dwc = query.ptjy_lswtcxdwc;
                } //================成交查询=============
                else if (ptjyChaChe.type == "drcjcx") {
                        tempQuery.postData.dwc = query.ptjy_drcjcxdwc;
                    } else if (ptjyChaChe.type == "mcjcx") {
                        tempQuery.postData.dwc = query.ptjy_mcjcxdwc;
                        if (tempQuery.postData.ys) {
                            tempQuery.postData.ys = new Number(tempQuery.postData.ys) + 1 + '';
                        }
                    } else if (ptjyChaChe.type == "lscjcx") {
                        tempQuery.postData.dwc = query.ptjy_lscjcxdwc;
                    } //==========资金流水查询============
                    else if (ptjyChaChe.type == "drzjlscx") {
                            tempQuery.postData.dwc = query.ptjy_drzjlscxdwc;
                        } else if (ptjyChaChe.type == "mzjlscx") {
                            tempQuery.postData.dwc = query.ptjy_mzjlscxdwc;
                        } else if (ptjyChaChe.type == "lszjlscx") {
                            tempQuery.postData.dwc = query.ptjy_lszjlscxdwc;
                        }
    } else if (params.ywlx == "rzrq") {
        //====================持仓查询=====================
        if (rzrqChaChe.type == "cccx") {
            //========改变查询请求中的定位串值==============
            tempQuery.postData.dwc = query.rzrq_cccxdwc;
        } //=================可撤单委托查询==================
        else if (rzrqChaChe.type == "kcdwtcx") {
                tempQuery.postData.dwc = query.rzrq_kcdwtcxdwc;
            } //============委托查询==============
            else if (rzrqChaChe.type == "drwtcx") {
                    tempQuery.postData.dwc = query.rzrq_drwtcxdwc;
                } else if (rzrqChaChe.type == "mwtcx") {
                    tempQuery.postData.dwc = query.rzrq_mwtcxdwc;
                } else if (rzrqChaChe.type == "lswtcx") {
                    tempQuery.postData.dwc = query.rzrq_lswtcxdwc;
                } //===========成交查询=============
                else if (rzrqChaChe.type == "drcjcx") {
                        tempQuery.postData.dwc = query.rzrq_drcjcxdwc;
                    } else if (rzrqChaChe.type == "mcjcx") {
                        tempQuery.postData.dwc = query.rzrq_mcjcxdwc;
                    } else if (rzrqChaChe.type == "lscjcx") {
                        tempQuery.postData.dwc = query.rzrq_lscjcxdwc;
                    } //==============流水查询==============
                    else if (rzrqChaChe.type == "drzjlscx") {
                            tempQuery.postData.dwc = query.rzrq_drzjlscxdwc;
                        } else if (rzrqChaChe.type == "mzjlscx") {
                            tempQuery.postData.dwc = query.rzrq_mzjlscxdwc;
                        } else if (rzrqChaChe.type == "lszjlscx") {
                            tempQuery.postData.dwc = query.rzrq_lszjlscxdwc;
                        } else if (rzrqChaChe.type == "rzbdzqcx") {
                            tempQuery.postData.dwc = query.rzrq_rzbdzqcxdwc;
                            // 将字符串转化为数字
                            tempQuery.postData.pyl = parseInt(rzrqChaChe.postData.pyl) + parseInt(params["qqhs"]);
                            tempQuery.postData.pyl = tempQuery.postData.pyl.toString();
                        } else if (rzrqChaChe.type == "rqbdzqcx") {
                            tempQuery.postData.dwc = query.rzrq_rqbdzqcxdwc;
                            // 将字符串转化为数字
                            tempQuery.postData.pyl = parseInt(rzrqChaChe.postData.pyl) + parseInt(params["qqhs"]);
                            tempQuery.postData.pyl = tempQuery.postData.pyl.toString();
                        } else if (rzrqChaChe.type == "rzfzmxcx") {
                            tempQuery.postData.dwc = query.rzrq_rzfzmxcxdwc;
                        } else if (rzrqChaChe.type == "rqfzmxcx") {
                            tempQuery.postData.dwc = query.rzrq_rqfzmxcxdwc;
                        } else if (rzrqChaChe.type == "dbpzqcx") {
                            // 将字符串转化为数字
                            tempQuery.postData.pyl = parseInt(rzrqChaChe.postData.pyl) + parseInt(params["qqhs"]);
                            tempQuery.postData.pyl = tempQuery.postData.pyl.toString();
                        } else if (rzrqChaChe.type == "ypchycx") {
                            tempQuery.postData.dwc = query.rzrq_ypchycxdwc;
                        } else if (rzrqChaChe.type == "wpchycx") {
                            tempQuery.postData.dwc = query.rzrq_wpchycxdwc;
                        }
    } else {
        if (refreshNote(callback) == false) {
            return;
        }

        return;
    }

    //==================发起查询请求===================
    ajaxPost(tempQuery.url, tempQuery.postData, function (response) {
        if (controller["scope"] != null && controller["scope"].detailInfo != null) {
            controller["scope"].detailInfo = controller["scope"].detailInfo.concat(response.cxlb || response.cclb || []);
        }

        var content = ""; //==清空上次的残留内容

        //========从查询结果中解析界面上要显示的字段=======
        if (tempQuery.type == "drwtcx" || tempQuery.type == "mwtcx" || tempQuery.type == "lswtcx" || tempQuery.type == "drcjcx" || tempQuery.type == "mcjcx" || tempQuery.type == "lscjcx" || tempQuery.type == "drzjlscx" || tempQuery.type == "mzjlscx" || tempQuery.type == "lszjlscx" || tempQuery.type == "cccx" || tempQuery.type == "kcdwtcx" || tempQuery.type == "rzfzmxcx" || tempQuery.type == "rqfzmxcx" || tempQuery.type == "ypchycx" || tempQuery.type == "wpchycx") {
            if (tempQuery.type == "rzfzmxcx" || tempQuery.type == "rqfzmxcx") {
                list = list.concat(response.cxlb);

                // console.log(list);
            }

            var tbody = ResealServerFeedbackData(response, tempQuery.colNames, tempQuery.type, "isScrollQuery");
        } else if (tempQuery.type == "rqbdzqcx" || tempQuery.type == "rzbdzqcx" || tempQuery.type == "dbpzqcx") {
            var tbody = FollowOriginalDataParse(response, tempQuery.colNames, tempQuery.type, "isScrollQuery");
        } else {
            return;
        }

        var len = tbody.length;

        if (len == 0) {
            showMessageTips("数据已更新");
        } else {
            controller.scope.tbody = controller.scope.tbody.concat(tbody);
        }

        if (tempQuery.type == "cccx") {
            // 不采用angularJS数组连接的方式加载更多数据是因为angularJS每次
            // 会重新从第一条开始创建表格记录,当记录很多时,性能很低
            //===============组装表格数据==================
        } else if (tempQuery.type == "rzfzmxcx" || tempQuery.type == "rqfzmxcx" || tempQuery.type == "ypchycx" || tempQuery.type == "wpchycx") {
            if (tempQuery.type == "rzfzmxcx" || tempQuery.type == "rqfzmxcx") {
                var clickEvent = " onclick='jumpDetailPage(this)' ";
            } else if (tempQuery.type == "ypchycx" || tempQuery.type == "wpchycx") {
                var clickEvent = " class='hycx-ajax-data' ";
            }

            //===============组装表格数据==================
            for (var i = 0; i < len; i++) {

                var row = tbody[i];

                content += "<tr" + clickEvent + ">" + "         <td>" + "           <p>" + row.key1 + "</p> " + "           <p>" + row.key2 + "</p> " + "         </td>                 " + "                               " + "         <td>                  " + "           <p>" + row.key3 + "</p> " + "           <p>" + row.key4 + "</p> " + "         </td>                 " + "         <td>                  " + "           <p>" + row.key5 + "</p> " + "           <p>" + row.key6 + "</p> " + "         </td>                 " + "         <td>                  " + "           <p>" + row.key7 + "</p> " + "           <p>" + row.key8 + "</p> " + "         </td>                 " + "                               " + "</tr>                          ";
            }
        } //=======================八列数据的表格=======================
        else if (tempQuery.type == "drwtcx" || tempQuery.type == "mwtcx" || tempQuery.type == "lswtcx" || tempQuery.type == "drcjcx" || tempQuery.type == "mcjcx" || tempQuery.type == "lscjcx" || tempQuery.type == "drzjlscx" || tempQuery.type == "mzjlscx" || tempQuery.type == "lszjlscx") {
                //===============组装表格数据==================
                for (var i = 0; i < len; i++) {
                    var row = tbody[i];

                    content += "<tr  class=" + row.color + ">" + "         <td>" + "           <p>" + row.key1 + "</p> " + "           <p>" + row.key2 + "</p> " + "         </td>                 " + "                               " + "         <td>                  " + "           <p>" + row.key3 + "</p> " + "           <p>" + row.key4 + "</p> " + "         </td>                 " + "         <td>                  " + "           <p>" + row.key5 + "</p> " + "           <p>" + row.key6 + "</p> " + "         </td>                 " + "         <td>                  " + "           <p>" + row.key7 + "</p> " + "           <p>" + row.key8 + "</p> " + "         </td>                 " + "                               " + "</tr>                          ";
                }
            } //=======================六列数据的表格=======================
            // 融券/融资-担保品证券查询
            else if (tempQuery.type == "rqbdzqcx" || tempQuery.type == "rzbdzqcx" || tempQuery.type == "dbpzqcx") {
                    //===============组装表格数据==================
                    for (var i = 0; i < len; i++) {
                        var row = tbody[i];

                        content += "<tr>" + "         <td>" + "           <p>" + row.key1 + "</p> " + "           <p>" + row.key2 + "</p> " + "         </td>                 " + "                               " + "         <td>                  " + "           <p>" + row.key3 + "</p> " + "           <p>" + row.key4 + "</p> " + "         </td>                 " + "         <td>                  " + "           <p>" + row.key5 + "</p> " + "           <p>" + row.key6 + "</p> " + "         </td>                 " + "                               " + "</tr>                          ";
                    }
                }

        if (len > 0) {
            $(".table.table-hover tbody").append(content);
        }

        // 修复合约查询页面上拉加载的数据无法点击的问题
        $(".hycx-ajax-data").click(function () {
            console.log("%o", this);
            var zqdm = $(this).find("p")[1].innerText;
            var hybh = $(this).find("p")[2].innerText;
            var wtrq = $(this).find("p")[3].innerText;

            //记录跳转前的状态
            var jumpState = document.getElementById("wlhe-state");
            if (jumpState.className == "active") {
                setLocalData("jumpState", "wlhe");
            } else {
                setLocalData("jumpState", "ylhe");
            }

            var detailInfoList = response.cxlb;
            for (var i in detailInfoList) {
                if (zqdm == detailInfoList[i].zqdm && hybh == detailInfoList[i].hybh && wtrq == detailInfoList[i].wtrq) {
                    setLocalData("hyDetailInfo", detailInfoList[i]);
                    break;
                }
            }

            // 跳转的目标地址
            var data_url = "rzrq/chache/rzrq_wtcj_zjls_query_detail.html";
            JumpInterface(data_url, 4, 1);
        });
    });
}

/**
 * 批量撤单功能接口
 */
var plcdApi = function (window, $) {
    // 批量撤单模态框
    function showModalPLCD($scope, $compile) {
        var detailInfo = controller["scope"].detailInfo || [];
        if (detailInfo.length == 0) {
            showMessageTips("没有可撤单委托记录");
            return;
        }

        var modal = {};

        modal["title"] = "撤单确认";
        modal["msg"] = [{
            value: '是否进行全部撤单？'
        }];

        Dialog.alert($scope, $compile, modal);

        // 模态框上面 “确定” 按钮的绑定事件
        controller["scope"].Ensure = function () {
            // 关闭模态框
            Dialog.closeAlert();

            // 批量撤单
            PLCD();
        };
    }

    // 批量撤单
    function PLCD() {
        var url = "";

        if (params.ywlx == "rzrq") {
            url = getApiUrl() + "rzrq/ptyw/plcd";
        }

        var detailInfo = controller["scope"].detailInfo || [];
        var jysdms = new Array();
        var gddms = new Array();
        var wtxhs = new Array();
        var len = detailInfo.length;

        for (var i = 0; i < len; i++) {
            jysdms.push(detailInfo[i].jysdm);
            gddms.push(detailInfo[i].gddm);
            wtxhs.push(detailInfo[i].wtxh);
        }

        var postData = {
            "jysdm": jysdms.join("|"), // Y 交易市场
            "gddm": gddms.join("|"), // Y 股东代码
            "wtxh": wtxhs.join("|") // Y 委托序号
        };

        // 如果数据为空，点击确定不弹出二次框
        if (len > 0) {
            ajaxPost(url, postData, function (response) {

                // 成功后弹出提示框
                if (response.plcljg[0].plclzt == "cg") {
                    Dialog.successAlert("撤单成功", "提示信息");
                }

                if (response.plcljg[0].plclzt == "sb") {
                    Dialog.errorAlert("部分委托撤单失败", "提示信息");
                }

                // 点击确认后，刷新列表数据
                Dialog.confirm = function () {
                    KCDWTCX();

                    Dialog.closeAlert();
                };
            });
        }
    }

    return {
        showModalPLCD: showModalPLCD
    };
}(window, jQuery);