(function ($) {
    jQuery.fn.select = function (options) {
        return this.each(function () {

            var $this = $(this); // 下拉框对象
            var $shows = $this.find(".divselect"); // 下拉框选择列表对象
            var $selectOption = $this.find(".divselect>p"); // 下拉框选择列表中的一个项
            var $el = $this.find(".divselect");
            var isKHZH = $(this).find(".khbsList").html() != undefined; // 是否存在客户账号列表

            // 定义一个方法, 能够隐藏页面上所有的下拉框
            var hideAllSelect = function hideAllSelect(index) {
                index = index == undefined ? -1 : index;

                $(".divselect").each(function (o) {
                    if (index != o) {
                        $(this).hide();
                        $(this).removeClass("dis");
                    }
                });

                params.isHideDivSelect = false;
            };

            // 点击该对象, 显示下拉框列表, 且把该界面存在其它的下拉框列表隐藏
            $this.click(function (e) {
                //点击下拉选择输入文本，关闭键盘
                var noselectedNode = e.target.attributes.getNamedItem("noselected");
                if (noselectedNode && noselectedNode.value) {
                    hideKeyBoard();
                }

                $(".divselect").each(function (o) {
                    $(this).attr("index", o);
                });

                var _index = $shows.attr("index");

                hideAllSelect(_index);

                if (isKHZH) {
                    Khbs_add_selelct();

                    $("#khbz").val("");

                    if (LD_LSZH_LSIT.length == 0) {
                        return;
                    }

                    params.isHideDivSelect = true;
                }

                var in_modal = $shows.attr("in_modal");

                if (in_modal != undefined && in_modal != "") {
                    params.id = in_modal;
                }

                if ($shows.css("display") == "block") {
                    $shows.hide();
                } else {
                    $shows.show();
                }

                $shows.toggleClass("dis");
                e.stopPropagation();
            });

            // 点击下拉框列表中的某一项时, 进行值的显示与传递, 且隐藏该下拉框
            $el.on("click", "p", function (e) {
                var in_modal = $(this).parent().attr("in_modal");

                var hid_modal = $(this).parent().attr("hid_modal");

                if (in_modal != undefined && in_modal != "") {
                    $("#" + in_modal).val($(this).find("label").text());
                }

                if (hid_modal != undefined && hid_modal != "") {
                    $("#" + hid_modal).val($(this).find("label").attr("value"));
                }

                $("#" + params.id).focus();

                $shows.hide();
                $shows.removeClass("dis");

                e.stopPropagation();
            });

            // 点击页面非下拉框区域, 隐藏页面上所有的下拉框
            $("body").bind("click", function () {
                hideAllSelect();
            });

            //eahc End
        });
    };
})(jQuery);

$(".sel_right").select();
$(".khzh").select();

/*
(function($) {
  jQuery.fn.select = function(options) {
    return this.each(function() {
      var $this = $(this);
      var $shows = $this.find(".shows");
      var $selectOption = $this.find(".selectOption");
      var $el = $this.find("ul");

      $this.click(function(e) {
        $(this).toggleClass("zIndex");
        $(this).children("ul").toggleClass("dis");
        e.stopPropagation();
      });

      $el.on("click", "li", function() {
        var $this_ = $(this);
        $this.find("span").removeClass("gray");
        $this_.parent().parent().find(".selectOption").text($this_.text());
      });

      $("body").bind("click", function() {
        $this.removeClass("zIndex");
        $this.find("ul").removeClass("dis");
      })

      //eahc End
    });
  }
})(jQuery);

$(".selectContainer").select();  //调用
*/