/**
 * 获取basic文件位置的方法
 */
function getBasicFilePath() {
    var curWwwPath = window.document.location.href;
    var pathName = "view";
    var pos = curWwwPath.indexOf(pathName);
    var localhostPath = curWwwPath.substring(0, pos);
    return localhostPath + "basic.txt";
}
/**
 * basic文件的位置
 */
var basicFilePath = getBasicFilePath();
/**
 * 功能开发控制
 * 不同版本开发不同功能，在此统一做判断
 * */

// H5 的版本号
function getVersion() {
    var v = "";
    $.ajaxSettings.async = false;
    $.ajax({
        url: basicFilePath,
        dataType: 'text',
        success: function success(data) {
            var basicObj = JSON.parse(data);
            v = basicObj.version;
        }
    });
    $.ajaxSettings.async = true;
    return v;
}
var h5Version = getVersion();
/**************** 功能菜单的显示设置 start **************************/
//融资融券应还券按钮是否显示
var isRzrqYHQBtnShow = true;

//交割单查询功能是否显示
var isJGDCXShow = true;

//两融-融券卖出是否显示
var isRQMCShow = true;

//两融-还券是否显示
var isHQShow = true;

//两融-融资负债功能是否显示
var isRZFZShow = false;

//两融-融券负债功能是否显示
var isRQFZShow = false;

//两融-信用资产功能是否显示
var isXYZCShow = false;

//两融-可融券证券是否显示
var isKRQZQShow = true;

//两融-是否显示显示合约偿还顺序设置
var isHychsxcxShow = true;

//港股通功能是否显示
var isGGTShow = true;

//资金调度是否显示
var isZJDDShow = true;

// 新股申购是否显示
var isXGSGShow = true;

//电子签约是否显示
var isDZQYShow = true;

//收益凭证默认不显示
var isSYPZShow = false;

//网络投票功能是否显示
var isWLTPShow = true;

//股份转让功能是否显示
var isGFZRShow = true;

//分级基金默认不显示
var isFJJJShow = true;

//LOF基金功能是否显示
var isLOFShow = true;

//ETF基金功能是否显示
var isETFShow = true;

//添鑫宝功能是否显示
var isTXBShow = true;

//基金预约功能是否显示
var isJJYYShow = false;

//深圳报价回购功能是否显示
var isSZBJHGShow = true;

// 银行理财功能是否显示
var isYHLCShow = true;

// 开放式基金是否显示
var isKFSJJShow = false;

// 盈亏分析是否显示
var isYKFXShow = false;

// 普通交易和融资融券首页只显示总资产
var isPtjyAndRzRqHomeOnlyZzcShow = false;
/**************** 功能菜单的显示设置 end **************************/

/**************** 二级功能菜单的显示设置 start **************************/
// 基金定投是否开放
var isAutomaticFundShow = true;

//基金开户是否显示
var isJJKHShow = true;

//两融-信用资产负债 > 融券负债
var isXYZCFZRQFZShow = true;
/**************** 二级功能菜单的显示设置 end **************************/

// 基金定赎是否显示
var isJJDingShuShow = true;

// 融资融券我的持仓底部文字
var rzrqWDCCFooterText = "点击列表数据可进行证券交易";

// 新股市盈率百分号是否隐藏
var isXGSYLPerCentHide = true;

// 融资融券我的持仓，点击持仓数据显示四个按钮
var isWDCCFourButShow = true;

// 首页多账号登录按钮是否显示
var isMultiUserBtnShow = false;

// 自定义查询，时间长度限制
var selfQueryDateLimit = 1;

//是否显示交易首页的开户按钮
var isTradeOpenAccountShow = true;

//指定合约还款是否显示
var isAppointedContractShow = false;

// 是否显示交易登录页的顶部登录按钮区域
var isShowTopLoginBtn = true;

// 交易页面风格选择(1 老版  2 新版  3 中信建投一期1.0.4版)
var JYInterfaceStyle = 3;

//查询表格时间显示类型（1 老版  2 新版,有时间选择框）
var dateQueryTitleType = 2;

//委托成交查询方式，(1 委托成交一个标签，通过左右滑动按钮区分，2 委托查询，成交查询分成两个标签)
var wtcjQueryTitleType = 2;

//登录回显是否显示
var isLoginLogShow = true;

//是否显示首页“可取”字段，券商柜台没有值
var isHomePageKQShow = true;

// 是否显示委托买入 1/3 仓
var isWtmrThree = true;
// 是否显示委托买入 1/4 仓
var isWtmrFour = false;

//普通交易、融资融券首页图标更改
var isPTJYIMGNEWSHOW = true;

//中信建投普通交易、融资融券首页样式显示设置2016.3.30 add
var isIphonClass = true;

//未登录首页，点击功能菜单，登录成功后，跳转到功能页面去 2016.4.7 add
var isRedirectJump = true;

var isShowEmail = true;

//融资融券登录账号类型选择是否显示
var isRZRQLoginAccountShow = false;

//两融 》 银证转账 》 可取金额 是否显示
var isRZRQ_YZZZ_KQJEShow = true;

//交易登录密码错误3次，是否弹出退出app提示框
var isLoginPWDErrorFrameShow = true;

//资金密码修改是否显示
var isFundPasswordChangeShow = true;

//是否限制登录密码长度
var isLimitPasswordLength = true;

//是否限制新密码长度
var isLimitNewPasswordLength = true;

// 最小密码长度 - 修改密码时
var limitNewPasswordLength = 20;

// 登录时是否风控提示
var isLoginWindControlTips = false;

// 登录账号保存数量
var loginSaveQuantity = 15;

// 是否使用系统键盘
var isSystemKeyboard = false;

// 是否使用短信注册流程
var isSmsRegistrationProcess = true;

// 基金场外转场内是否显示
var isJJCWZCNShow = true;

// 是否需使用退市风险警示
var isHQFXJS = true;

// 是否使用站点切换功能   2016.12.30 add
// 从 1.0.5 版本开始，暂时不打开该功能
var isUseSwitchingStation = true;

/**************** 个性化版本设置 start **************************/
//合约偿还顺序设置类型(1 标准版）
var hychsxszType = 2;

// 不需要登录的菜单
var notNeedLoginMenu = ["更多", "查询", "国债逆回购"];

/**************** 个性化版本设置 end **************************/

/**************** 新股申购 start **************************/
// 一键申购
var isYJSG = true;
// 当日新股列表
var isDRXGLB = true;
// 新股额度查询
var isXGXECX = false;

// 是否使用新版本一键打新功能
var isUseYJDX = false;
/**************** 新股申购 end ***************/