/*============================= 不适合在控制器中定义的全局变量 ====================*/
var ywlx = $("body").attr("data-ywlx");
var step = 1000; // 步长  沪市 1000 , 深市 500
var maxNumber = 0; // 申购限额
var xg_fxjg = 0; // 新股的发行价格
var _methodTmp = function methodTmp() {}; // 临时方法
/*================================== end ==========================================*/

var app = angular.module('xgsg', []);

app.controller('xgsgController', function ($rootScope, $scope, $http, $compile) {

    getControllerMethod($rootScope, $scope, $http, $compile);

    $scope.userAgent = navigator.userAgent;

    $scope.zq_head = ["成交日期", "名称代码", "中签数/已放弃数", ""];
    $scope.ph_head = ["流水序号", "名称代码", "发生数量", "交易类别"];
    $scope.zq_head_class = ["", "", "w35per", ""];
    $scope.footerMsg = "向上拉查看近一个月的记录";
    $scope.ph_body = [];
    $scope.tbody = []; // 新股列表数据

    //======================= 初始化 start =====================================
    var newdate = new Date().Format("yyyyMMdd"); // 当前日期
    var Currenttime = new Date().Format("hh"); // 当前时间
    var xgList = []; // 新股列表
    var xg_index = -1; // 新股列表的索引 ID

    var modal_level = 1; // 模态框级别
    var modal = {}; // 模态框
    var select_xg = {}; // 选中的新股

    $scope.newdate = newdate;
    $scope.isGiveUp = false; // 是否放弃 (中签页面的放弃按钮)
    $scope.isPriority = false; // 是否优先级
    $scope.zhongqianBean = {}; // 中签 Bean
    $scope.isYJSG = isYJSG; // 是否一键申购
    //======================= 初始化 end =========================================

    // 新股申购不能版本的初始化
    xgsg_init($scope);

    // 新股申购列表查询
    xgsg_query();

    // 提供原生回调刷新页面数据
    handlePageBack = function handlePageBack() {
        xgsg_query();
    };

    /**
     * TAB 点击事件
     * @param  {[type]} index [description]
     */
    $scope.topTabClick = function (index) {
        topTabClick(index);
    };

    // 中签查询
    $scope.zqBtn = function () {
        $scope.footerMsg = "单击列表数据设置缴款优先级";
        zq_query();
    };

    // 配号查询
    $scope.phBtn = function () {
        $scope.footerMsg = "向上拉查看近一个月的记录";
        ph_query();
    };

    //权益查询
    $scope.qyBtn = function () {
        qy_query();
    };

    // 中签行点击事件
    $scope.zqRowClick = function (obj) {
        $scope.isPriority = true;
        $scope.zhongqianBean = obj;
        // 显示中签缴款优选级设置模态框
        show_zqjkyxjsz_modal(obj);
    };

    /**
     * 点击页面中的 [ 申购 ] 按钮
     * @param  int index 索引
     */
    $scope.showModalSG = function (index) {
        onAgentEvent('新股申购_可转债申购_申购', '', '');
        // 记录新股列表中索引
        xg_index = index;

        // 显示申购的模态框
        sg_show_modal();
    };

    /**
     * 点击页面中的 [ 一键申购 ] 按钮
     */
    $scope.showModalYGSG = function () {
        onAgentEvent('新股申购_可转债申购_一键申购', '', '');
        // 显示一键申购的模态框
        yjsg_show_modal();
    };

    /**
     * 在中签页面点击 [ 放弃 ] 按钮
     * @param  Object obj 选中行的对象
     */
    $scope.giveUp = function (obj) {
        $scope.isGiveUp = true;
        $scope.zhongqianBean = obj;

        zq_giveup_show_modal(obj);
    };

    // 点击模态框中的 [ 确定 ] 按钮
    $scope.Ensure = function () {
        // 申购模态框点击 “确定” 按钮
        if (modal_level == 1) {

            var tips = "";

            var number = $("#number").val();
            number = number.trim() == "" ? 0 : number;

            if (number == 0) tips = "请输入申购数量";

            if (tips != "") {
                showMessageTips(tips, "40");
                return;
            }

            // 因为申购数量可能是键盘输入, 需要重新计算下显示金额
            show_price($scope, modal, "number");

            // 委托数量
            select_xg['wtsl'] = number;
            // 申购金额
            select_xg['sgje'] = modal['numbersMsg'][0].value;
            // 设置股东代码
            select_xg['gddm'] = modal["select"] != undefined ? modal["select"][0]['options']['selectVal'] : select_xg.gddm;

            // 关闭模态框
            Dialog.closeAlert();

            // 申购确认模态框
            sgqr_show_modal();
        } else if (modal_level == 10) {
            // 申购确认模态框点击 “确定” 按钮
            // 关闭模态框
            Dialog.closeAlert();

            // 委托下单
            wtxd_order();
        } else if (modal_level == 100) {
            // 委托下单后显示的模态框点击 “确定” 按钮
            // 关闭模态框
            Dialog.closeAlert();

            //刷新页面
            window.location.reload();
        }
        // 放弃确认模态框点击 "确认" 按钮
        else if (modal_level == 2) {
                var _obj = $scope.zhongqianBean;
                var _fqsl = parseInt($("#fqsl").val() || 0);
                var max = parseFloat(_obj.zqsl || 0) - parseFloat(_obj.yfqsl || 0);
                var min = 0;

                var tips = "";
                if (max == 0) {
                    tips = "您当前没有可放弃的数量";
                } else if (_fqsl == 0) {
                    tips = "请输入放弃数量";
                } else if (_fqsl % step > 0) {
                    tips = "放弃数量应为 " + step + " 的整数倍";
                }

                if (tips != "") {
                    showMessageTips(tips, "40");
                    return;
                }

                // 放弃数量设置
                fqslsz_order();

                // 关闭模态框
                Dialog.closeAlert();
            }
            // 设置缴款优先级点击 "确认" 按钮
            else if (modal_level == 3) {
                    var _obj = $scope.zhongqianBean;
                    var _jssx = $("#jssx").val() || "";

                    if (_jssx == "") {
                        showMessageTips("请输入缴款优先级", "40");
                        return;
                    }

                    if (isNaN(_jssx) || parseInt(_jssx) == 0) {
                        showMessageTips("请输入大于等于 1 的整数", "40");
                        return;
                    }

                    // 关闭模态框
                    Dialog.closeAlert();

                    $scope.zhongqianBean["jssx2"] = _jssx;

                    show_two_zqjkyxjsz_modal($scope.zhongqianBean);
                }
                // 设置缴款优先级二次确认时点击 "确认" 按钮
                else if (modal_level == 300) {
                        // 关闭模态框
                        Dialog.closeAlert();
                        // 缴款优先级设置
                        jkyxjsz_order();
                    } else {
                        // 关闭模态框
                        Dialog.closeAlert();

                        _methodTmp();
                    }
    };

    /**
     * 点击模态框中的 [ 取消 ] 按钮
     * # 关闭模态框
     */
    $scope.Cancel = function () {
        // 关闭模态框
        Dialog.closeAlert();
    };

    /**
     * 点击模态框中的 [ 下拉框 ]
     * @param  int index 索引
     */
    $scope.selectChange = function (index) {}
    //console.log(modal["select"][0]['options']['selectVal']);


    /*==============================================
      触发条件：点击模态框中的 [ + ] 按钮
      执行功能：
    ===============================================*/
    ;$scope.plus = function () {
        if ($scope.isGiveUp) {
            if (check_fqsl("+")) {
                plusMinus("fqsl", "plus", step);
            }
        } else if ($scope.isPriority) {
            plusMinus("jssx", "plus", step);
        } else {
            plusMinus("number", "plus", step);

            //显示金额
            show_price($scope, modal, "number");
        }
    };

    // 点击模态框中的 [ - ] 按钮
    $scope.minus = function () {
        if ($scope.isGiveUp) {
            if (check_fqsl("-")) {
                plusMinus("fqsl", "minus", step);
            }
        } else if ($scope.isPriority) {
            if (($("#jssx").val() || "0") > "1") {
                plusMinus("jssx", "minus", step);
            }
        } else {
            if (check_number("-")) {
                plusMinus("number", "minus", step);
            }

            //显示金额
            show_price($scope, modal, "number");
        }
    };

    // 显示APP自定义键盘
    $scope.showKeyboard = function (id) {
        showKeyboard(id, '1');
    };

    /**
     * 新股申购列表查询
     */
    function xgsg_query() {
        $scope.hide_xglb = false;

        var request = {};

        if (ywlx == "rzrq") {
            request.ywlx = "rzrq";
        }

        if (!getApiUrlNews()) {
            return;
        }

        var lastUrl = "ptjy/xgsg/drxzlbcxSimple";
        if (params.ywlx == "rzrq") {
            lastUrl = "rzrq/xgsg/drxzlbcxSimple";
        }

        ajaxPost(getApiUrl() + lastUrl, {}, function (response) {
            // 解析当日新股查询
            parseDRXG(response);
        });

        // 解析当日新股查询
        var parseDRXG = function parseDRXG(response) {
            xgList = [];
            for (var i = 0, len = response.cxlb.length; i < len; i++) {
                var bean = { "fxsyl": "待定", "wsfxsl": "待定", "zfxsl": "待定", "zjjdrq": "待定", "zqgbrq": "待定", "btn_state": "", "radio_state": "hide", "disabled": "" };
                var temp = response.cxlb[i];

                bean["fxjg"] = temp.sgjg;
                bean["fxrq"] = temp.sgrq;
                bean["sgxe"] = temp.sgzdsl;
                bean["sgdm"] = temp.sgdm;
                bean["zqdm"] = temp.sgdm;
                bean["zqmc"] = temp.sgdmmc;
                bean["jysdm"] = temp.jysdm;
                bean["sgdw"] = temp.sgdw;

                xgList.push(bean);
            }
            showXGLB(xgList);
        };

        // 显示新股列表
        var showXGLB = function showXGLB(list) {
            $scope.tbody = list;

            // 如果没有新股列表, 提示给客户
            if ($scope.tbody.length == 0) {
                $scope.hide_xglb = true;
            }

            // 防止加载等待没有关闭
            loadding.stop();
        };
    }

    /**
     * 函数功能：可买卖数量查询
     * @param  zqdm   证券代码
     * @param  gddm   股东代码
     * @param  jysdm  交易所代码
     * @param  wtjg   委托价格
     * @param  method 回调方法
     */
    function kmmslcxQuery(zqdm, gddm, jysdm, wtjg, method) {
        var request = {
            zqdm: zqdm,
            gddm: gddm,
            jysdm: jysdm,
            wtjg: wtjg
        };

        var lastUrl = "ptjy/xgsg/kmmslcx";

        if (ywlx == "rzrq") {
            request.ywlx = "rzrq";
            lastUrl = "rzrq/xgsg/kmmslcx";
        }

        ajaxPost(getApiUrl() + lastUrl, request, function (response) {
            method(response);
        });
    }

    /**
     * 新股 - 可申购
     * @param  List list1 新股额度查询
     * @param  List list2 新股列表
     * @return List       修改后的新股列表
     */
    function xg_ksg(list1, list2) {
        // 新股限额合并成 "深圳交易所对应的额度" 与 "上海交易所对应的额度"
        list1 = xg_quota_merge(list1);

        for (var i in list2) {
            if (list2[i].jysdm == 0 || list2[i].jysdm == 2) // 深市
                {
                    list2[i].sgxe = parseInt(list2[i].sgxe || "0") > list1[0].ksged ? list1[0].ksged + "" : list2[i].sgxe;
                } else // 沪市
                {
                    list2[i].sgxe = parseInt(list2[i].sgxe || "0") > list1[0].ksged ? list1[1].ksged + "" : list2[i].sgxe;
                }
        }

        return list2;
    }

    /*=============================================
      函数功能：新股 - 限额 - 合并
      入参说明：dataList 新股额度查询
    ==============================================*/
    function xg_quota_merge(dataList) {
        var list = [{
            jysjc: "深市",
            jysdm: "0",
            ksged: 0
        }, {
            jysjc: "沪市",
            jysdm: "1",
            ksged: 0
        }];

        for (var i in dataList) {
            if (dataList[i].jysdm == "0") // 深市
                {
                    list[0].ksged = list[0].ksged + parseInt(dataList[i].ksged || "0");
                } else if (dataList[i].jysdm == "1") // 沪市
                {
                    list[1].ksged = list[1].ksged + parseInt(dataList[i].ksged || "0");
                }
        }

        return list;
    }

    /*=============================================
      函数功能：申购显示的模态框
    ==============================================*/
    function sg_show_modal() {
        modal_level = 1;
        var eds = {};

        if (isXGXECX) {
            // 新股额度查询
            xgedcx(select_xg.jysdm, function (response) {
                onSuccess(response);
            });
        } else {
            showDialog();
        }

        // 额度查询成功的处理函数
        var onSuccess = function onSuccess(response) {
            var len = response.cxlb.length;
            for (var i = 0; i < len; i++) {
                eds[response.cxlb[i].jysdm] = response.cxlb[i].ksged;
            }

            showDialog();
        };

        // 显示对话框
        function showDialog() {
            //新股信息
            select_xg = {};
            select_xg = xgList[xg_index];

            // 深市步长 500 ,  沪市步长 1000
            // 使用柜台返回的申购单位
            step = parseInt(select_xg.sgdw || '0');

            xg_fxjg = select_xg.fxjg;
            // 解析股东代码
            var gddms = parseGddmList(select_xg.jysdm);
            // 用户没有股东代码时
            if (gddms.length == 0) {
                showMessageTips("您没有 [" + select_xg.zqdm + "] 所在交易所的股东代码，不能进行申购!", "40");
                return;
            }

            // 用户在该交易所代码没有开通股东账户
            if (select_xg.nogdzh) {
                // 产品确认只有沪深A 股，那其它的类型就不考虑了
                var scmc = select_xg.jysdm == "0" ? "深证市场" : "上证市场";
                showMessageTips("当前未开通" + scmc + "的股东代码，不能申购该股票！", "40");
                return;
            }

            select_xg.gddmIndex = select_xg.gddmIndex || 0;
            // 用户股东代码数大于 1 时，显示股东代码列表由客户选择
            var gdddmlist = [];
            if (gddms.length > 1) {
                for (var i = 0, len = gddms.length; i < len; i++) {
                    gdddmlist.push({ label: gddms[i], checked: i === select_xg.gddmIndex });
                }
            }
            // 设置股东代码
            select_xg['gddm'] = select_xg.gddm || gddms[0];
            // 交易所额度
            var ed = eds[select_xg.jysdm] || "-1";
            // 申购限额
            maxNumber = select_xg.sgxe;
            // 二者取其小
            maxNumber = ed == "-1" ? maxNumber : parseFloat(ed) < parseFloat(maxNumber) ? parseFloat(ed) : maxNumber;
            // 申购金额
            var sgje = calculate_price(select_xg.fxjg, maxNumber) || "0 ";

            // 准备创建模态框
            modal = {};
            modal["title"] = "申购";
            modal["content"] = [{ "key": "证券名称", "value": select_xg.zqmc }, { "key": "证券代码", "value": select_xg.zqdm }, { "key": "最多可申购", "value": select_xg.sgxe + "股" }, { "key": "当前可申购", "value": maxNumber + "股" }];
            if (gdddmlist.length > 1) {
                modal.content.push({ "key": "股东代码", "value": select_xg.gddm, "class": "dialog-gddm-ele" });
            }
            modal['numbers'] = [{
                "id": "number",
                "plus": "BtnPlusRed",
                "minus": "BtnMinusRed",
                "value": ""
            }];
            modal['numbersMsg'] = [{ "key": "金额：", "value": sgje }];
            // 创建模态框
            Dialog.alert($scope, $compile, modal);
            // 延迟加载
            setTimeout(function () {
                // 买入数量
                $("#number").val(maxNumber);

                // 点击股东代码时，显示下拉框
                var gddmElement = document.getElementsByClassName('dialog-gddm-ele');
                if (gddmElement.length > 0) {
                    gddmElement[0].getElementsByTagName('td')[1].onclick = function () {
                        Dialog.selectAlert({
                            options: gdddmlist,
                            click: function click(index, value) {
                                gdddmlist[select_xg.gddmIndex].checked = false;
                                gdddmlist[index].checked = true;
                                select_xg.gddmIndex = index;
                                select_xg.gddm = value;
                                modal.content[4].value = value;
                                controller.scope.$digest();
                            }
                        });
                    };
                }
            }, 200);
        }
    }

    /**
     * 一键申购模态框
     */
    function yjsg_show_modal() {
        var len = $scope.tbody.length;
        if (len == 0) {
            showMessageTips("没有可申购的新股！", 40);
            return;
        }

        // 显示证券名称、证券代码、申购数量
        // 当日的新股列表
        var tbodyNew = [];
        var bean = null;
        for (var i = 0; i < len; i++) {
            bean = $scope.tbody[i];
            // “非当日新股” 和 “没有股东账号” 数据不在弹框列表中显示
            if (bean.disabled == "" && !bean.nogdzh) {
                tbodyNew.push(bean);
            }
        }

        // 对比额度, 显示内容
        len = tbodyNew.length;
        if (len == 0) {
            showMessageTips("没有可申购的新股！", 40);
            return;
        }
        // var ed = 0;
        var contents = [];
        var sqje = 0;
        for (var i = 0; i < len; i++) {
            bean = tbodyNew[i];
            // ed = eds[bean["jysdm"]];

            if (isNaN(bean.sgxe) || isNaN(bean.fxjg)) {
                console.log("该新股不能进行申购！ ", JSON.stringify(bean));
                showMessageTips("新股列表数据异常, 不能进行一键申购！", 40);
                return;
            }

            // bean.sgxe = parseInt(bean.sgxe) < parseInt(ed) ? bean.sgxe : ed;
            sqje += bean.sgxe * bean.fxjg;

            contents.push({ "key": "证券名称", "value": bean.zqmc });
            contents.push({ "key": "证券代码", "value": bean.sgdm });
            contents.push({ "key": "申购数量", "value": bean.sgxe });
            // 空一行
            contents.push({ "key": "", "value": "" });
        }

        modal = {};
        modal["title"] = "申购确认";
        modal["content"] = contents;
        modal.btnBeforeDynamic = { type: 'cageTips' };
        modal['numbersMsg'] = [{ key: "全部中签所需要金额：", value: sqje + " 元" }];
        // 创建模态框
        Dialog.alert($scope, $compile, modal, { rightIcoHide: true, isBodyScroll: true });

        modal_level = 0;
        // 点击模态框中 [确认] 按钮的回调事件
        _methodTmp = function methodTmp() {
            // 一键申购委托下单
            yjsg_wtxd_order();
            _methodTmp = function methodTmp() {};
        };
    }

    /*================================================
      函数功能：申购确认显示的模态框
    ================================================*/
    function sgqr_show_modal() {
        modal_level = 10;

        modal = {};

        modal["title"] = "申购确认";

        modal["content"] = [{
            "key": "证券代码",
            "value": select_xg.zqdm
        }, {
            "key": "证券名称",
            "value": select_xg.zqmc
        }, {
            "key": "申购数量",
            "value": select_xg.wtsl || "0"
        }, {
            "key": "申购金额",
            "value": select_xg.sgje || "0"
        }];
        modal.btnBeforeDynamic = { type: 'cageTips' };
        // 创建模态框
        Dialog.alert($scope, $compile, modal, { rightIcoHide: true });
    }

    /*================================================
      函数功能：中签放弃显示的模态框
    ================================================*/
    function zq_giveup_show_modal(obj) {
        modal_level = 2;
        //深市步长 500 ,  沪市步长 1000
        step = 1;

        modal = {};
        modal["title"] = "放弃确认";

        modal["content"] = [{
            "key": "证券代码",
            "value": obj.zqdm
        }, {
            "key": "证券名称",
            "value": obj.zqmc
        }];

        modal['numbers'] = [{
            id: "fqsl",
            plus: "BtnPlusRed",
            minus: "BtnMinusRed",
            value: "放弃数量"
        }];

        // 创建模态框
        Dialog.alert($scope, $compile, modal, { rightIcoHide: true });
    }

    /*================================================
      函数功能：中签设置缴款优先级设置显示的模态框
    ================================================*/
    function show_zqjkyxjsz_modal(obj) {
        modal_level = 3;
        step = 1;

        modal = {};
        modal["title"] = "设置缴款优先级";

        modal["content"] = [{
            "key": "证券代码",
            "value": obj.zqdm
        }, {
            "key": "证券名称",
            "value": obj.zqmc
        }];

        modal['numbers'] = [{
            id: "jssx",
            plus: "BtnPlusRed",
            minus: "BtnMinusRed",
            value: "缴款优先级"
        }];
        modal['footerMsg'] = [{
            "value": "提示：请输入大于等于 1 的整数, 数字越小, 优先级越高。"
        }];
        // 创建模态框
        Dialog.alert($scope, $compile, modal);

        setTimeout(function () {
            $("#jssx").val(obj.jssx);
        }, 100);
    }

    /*================================================
      函数功能：中签设置缴款优先级设置二次确认显示的模态框
    ================================================*/
    function show_two_zqjkyxjsz_modal(obj) {
        modal_level = 300;

        modal = {};
        modal["title"] = "优先级设置确认";

        modal["content"] = [{
            "key": "证券代码",
            "value": obj.zqdm
        }, {
            "key": "证券名称",
            "value": obj.zqmc
        }, {
            "key": "缴款优先级",
            "value": obj.jssx2
        }];

        // 创建模态框
        Dialog.alert($scope, $compile, modal, { rightIcoHide: true });
    }

    /*================================================
      函数功能：委托下单
    ================================================*/
    function wtxd_order() {
        var request = {
            jysdm: select_xg.jysdm,
            gddm: select_xg.gddm,
            mmlb: "B",
            zqdm: select_xg.sgdm,
            wtjg: select_xg.fxjg,
            wtsl: select_xg.wtsl
        };

        var lastUrl = "ptjy/xgsg/wtxd";

        if (ywlx == "rzrq") {
            request.ywlx = "rzrq";
            lastUrl = "rzrq/xgsg/wtxd";
        }

        ajaxPost(getApiUrl() + lastUrl, request, function (response) {
            wtxd_show_modal(params.message.xgsg_success);
        });
    }

    /**
     * 一键申购 - 委托下单
     * @return {[type]} [description]
     */
    function yjsg_wtxd_order() {
        var jysdmS = ""; // 交易所代码
        var gddmS = ""; // 股东代码
        var mmlbS = ""; // 买卖类别
        var zqdmS = ""; // 证券代码
        var wtslS = ""; // 委托数量
        var wtjgS = ""; // 委托价格

        var len = $scope.tbody.length;
        var bean = null;
        // 循环拼接字符串, 以 “|” 号分隔
        for (var i = 0; i < len; i++) {
            bean = $scope.tbody[i];
            // “非当日新股” 和 “没有股东账号” 数据不提交到交易服务器
            if (bean.disabled == "" && !bean.nogdzh) {
                jysdmS += bean.jysdm + "|";
                gddmS += parseGddmList(bean.jysdm)[0] + "|";
                // gddmS += (bean.jysdm == "0" ? "0002387275" : "A286552605") + "|";
                mmlbS += "B" + "|";
                zqdmS += bean.sgdm + "|";
                wtslS += bean.sgxe + "|";
                wtjgS += bean.fxjg + "|";
            }
        }

        // 去掉最后一个 “|” 号
        jysdmS = jysdmS.substr(0, jysdmS.length - 1);
        gddmS = gddmS.substr(0, gddmS.length - 1);
        mmlbS = mmlbS.substr(0, mmlbS.length - 1);
        zqdmS = zqdmS.substr(0, zqdmS.length - 1);
        wtslS = wtslS.substr(0, wtslS.length - 1);
        wtjgS = wtjgS.substr(0, wtjgS.length - 1);

        var request = {
            "jysdm": jysdmS,
            "gddm": gddmS,
            "mmlb": mmlbS,
            "zqdm": zqdmS,
            "wtsl": wtslS,
            "wtjg": wtjgS
        };

        var lastUrl = "ptjy/xgsg/yjsg";
        if (ywlx == "rzrq") {
            request.ywlx = "rzrq";
            lastUrl = "rzrq/xgsg/yjsg";
        }

        ajaxPost(getApiUrl() + lastUrl, request, function (response) {
            var _sgzt = response.sgjg[0].sgzt;
            var modalContent = [];
            var msg = "";

            // 一键申购全部成功
            if (_sgzt == "cg") {
                msg = "一键申购成功";
            }
            // 一键申购全部或部分失败
            else if (_sgzt == "sb") {
                    var _zqlb = response.zqlb;
                    var len = _zqlb.length;
                    var _bean = null;
                    for (var i = 0; i < len; i++) {
                        _bean = _zqlb[i];
                        modalContent.push({ "key": _bean.zqmc, "value": _bean.zqdm });
                    }

                    modalContent.push({ "key": " ", "value": " " });

                    msg = "以上新股申购失败，请单独进行申购";
                }

            modal_level = 100;
            modal = {};
            modal["title"] = "一键申购";
            if (modalContent.length > 0) {
                modal["content"] = modalContent;
            }
            modal["msg"] = [{
                value: msg
            }];

            // 创建模态框
            if (_sgzt == "cg") {
                Dialog.alert($scope, $compile, modal, { firstBtnHide: true, rightIcoHide: true });
            } else if (_sgzt == "sb") {
                Dialog.alert($scope, $compile, modal, { firstBtnHide: true, wrongIcoHide: true, isBodyScroll: true });
            }
        });
    }

    /*================================================
      函数功能：放弃数量设置
    ================================================*/
    function fqslsz_order() {
        var _obj = controller.scope.zhongqianBean;
        var _fqsl = $("#fqsl").val();

        // 如果股东代码为空，默认从列表里面给第一个，金证需要
        var gddm = _obj.gddm;
        if (!gddm) {
            var gdlb = JSON.parse(getLocalData("ActivePTJYUser"))["body"]["gdlb"];
            if (gdlb && gdlb.length > 0) {
                gddm = gdlb[0].gddm;
            }
        }
        var request = {
            "jysdm": _obj.jysdm,
            "gddm": gddm,
            "zqdm": _obj.zqdm,
            "fqsl": _fqsl
        };

        var lastUrl = "ptjy/xgsg/fqslsz";
        if (ywlx == "rzrq") {
            request.ywlx = "rzrq";
            lastUrl = "rzrq/xgsg/fqslsz";
        }

        ajaxPost(getApiUrl() + lastUrl, request, function (response) {
            wtxd_show_modal("委托下单成功");
        });
    }

    /**
     * 缴款优先级设置
     */
    function jkyxjsz_order() {
        var _obj = controller.scope.zhongqianBean;

        // 如果股东代码为空，默认从列表里面给第一个，金证需要
        var gddm = _obj.gddm;
        if (!gddm) {
            var gdlb = JSON.parse(getLocalData("ActivePTJYUser"))["body"]["gdlb"];
            if (gdlb && gdlb.length > 0) {
                gddm = gdlb[0].gddm;
            }
        }
        var request = {
            "jysdm": _obj.jysdm,
            "gddm": gddm,
            "zqdm": _obj.zqdm,
            "jssx": _obj.jssx2,
            "zqrq": _obj.zqrq
        };

        var lastUrl = "ptjy/xgsg/pszqjkyxjsz";
        if (ywlx == "rzrq") {
            request.ywlx = "rzrq";
            lastUrl = "rzrq/xgsg/pszqjkyxjsz";
        }

        ajaxPost(getApiUrl() + lastUrl, request, function (response) {
            wtxd_show_modal("委托下单成功", "提示");
            // 下单成功重载数据列表
            zq_query();
        });
    }

    /*================================================
      函数功能：委托下单显示的模态框
    ================================================*/
    function wtxd_show_modal(msg, title) {
        title = title == undefined ? "申购" : title;

        modal_level = 100;

        modal = {};

        modal["title"] = title;

        modal["msg"] = [{
            value: msg
        }];

        // 创建模态框
        Dialog.successAlert(modal["msg"][0].value, title, false);
    }
}); // ============================================== AngularJS 控制器结束 ==================================================

// 中签统计查询次数
var zq_count_num = 0;
/*===========================================
  函数功能：中签查询
============================================*/
function zq_query(addup) {
    // 点击标签按钮执行
    if (addup == undefined) {
        zq_count_num = 1;
        controller.scope.zqlist = [];
        addup = true;
    }

    zq_count_num = zq_count_num + 1;

    // 只能执行2次, 超过刚不执行请求数据
    if (zq_count_num == 3) return;

    $(".isEmpty").html("");

    hideNoRecord("zhongqiantab");

    // 功能号 - 中签查询
    var lastUrl = "ptjy/xgsg/zqcx";

    var date = new Date();
    var zzrq = date.Format("yyyyMMdd"); // 终止日期

    // 第一次加载显示近7日, 第二次加载显示1个月
    if (zq_count_num == 1) {
        var qsrq = date.addDays(-7).Format("yyyyMMdd"); // 起始日期
    } else {
        var qsrq = date.addMonths(-1).Format("yyyyMMdd"); // 起始日期
    }
    // 股东代码、证券代码、交易所代码、查询方向、请求行数、定位串、偏移量、起始日期、终止日期
    var request = {
        gddm: "",
        zqdm: "",
        jysdm: "", //todo: 原本为jysdm: "1"，现改为空，查询所有的
        cxfx: "1",
        qqhs: "999",
        dwc: "",
        pyl: "",
        qsrq: qsrq,
        zzrq: zzrq
    };

    // 融资融券与普通交易做区分
    if (ywlx == "rzrq") {
        request.ywlx = "rzrq";
        lastUrl = "rzrq/xgsg/zqcx";
    }

    controller.scope.zqlist = [];

    ajaxPost(getApiUrl() + lastUrl, request, function (response) {
        // 对返回数据中的列表数据进行非空处理
        formatResponseData(response);

        controller.scope.zqlist = response.cxlb;

        if (controller.scope.zqlist.length == 0) {
            showNoRecord("zhongqiantab", zq_count_num == 1 ? "查询近一周无中签记录" : "查询近一月无中签记录");
        } else {
            hideNoRecord("zhongqiantab");
        }

        // 定时重置滑动控件, 很重要, ajax 加载数据都需要加上这一句
        setTimeout(function () {
            iscrollObj.refresh();
        }, 200);
    });
}
// 配号统计查询次数
var ph_count_num = 0;
/*===========================================
  函数功能：配号查询
 ===========================================*/
function ph_query(addup) {
    if (addup == undefined) {
        ph_count_num = 0;
        controller.scope.phlist = [];
    }

    ph_count_num = ph_count_num + 1;

    // 只能执行2次, 超过刚不执行请求数据
    if (ph_count_num == 3) return;

    $(".isEmpty").html("");

    var date = new Date();
    var zzrq = date.Format("yyyyMMdd"); // 终止日期

    // 第一次加载显示近7日, 第二次加载显示1个月
    if (ph_count_num == 1) {
        var qsrq = date.addDays(-7).Format("yyyyMMdd"); // 起始日期
    } else {
        var qsrq = date.addMonths(-1).Format("yyyyMMdd"); // 起始日期
    }

    var qsrq = date.Format("yyyyMMdd"); // 起始日期

    hideNoRecord("peihaotab");

    // 股东代码、证券代码、交易所代码、查询方向、请求行数、定位串、偏移量、起始日期、终止日期
    var request = {
        gddm: "",
        zqdm: "",
        jysdm: "",
        cxfx: "1",
        qqhs: "999",
        dwc: "",
        qsrq: qsrq,
        zzrq: zzrq
    };

    var lastUrl = "ptjy/xgsg/phcx";

    if (ywlx == "rzrq") {
        request.ywlx = "rzrq";
        lastUrl = "rzrq/xgsg/phcx";
    }

    controller.scope.ph_body = [];
    // 页面显示对应的取值字段
    controller.scope.fields = [["zqmc", "zqdm"], ["qsph"], ["phsl", "cjrq"], ["gddm"]];

    ajaxPost(getApiUrl() + lastUrl, request, function (response) {
        if (controller.scope.phlist == undefined) {
            controller.scope.phlist = [];
        }

        // 对返回数据中的列表数据进行非空处理
        formatResponseData(response);

        var tmp = ["深A", "沪A", "深B", "沪B"];
        var _bean = {};
        for (var i = 0, len = response.cxlb.length; i < len; i++) {
            // 配号数量去掉小数点
            response.cxlb[i].phsl = response.cxlb[i].phsl != "--" ? parseInt(response.cxlb[i].phsl) : response.cxlb[i].phsl;
            response.cxlb[i].jysdmsm = tmp[response.cxlb[i].jysdm] || "--";

            _bean = response.cxlb[i];
            controller.scope.ph_body[i] = _bean;
        }

        controller.scope.phlist = response.cxlb;

        if (response.cxlb.length == 0) {
            showNoRecord("peihaotab", ph_count_num == 1 ? "查询近一周无配号记录" : "查询近一月无配号记录");
        }

        setTimeout(function () {
            iscrollObj.refresh();
        }, 200);
    });
}

/**
 * 权益查询
 */
function qy_query(addup) {
    if (addup == undefined) {
        controller.scope.edlist = [];
    }

    $(".isEmpty").html("");

    hideNoRecord("quanyitab");

    // 新股额度查询
    xgedcx("0", function (response) {
        var cxlb = [];

        // 只显示 A 股, 过滤 B 股
        for (var i = 0, len = response.cxlb.length; i < len; i++) {
            if (response.cxlb[i].jysdm == "0" || response.cxlb[i].jysdm == "1") {
                cxlb.push(response.cxlb[i]);
            }
        }

        controller.scope.edlist = cxlb;

        if (cxlb.length == 0) {
            showNoRecord("quanyitab", "查询无权益记录");
        }

        setTimeout(function () {
            iscrollObj.refresh();
        }, 200);
    });
}

/**
 * 新股额度查询
 * @param jysdm  交易所代码 0: 查全部
 * @param method 回调方法
 */
function xgedcx(jysdm, method) {
    // 股东代码、证券代码、交易所代码
    var request = {
        gddm: "",
        zqdm: "",
        jysdm: jysdm
    };

    var lastUrl = "ptjy/xgsg/xgedcx";

    if (ywlx == "rzrq") {
        request.ywlx = "rzrq";
        lastUrl = "rzrq/xgsg/xgedcx";
    }

    ajaxPost(getApiUrl() + lastUrl, request, function (response) {
        method(response);
    });
}

function showNoRecord(id, msg) {
    // 解决重复显示的问题
    if ($("#" + id).find(".no-record").length == 0) {
        $("#" + id).find("tbody").append(noRecord.replace("{{value}}", msg));
    }
}

function hideNoRecord(id) {
    if ($("#" + id).find(".no-record").length > 0) {
        $("#" + id).find(".no-record").remove();
    }
}

// 列表无数据时显示内容
var noRecord = '<tr class="no-record">' + '<td colspan="4"><img src="../../../images/pic_nodatas.svg"><p>暂无数据</p></td>' + '</tr>';

/*=======================================================
  函数功能：计算金额
=======================================================*/
function amount_calculation(number, price) {
    console.log("number = " + number + "  price = " + price);
    // 数量与价格不存在或不是数字时，直接返回
    if (number == undefined || isNaN(number) || price == undefined || isNaN(price)) return "";

    number = parseInt(number);
    price = parseFloat(price);

    return (number * price).toFixed(0);
}

/*=============================================
  函数功能：解析股东代码
  入参说明：jysdm  交易所代码
==============================================*/
function parseGddmList(jysdm) {
    var gddms = [];

    var userKey = ywlx == "ptjy" ? "ActivePTJYUser" : "ActiveRZRQUser";

    if (getLocalData(userKey)) {
        var gdlist = JSON.parse(getLocalData(userKey))["body"].gdlb;

        for (var i = 0; i < gdlist.length; i++) {
            if (gdlist[i].jysdm == jysdm) {
                // 主股东账号添加到数组前面，辅账号则添加到末尾
                if (gdlist[i].zcbz == "0") {
                    gddms.unshift(gdlist[i].gddm);
                } else {
                    gddms.push(gdlist[i].gddm);
                }
            }
        }
    }

    return gddms;
}

/*=============================================
  函数功能：模态框底部文字信息
  入参说明：jysdm  交易所代码
==============================================*/
function footerMsg(jysdm) {
    jysdm = typeof jysdm == "string" ? parseInt(jysdm) : jysdm;

    if (jysdm == 0 || jysdm == 2) {
        //深市
        return "深圳市场每个申购单位为500股。申购数量应为500股整数倍。";
    } else if (jysdm == 1 || jysdm == 3) {
        //沪市
        return "上海市场每个申购单位为1000股。申购数量应为1000股整数倍。";
    } else if (jysdm == 100) {
        //一键申购(深市 + 沪市)
        return "上海市场每个申购单位为1000股。\n申购数量应为1000股整数倍。\n深圳市场每个申购单位为500股。\n申购数量应为500股整数倍。";
    } else {
        return "";
    }
}

/**
 *  自定义键盘回调函数 [与APP交互使用,函数名不能随意修改] [重写]
 *  @param param  键盘输入的值
 */
function fillInputContent(param) {
    if (param == "del") {
        var _value = $("#" + params.id).val();
        if (_value.length > 0) {
            _value = _value.substring(0, _value.length - 1);
            $("#" + params.id).val(_value);

            if (params.id == "number") {
                // 显示金额
                show_price(null, null, "number");
            }
        }
    } else {
        if (params.id == "jymm") {
            $("#" + params.id).val($("#" + params.id).val() + param);
        } else {
            // 申购数量
            if (params.id == "number") {
                $("#" + params.id).val($("#" + params.id).val() + param);

                // 显示金额
                show_price(null, null, "number");
            }
            // 放弃数量
            else if (params.id == "fqsl") {
                    // 输入数量不能超过限额
                    if (check_fqsl(null, param)) {
                        $("#" + params.id).val($("#" + params.id).val() + param);
                    }
                } else if (params.id == "jssx") {
                    var _jssx = $("#" + params.id).val() + param;
                    // 缴款优先级字段值限制最大数入值限制在 6 位数字
                    if (_jssx.length <= 6) {
                        $("#" + params.id).val(_jssx);
                    }
                } else {
                    $("#" + params.id).val($("#" + params.id).val() + param);
                }
        }
    }
}

/**
 * 显示金额
 * @param id     ID
 * @param num    数量
 */
function show_price($scope, modal, id) {
    var num = $("#" + id).val();

    num = num == "" ? 0 : num;

    // 如果计算结果为空, 则默认 0.00
    var price = calculate_price(xg_fxjg, num) || "0.00";

    if ($scope == null || modal == null) {
        $("label.price").html(price);
    } else {
        $("label.price").html(price);
        modal['numbersMsg'][0]['value'] = price;

        $scope.modal = modal;
    }
}

/**
 * 计算金额
 * @param price  价格
 * @param num    数量
 */
function calculate_price(price, num) {
    // 字符串转数字
    price = typeof price == "string" ? parseFloat(price) : price;
    num = typeof num == "string" ? parseInt(num) : num;

    // 金额 * 数量 , 千位符
    return formatNumber(price * num, 2);
}

/*================================================
  函数功能：验证股数
  入参说明：param  类型  + -
            num    自定义键盘传过来的值
================================================*/
function check_number(param, num) {
    var number = $("#number").val();

    number = number == "" ? 0 : parseInt(number);

    if (param == "+") // 点击 [ + ] 按钮时
        {
            if (number == maxNumber) {
                showMessageTips("申购限额 " + maxNumber, "40");
                return false;
            }

            if (number + step > maxNumber) {
                $("#number").val(maxNumber);
                return false;
            }
        }

    if (param == "-") // 点击 [ - ] 按钮时
        {
            if (number == 0) {
                showMessageTips("申购数量不能低于 " + 0, "40");
                return false;
            }

            if (number - step < 0) {
                $("#number").val("0");
                return false;
            }
        }

    if (num != undefined && num != "del") // 键盘输入时
        {
            num = num != "" && typeof num == "string" ? parseInt(num) : num;

            if (number * 10 + num > maxNumber) {
                $("#number").val(maxNumber);
                showMessageTips("申购限额 " + maxNumber, "40");
                return false;
            }
        }

    return true;
}

/*================================================
  函数功能：验证放弃数量
  入参说明：param  类型  + -
            num    自定义键盘传过来的值
================================================*/
function check_fqsl(param, num) {
    var _obj = controller.scope.zhongqianBean;
    var _fqsl = parseInt($("#fqsl").val() || 0);
    var max = parseFloat(_obj.zqsl || 0) - parseFloat(_obj.yfqsl || 0);
    var min = 0;

    if (param == "+") {
        if (_fqsl == max) {
            showMessageTips("已经是最大可设置的放弃数量", "40");
            return false;
        }

        if (_fqsl + step > max) {
            showMessageTips("超过最大可设置的放弃数量", "40");
            return false;
        }
    } else if (param == "-") {
        if (_fqsl == min) {
            showMessageTips("已经是最低可设置的放弃数量", "40");
            return false;
        }

        if (_fqsl - step > max) {
            showMessageTips("超过最低可设置的放弃数量", "40");
            return false;
        }
    }

    // 键盘输入时
    if (num != undefined && num != "del") {
        num = num != "" && typeof num == "string" ? parseInt(num) : num;

        if (_fqsl * 10 + num > max) {
            $("#fqsl").val(max);
            showMessageTips("最大可设置的放弃数量 " + max, "40");
            return false;
        }
    }

    return true;
}

/**
 * 顶部 TAB 点击事件
 * @param  {[type]} index [description]
 */
function topTabClick(index) {
    $('#NewStockUL li').eq(index).addClass("active").siblings().removeClass("active");
    if (params.ywlx == "ptjy") {
        switch (index) {
            case 0:
                // 新股申购
                onAgentEvent('新股申购_新股申购', '', '');
                JumpInterface(params.viewKey.KDS_SM_XGSG, 4, 0);
                break;
            case 1:
                // 科创板申购
                onAgentEvent('新股申购_科创板申购', '', '');
                JumpInterface(params.viewKey.KDS_PTJY_KCBSG, 4, 0);
                break;
            case 2:
                // 可转债申购
                onAgentEvent('新股申购_可转债申购', '', '');
                JumpInterface(params.viewKey.KDS_PTJY_XZSG, 4, 0);
                break;
            case 3:
                // 新股查询
                onAgentEvent('新股申购_申购查询', '', '');
                JumpInterface(params.viewKey.KDS_PTJY_XGCX, 4, 0);
                break;
        }
    } else if (params.ywlx == "rzrq") {
        switch (index) {
            case 0:
                // 新股申购
                onAgentEvent('新股申购_新股申购', '', '');
                JumpInterface(params.viewKey.KDS_RZRQ_XGSG, 4, 0);
                break;
            case 1:
                // 科创板申购
                onAgentEvent('新股申购_科创板申购', '', '');
                JumpInterface(params.viewKey.KDS_RZRQ_KCBSG, 4, 0);
                break;
            case 2:
                // 可转债申购
                onAgentEvent('新股申购_可转债申购', '', '');
                JumpInterface(params.viewKey.KDS_RZRQ_XZSG, 4, 0);
                break;
            case 3:
                // 新股查询
                onAgentEvent('新股申购_申购查询', '', '');
                JumpInterface(params.viewKey.KDS_RZRQ_XGCX, 4, 0);
                break;
        }
    }
}

$(document).on("click", ".queryTradeSwitch", function () {
    if ($(this).hasClass("active")) {
        $(this).removeClass("active");
        $(this).find("img").attr({
            "src": "../../../images/btn_close.svg"
        });
    } else {
        $(this).addClass("active");
        $(this).find("img").attr({
            "src": "../../../images/btn_open.svg"
        });
    }
});

// 新股查询索引
var newstock_query_index = 0;
var myScroll;

$(document).ready(function () {
    $("#newstockTab > tbody > tr > td").click(function () {
        newstock_query_index = $(this).index();

        $(this).addClass("active").siblings().removeClass("active");

        $(".tab-content .tab-page.active").removeClass("active");
        $(".tab-content .tab-page").eq($(this).index()).addClass("active");

        // 显示第二级选项卡对应的标题栏, 并隐藏其它标题栏
        $(".table-head-group table").eq(newstock_query_index).show().siblings().hide();

        // 点击权益时, 隐藏底部的提示信息
        if (newstock_query_index == 2) {
            $("footer").hide();
        } else {
            $("footer").show();
        }
    });

    // 新股查询界面
    if ($("#newstockTab").length > 0) {
        // 第一加载页面时默认点击 “中签” , 使用延迟加载
        setTimeout(function () {
            zq_query();
        }, 500);
    }
});

/**
 * 新股申购不同版本的初始化
 */
function xgsg_init($scope) {
    $scope.zq_head = ["名称代码", "日期/优先级", "中签/缴款量", "中签/缴款额"];
    $scope.ph_head = ["名称代码", "起始配号", "数量/日期", "股东代码"];
    $scope.zq_head_class = ["", "", "", ""];
    $scope.footerMsg = "单击列表数据设置缴款优先级";

    if ($("#NewStockUL").find(".active").text().trim() == "可转债申购") {
        $scope.footerMsg = "";
    }
}