var app = angular.module('load', []);

app.controller('loadController', function ($rootScope, $scope, $http, $compile) {
    var urlid = document.body.getAttribute("data-urlid");
    // 融信通第三方WEB界面跳转    2016.06.30 update
    if (urlid == "rxt") {
        loadding.run();

        // 跳转到融信通
        toRXT();
    }
    // 添鑫宝第三方WEB界面跳转    2016.06.30 update
    else if (urlid == "txb") {
            loadding.run();

            var lastUrl = "ptjy/zhyw/hqurl";
            // 请求交易服务器，获取融信通的地址
            ajaxPost(getApiUrl() + lastUrl, { "urlid": urlid }, function (response) {
                var rxtUrl = response.list[0].url;
                openThirdPartyWebInterface("1", rxtUrl);
            });
        }
        // 业务办理 2016.06.27 add
        // 将 添鑫宝 放在一起处理 2016.10.31 add
        else if (urlid == "ywbl" || urlid == "txbNew") {
                var isCloseCurrent = "1"; // 是否关闭当前已有WebActivity[0: 不关闭 1: 关闭];
                var loadUrl = ""; // 要加载的第三方Web页面;
                var functionCode = ""; // 功能Code
                var custid = ""; // 客户代码
                var fundid = ""; // 资金账号
                var userrole = ""; // 用户角色
                var orgid = ""; // 操作机构
                var ticket = ""; // ticket票据
                var targetUrl = ""; // 目的地址

                var lastUrl = "ptjy/zhyw/hqurl";
                // 请求交易服务器，获取业务办理的地址
                ajaxPost(getApiUrl() + lastUrl, { "urlid": urlid, "urlscbz": "0" }, function (response) {
                    var _bean = response.list[0];
                    loadUrl = _bean.url;
                    custid = _bean.khdm;
                    fundid = _bean.zjzh;
                    userrole = _bean.yhjs;
                    orgid = _bean.yybdm;
                    ticket = _bean.ticket;
                    targetUrl = _bean.mddz;
                    functionCode = "KDS_MyBusinessManagement";
                    // 添鑫宝时需要修改 functionCode 值  2017.02.09 add
                    if (urlid == "txbNew") {
                        functionCode = "KDS_TRADE_TXB";
                    }

                    openThirdPartyWebSuperInterface(isCloseCurrent, loadUrl, functionCode, custid, fundid, userrole, orgid, ticket, targetUrl);
                });
            }
            // 银行理财第三方WEB界面跳转    2016.10.18 add
            else if (urlid == "yhlc") {
                    loadding.run();

                    var lastUrl = "ptjy/zhyw/hqurl";
                    // 请求交易服务器，获取融信通的地址
                    ajaxPost(getApiUrl() + lastUrl, { "urlid": urlid }, function (response) {
                        openThirdPartyWebInterface("1", response.list[0].url);
                    });
                }
                // 动态 KEY
                else if (urlid == "ticket") {
                        // 如果从登录界面过，KDS_TICKET 则有值，反之，直接进入当前页面，则不会有值
                        var viewKey = getLocalData('KDS_TICKET');
                        removeLocalData('KDS_TICKET');

                        if (viewKey == null) {
                            console.log("viewKey is null!");
                            return;
                        }

                        if (viewKey.hasPrefix('KDS_TICKET_URL') || viewKey.hasPrefix('KDS_PHONE_TICKET_URL')) {
                            // 特殊的动态 KEY 值， 与老板添鑫宝类似
                            LOAD.url(viewKey);
                        } else if (viewKey.hasPrefix('KDS_TICKET_NO_RISK')) {
                            LOAD.queryFXCPJGCX(viewKey, 'KDS_TICKET_NO_URL');
                        } else {
                            // 动态 KEY 值，功能与业务办理类似
                            LOAD.ticket(viewKey, urlid);
                        }
                    } else {
                        console.log(urlid, " 暂未实现");
                    }
});

/**
 * 调用示例及说明
 * @des
 *     判断的关键词（按优先级排列，第一项是优先级最高）：
 *         KDS_TICKET
 *         KDS_TICKET_URL       // 特殊的动态 KEY 值， 功能与老板添鑫宝类似
 *         KDS_TICKET_NO_RISK   // 需要风险测评的 KEY
 *         KDS_TICKET_NO        // 动态 KEY 值，功能与业务办理类似
 *     示例：
 *         # 广告配置下发
 *             LOAD.ticket('KDS_TICKET_NO_XGJH', '');   // 现金理财
 *             LOAD.url('KDS_TICKET_URL_WDHG');         // 我的回顾 (旧添鑫宝模式, url地址携带ticket)
 *         # 快捷菜单
 *             LOAD.ticket('KDS_TICKET_NO_TGCP', '');   // 投顾产品 (替换沪深排行)
 *             LOAD.ticket('KDS_TICKET_NO_GMJJ', '');   // 公募基金 (替换融资融券)
 *         # APP 首页
 *             LOAD.queryFXCPJGCX('KDS_TICKET_NO_RISK_USERDATA', 'KDS_TICKET_NO_URL');  // 优品
 *         # 个人中心
 *             LOAD.ticket('KDS_TICKET_CPGMJL', '');    // 产品购买记录 (放在我要吐槽下面)
 */
var LOAD = function () {
    // 动态 KEY 值，功能与业务办理类似
    function ticket(viewKey, urlid) {
        if (viewKey.hasPrefix('KDS_TICKET_NO')) {
            urlid = 'KDS_TICKET_NO_URL';
        } else if (viewKey.hasPrefix('KDS_PHONE_TICKET_NO')) {
            urlid = 'KDS_TICKET_NO_URL';
        } else {
            urlid = viewKey;
        }

        var isCloseCurrent = "1"; // 是否关闭当前已有WebActivity[0: 不关闭 1: 关闭];
        var loadUrl = ""; // 要加载的第三方Web页面;
        var functionCode = ""; // 功能Code
        var custid = ""; // 客户代码
        var fundid = ""; // 资金账号
        var userrole = ""; // 用户角色
        var orgid = ""; // 操作机构
        var ticket = ""; // ticket票据
        var targetUrl = ""; // 目的地址

        var lastUrl = "ptjy/zhyw/hqurl";
        // 请求交易服务器，获取该 KEY 值需要的地址
        ajaxPost(getApiUrl() + lastUrl, { "urlid": urlid, "urlscbz": "0" }, function (response) {
            var _bean = response.list[0];
            loadUrl = _bean.url;
            custid = _bean.khdm;
            fundid = _bean.zjzh;
            userrole = _bean.yhjs;
            orgid = _bean.yybdm;
            ticket = _bean.ticket;
            targetUrl = _bean.mddz;
            functionCode = viewKey;

            openThirdPartyWebSuperInterface(isCloseCurrent, loadUrl, functionCode, custid, fundid, userrole, orgid, ticket, targetUrl);
        }, function (response) {
            var message = response.cljg[0].message;
            var code = '980023090';
            if (message.indexOf(code) > -1) {
                Dialog.customAlert('该功能暂不支持当前账号，请切换到普通A股资金账户使用本功能', "提示信息");
            } else {
                Dialog.customAlert(message, "提示信息");
            }
        });
    }

    // 特殊的动态 KEY 值， 功能与老板添鑫宝类似
    function url(urlid) {
        var lastUrl = "ptjy/zhyw/hqurl";
        // 请求交易服务器，获取融信通的地址
        ajaxPost(getApiUrl() + lastUrl, { "urlid": urlid }, function (response) {
            var rxtUrl = response.list[0].url;
            openWebUrl("1", urlid, rxtUrl, '');
        });
    }

    function ticketRisk(viewKey, urlid, riskObject) {
        var userDataJson = {
            'custid': '', // 客户ID（非空）
            'fundid': '', // 资金账号（非空）
            'userrole': '', // 用户角色
            'imei': '', // 辨识码（需要原生去赋值）
            'orgid': '', // 操作机构
            'ticket': '', // App登录需传参数  如果未登录传空字符串 ""
            'ip': '', // IP地址 （需要原生去赋值）
            'company': '', // 所属分公司 (该值无法获取，默认为空)
            'department': '', // 所属营业部
            'custName': '', // 客户姓名
            'evaluation': '' // 评测结果
        };

        var lastUrl = "ptjy/zhyw/hqurl";
        // 请求交易服务器，获取该 KEY 值需要的地址
        ajaxPost(getApiUrl() + lastUrl, { "urlid": urlid, "urlscbz": "0" }, function (response) {
            var _bean = response.list[0];
            userDataJson.custid = _bean.khdm;
            userDataJson.fundid = _bean.zjzh;
            userDataJson.userrole = _bean.yhjs;
            userDataJson.orgid = _bean.yybdm;
            userDataJson.ticket = _bean.ticket;
            userDataJson.evaluation = riskObject.pjjb;
            userDataJson.evaluationsm = riskObject.jbmc;
            userDataJson.tzzfl = riskObject.tzzfl;
            userDataJson.functionCode = viewKey;

            var dlxx = geDlxx();
            userDataJson.custName = dlxx.khxm;
            userDataJson.department = dlxx.yybjc;

            callbackReturnUserData(JSON.stringify(userDataJson));
        });
    }

    /**
     * 风险测评结果查询
     */
    function queryFXCPJGCX(viewKey, urlid) {
        var riskObject = {
            'pjjb': '-2', // 评级级别
            'jbmc': '', // 级别名称
            'tzzfl': '0' // 投资者分类 [0:普通投资者, 1:专业投资者]
        };
        ajaxPost(getApiUrl() + "ptjy/zhyw/fxcpjgcx", {}, function (response) {
            var info = response.fhxx;
            if (info && info.length > 0) {
                // 客户号,khh  预约流水号,yylsh  试题编码,stbm 测试评分,cspf  评级级别,pjjb  级别名称,jbmc  评级日期,pjrq   有效日期,yxrq   系统日期,xtsj
                info = info[0];
                riskObject.pjjb = info.pjjb;
                riskObject.jbmc = info.jbmc;
                riskObject.tzzfl = info.tzzfl;
                // 未签约
                if ("-1" == info.pjjb.toString()) {
                    riskObject.jbmc = '未签约';
                } else {
                    var dArr = info.pjrq.split("");
                    var pjrq = new Date(dArr.getBetweenStr(0, 4), dArr.getBetweenStr(4, 6), dArr.getBetweenStr(6, 8));
                    dArr = info.xtsj.split("");
                    var xtsj = new Date(dArr.getBetweenStr(0, 4), dArr.getBetweenStr(4, 6), dArr.getBetweenStr(6, 8));
                    // 超过两年
                    if (pjrq.addYears(2).getTime() - xtsj.getTime() < 0) {
                        riskObject.jbmc = '超过两年';
                    }
                }

                ticketRisk(viewKey, urlid, riskObject);
            }
        }, null, {
            // 请求失败后的处理
            error: function error() {
                ticketRisk(viewKey, urlid, riskObject);
            }
        });
    }

    function geDlxx() {
        var dlxx = {};
        var activeUse = JSON.parse(getLocalData('ActivePTJYUser') || '{}');
        if (activeUse.body && activeUse.body.dlxx) {
            dlxx = activeUse.body.dlxx[0];
        }

        return dlxx;
    }

    /**
     * 打开 WEB 地址
     * @param  {[type]} closeCurrent [关闭当前界面 0: 不关闭 1: 关闭]
     * @param  {[type]} functionKey  [功能 KEY 值]
     * @param  {[type]} url          [第三方应用的地址]
     * @param  {[type]} backupParam  [预留字段]
     */
    function openWebUrl(closeCurrent, functionKey, url, backupParam) {
        if (params.browser == 'android') {
            KDS_Native.openWebUrl(closeCurrent, functionKey, url, backupParam);
        } else if (params.browser == 'ios') {
            var lastParams = [closeCurrent, functionKey, url, backupParam].join(":");
            loadURL("KDS_Native://openWebUrl:" + lastParams);
        } else {
            console.log("只能在IOS系统与Android系统下点击自助开户");
        }
    }

    /**
     * 回调方法
     * @param  {[type]} userDataJson [description]
     */
    function callbackReturnUserData(userDataJson) {
        if (params.browser == 'android') {
            KDS_Native.callbackReturnUserData(userDataJson);
        } else if (params.browser == 'ios') {
            loadURL("KDS_Native://callbackReturnUserData:" + userDataJson);
        } else {
            console.log("只能在IOS系统与Android系统下点击自助开户");
        }
    }

    // 原生设置动态 KEY，
    window["setTicket"] = function (ticket) {
        if (ticket.hasPrefix('KDS_TICKET_URL')) {
            // 特殊的动态 KEY 值， 功能与老板添鑫宝类似
            LOAD.url(ticket);
        } else if (ticket.hasPrefix('KDS_TICKET_NO_RISK')) {
            LOAD.queryFXCPJGCX(ticket, 'KDS_TICKET_NO_URL');
        } else {
            // 动态 KEY 值，功能与业务办理类似
            LOAD.ticket(ticket, "");
        }
    };

    return {
        ticket: ticket,
        url: url,
        queryFXCPJGCX: queryFXCPJGCX
    };
}();