setLocalData("page", "定投");

var app = angular.module('jjdts', []);

app.controller('jjdtsController', function ($rootScope, $scope, $http, $compile) {
    $scope.userAgent;

    getControllerMethod($rootScope, $scope, $http, $compile);

    $scope.isJJDingShuShow = isJJDingShuShow;

    // setLocalData("lastActiveTabBeforeJump", "jjdt");
    // 设置 TAB 默认选中
    var activeTab = getLocalData("lastActiveTabBeforeJump");
    if (activeTab == "jjds") {
        $scope.active = {
            "jjdt": "",
            "jjds": "active"
        };
        setLocalData("lastActiveTabBeforeJump", "");
    } else {
        $scope.active = {
            "jjdt": "active",
            "jjds": ""
        };
    }

    // 设置默认显示的表格标题栏(基金定投表格标题栏), 设置成 false 时显示基金定赎表格标题栏
    $scope.jjdtHead = $scope.active.jjdt == "active" ? true : false;

    $scope.tbody = [
        // ["招商现金增值A","217004","1000.00","","每月15号","","20151105",""],
        // ["招商现金增值A","217004","1000.00","","每月15号","","20151105",""],
    ];

    // 点击 TAB 选项的触发的事件
    $scope.SortTabClick = function (type) {
        if ("jjdt" == type) {
            $scope.active = { "jjdt": "active", "jjds": "" };
            $scope.jjdtHead = true;
            $scope.tbody = [];
            // 查询基金定投列表
            jjdtsApi.queryJJDT($scope);

            // 提供原生回调刷新页面数据
            handlePageBack = function handlePageBack() {
                jjdtsApi.queryJJDT($scope);
            };
        } else if ("jjds" == type) {
            $scope.active = { "jjdt": "", "jjds": "active" };
            $scope.jjdtHead = false;
            $scope.tbody = [];
            // 查询基金定赎列表
            jjdtsApi.queryJJDS($scope);

            // 提供原生回调刷新页面数据
            handlePageBack = function handlePageBack() {
                jjdtsApi.queryJJDS($scope);
            };
        }
    };

    // 添加新的定投定赎计划
    $scope.addNewDTDS = function () {
        //  保存当前激活的tab信息
        // var activeTab = $scope.active.jjdt == "active" ? "jjdt" : "jjds";
        // setLocalData("lastActiveTabBeforeJump", activeTab);

        removeLocalData("jjxq");
        removeLocalData("jjdm");
        // 添加新的定投计划
        if ($scope.jjdtHead) {
            setLocalData("page", "定投申请");
        }
        // 添加新的定赎计划
        else {
                setLocalData("page", "定赎申请");
            }

        JumpInterface(params.viewKey.KDS_KFSJJ_DTSSQ, 8, 1);
    };

    $scope.DynInsertRow = function (TableID, obj, indexRow, Row) {
        console.log("message: DynInsertRow " + indexRow);
        // 否则将同一行点击两次,会造成该行被删除
        if (Row.length > 1 && InsertRow.prevSelRowIndex != indexRow) {
            var tbody = $scope.tbody;
            if (InsertRow.prevSelRowIndex != undefined) {
                tbody.splice(InsertRow.prevSelRowIndex, 1);
            }
            if (indexRow >= InsertRow.prevSelRowIndex) {
                indexRow--;
            }

            InsertRow.curSelRowIndex = indexRow;

            tbody.splice(indexRow + 1, 0, [""]);
            $scope.tbody = tbody;

            // 第一次点击行, 且选择的是最后条数据, 让滚动条到最底部
            if (InsertRow.prevSelRowIndex == undefined && indexRow == $scope.tbody.length - 2) {
                // 设置滚动条到底部
                jjdtsApi.setScrollBarToBottom();
            }

            //记录本次点击的行号
            InsertRow.prevSelRowIndex = indexRow + 1;
            //标记插入了新行
            InsertRow.isMoveRow = true;
        }
    };

    $scope.BtnPageJump = function (obj) {
        //  保存当前激活的tab信息
        var activeTab = $scope.active.jjdt == "active" ? "jjdt" : "jjds";
        setLocalData("lastActiveTabBeforeJump", activeTab);

        console.log("message: BtnPageJump ");
        jjdtsApi.BtnPageJump(obj, $scope, $compile);
    };

    $scope.Ensure = function () {
        console.log("message: Ensure 撤单");

        // 关闭模态框
        Dialog.closeAlert();

        // 定投撤单
        jjdtsApi.DTCD($scope.jjdtHead, $scope);
    };

    if ($scope.active.jjdt == "active") {
        // 界面首页加载, 查询基金定投列表
        jjdtsApi.queryJJDT(controller["scope"]);

        // 提供原生回调刷新页面数据
        handlePageBack = function handlePageBack() {
            jjdtsApi.queryJJDT(controller["scope"]);
        };
    }
    if ($scope.active.jjds == "active") {
        // 界面首页加载, 查询基金定赎列表
        jjdtsApi.queryJJDS(controller["scope"]);

        // 提供原生回调刷新页面数据
        handlePageBack = function handlePageBack() {
            jjdtsApi.queryJJDS(controller["scope"]);
        };
    }

    // 设置表格内容区域的高度
    jjdtsApi.setScrollAreaHeight();
});

var jjdtsApi = {
    CXLB_JJDTS: [],

    // 设置表格内容区域的高度
    setScrollAreaHeight: function setScrollAreaHeight() {
        setTimeout(function () {
            var footer = $("footer"),
                srcollArea = $(".scroll-area"),
                height = document.documentElement.clientHeight;

            footer = footer.length > 0 ? footer.height() : 0;
            height = height - srcollArea.offset().top - footer;

            srcollArea.height(height);
        }, 200);
    },

    // 设置滚动条到底部
    setScrollBarToBottom: function setScrollBarToBottom() {
        setTimeout(function () {
            var $scrollArea = $('.scroll-area');
            $scrollArea.scrollTop($scrollArea[0].scrollHeight);
        }, 100);
    },

    moveRow: "<tr class='moveRow' style='background-color:#eee;'>" + "   <td colspan='4' class='ptmm'>" + "       <div class='w100per'>" + "           <div class='btn-buy w33per' ng-click='BtnPageJump(this)'>" + "               修改" + "           </div>" + "           <div class='btn-sell w34per' ng-click='BtnPageJump(this)'>" + "               撤单" + "           </div>" + "           <div class='btn-details w33per' ng-click='BtnPageJump(this)'>" + "               详情" + "           </div>" + "       </div>" + "   </td>" + "</tr>",

    // 查询基金定投列表
    queryJJDT: function queryJJDT($scope) {
        var data = [];
        var postData = {
            "jjgsdm": "",
            "jjdm": ""
        };

        ajaxPost(getApiUrl() + "ptjy/cwkfsjj/jjdtcx", postData, function (response) {
            // 如果当前 TAB 不是选择基金定投，则不要显示服务器返回的数据
            if ($scope.active.jjdt != "active") {
                return;
            }

            var cxlb = response.cxlb;

            for (var i = 0, len = cxlb.length; i < len; i++) {
                data.push([cxlb[i].jjmc, cxlb[i].jjdm, cxlb[i].tzms, cxlb[i].wtje, cxlb[i].wtrq, cxlb[i].kkrqsm, cxlb[i].qmzlsm, ""]);
            }

            CXLB_JJDTS = response.cxlb;
            $scope.tbody = data;

            // 查询成功后，重置记录本次点击的行号
            InsertRow.prevSelRowIndex = undefined;
        });
    },

    // 查询基金定赎列表
    queryJJDS: function queryJJDS($scope) {
        var data = [];
        var postData = {
            "jjgsdm": "",
            "jjdm": ""
        };

        ajaxPost(getApiUrl() + "ptjy/cwkfsjj/jjdscx", postData, function (response) {
            // 如果当前 TAB 不是选择基金定赎，则不要显示服务器返回的数据
            if ($scope.active.jjds != "active") {
                return;
            }

            var cxlb = response.cxlb;

            for (var i = 0, len = cxlb.length; i < len; i++) {
                // console.log(cxlb[i].shzq);
                data.push([cxlb[i].jjmc, cxlb[i].jjdm, cxlb[i].jjfe, "", jjdtsApi.getKKRQ(cxlb[i].shzq, cxlb[i].kkrq), "", cxlb[i].wtrq, ""]);
            }

            CXLB_JJDTS = response.cxlb;
            $scope.tbody = data;

            // 查询成功后，重置记录本次点击的行号
            InsertRow.prevSelRowIndex = undefined;
        });
    },

    /*=======================================
    函数功能:  转换扣款日期代码
    @ kkzq----扣款周期
    @ kkrq----扣款日期
    =======================================*/
    getKKRQ: function getKKRQ(kkzq, kkrq) {
        console.log("message: getKKRQ");
        if (kkzq == '0') {
            return '每月' + kkrq + '号';
        } else if (kkzq == '1') {
            var kkrqs = ["", "星期一", "星期二", "星期三", "星期四", "星期五"];
            return '每周' + kkrqs[kkrq];
        }
    },

    /*=======================================
    函数功能:  转换期满条件代码
    @ qmzl----期满种类
    =======================================*/
    getQMTJ: function getQMTJ(qmzl) {
        if (qmzl == '0') {
            return '日期区间';
        } else if (qmzl == '1') {
            return '成功次数';
        } else if (qmzl == '2') {
            return '成功金额';
        }
    },

    /*======================================================
    函数功能：    点击按钮,实现页面跳转
    传入参数:     obj: 按钮对象
    ======================================================*/
    BtnPageJump: function BtnPageJump(obj, $scope, $compile) {
        var pageValue = obj;
        var indexRow = InsertRow.curSelRowIndex;
        var jjxq = CXLB_JJDTS[indexRow];
        var sort = $("#querySortTab").find("li.active").text().trim();

        console.log(sort);
        console.log("message: " + JSON.stringify(jjxq));

        if (pageValue == "修改") {
            console.log("message: 基金定投修改 " + indexRow);

            setLocalData("jjdm", jjxq.jjdm);
            setLocalData("jjxq", jjxq);
            // 添加新的定投计划
            if ("基金定投" == sort) {
                setLocalData("page", "定投申请");
            }
            // 添加新的定赎计划
            else {
                    setLocalData("page", "定赎申请");
                }

            JumpInterface(params.viewKey.KDS_KFSJJ_DTSSQ, 8, 1);
        } else if (pageValue == "撤单") {
            console.log("message: 基金定投撤单 " + indexRow);
            var modal = {};
            modal["title"] = "确认操作";

            if ("基金定投" == sort) {
                var kkzq = jjdtsApi.getKKRQ(jjxq.kkzq, jjxq.kkrq);
                var qmtj = jjdtsApi.getQMTJ(jjxq.qmzl);

                modal["content"] = [{ "key": "操作类别", "value": "定投撤销" }, { "key": "合同号", "value": jjxq.lsh }, { "key": "基金名称", "value": jjxq.jjmc }, { "key": "基金代码", "value": jjxq.jjdm }, { "key": "基金账号", "value": jjxq.jjzh }, { "key": "扣款周期", "value": kkzq }, { "key": "每期投资金额", "value": jjxq.wtje }, { "key": "期满条件", "value": qmtj }];
            } else {
                modal["content"] = [{ "key": "操作类别", "value": "定赎撤销" }, { "key": "合同号", "value": jjxq.lsh }, { "key": "基金名称", "value": jjxq.jjmc }, { "key": "基金代码", "value": jjxq.jjdm }, { "key": "基金账号", "value": jjxq.jjzh },
                //赎回周期为固定值日期区间
                { "key": "赎回周期", "value": "日期区间" }, { "key": "每期赎回份额", "value": jjxq.jjfe }, { "key": "开始时间", "value": jjxq.ksrq }, { "key": "线束时间", "value": jjxq.zzrq }, { "key": "巨额标志", "value": jjxq.shfssm }];
            }

            Dialog.alert($scope, $compile, modal, { rightIcoHide: true });
        } else if (pageValue == "详情") {
            console.log("message: 基金定投详情 " + indexRow);
            if ("基金定投" == sort) {
                setLocalData("page", "定投详情");
            } else if ("基金定赎" == sort) {
                setLocalData("page", "定赎详情");
            }
            setLocalData("jjxq", jjxq);
            JumpInterface(params.viewKey.KDS_KFSJJ_DTSXQ, 8, 1);
        }
    },

    // 定投撤单
    DTCD: function DTCD(isDT, $scope) {
        var indexRow = InsertRow.curSelRowIndex;
        var jjxq = CXLB_JJDTS[indexRow];

        var url = "ptjy/cwkfsjj/jjdtqx";
        if (!isDT) {
            url = "ptjy/cwkfsjj/jjdsqx";
        }

        var postData = {
            'jjdm': jjxq.jjdm, // Y 基金代码
            'sflb': jjxq.sflb, // Y 收费类别
            // 'czlx': 'D',           // Y 操作类型  A-增加 D-删除 U-修改
            'ksrq': jjxq.ksrq, // Y 开始日期
            'zzrq': jjxq.zzrq, // Y 终止日期
            'kkrq': jjxq.kkrq, // Y 扣款日期
            'wtrq': jjxq.wtrq, // N 委托日期
            'lsh': jjxq.lsh, // N 流水号
            'wtbh': jjxq.wtbh // N 委托编号
        };

        // 基金定投撤单
        if (isDT) {
            $.extend(postData, {
                'wtje': jjxq.wtje, // Y 委托金额
                'qmzl': jjxq.qmzl, // Y 期满种类   0-日期 1-次数 2-金额
                'qmcs': jjxq.qmcs, // Y 期满参数   当期满种类为1,2时,该参数起作用
                'kkzq': jjxq.kkzq // Y 扣款周期   0-每月 3-每周
            });
        }
        // 基金定赎撤单
        else {
                $.extend(postData, {
                    'wtsl': jjxq.jjfe, // Y 委托数量
                    'jebz': jjxq.shfs, // Y 巨额标志   0-取消 1-顺延
                    'kkzq': jjxq.shzq // Y 赎回周期   0-期间区间（win版，kkzq就是返回的shzq）
                    //'shzq': jjxq.shzq     // Y 赎回周期   0-期间区间
                });
            }

        ajaxPost(getApiUrl() + url, postData, function (response) {
            Dialog.successAlert("委托提交成功,流水号：" + response.htxx[0].wtxh, "提示信息");

            if (isDT) {
                jjdtsApi.queryJJDT($scope);
            } else {
                jjdtsApi.queryJJDS($scope);
            }
        });
    }
};