var app = angular.module('jycx', []);
app.controller('jycxController', function ($rootScope, $scope, $http, $compile) {
    $scope.thead_jjwtcj = ["名称/代码", "业务/状态", "委托金额", "委托日期"];

    getControllerMethod($rootScope, $scope, $http, $compile);

    //查询表格时间显示类型
    if (window.dateQueryTitleType != undefined) {
        $scope.dateQueryTitleType = dateQueryTitleType;
    }

    // 查询状态 (控制基金交易查询页面里的 tbody 显示)
    $scope.queryType = "wtcx";

    console.log("dateQueryTitleType: ", $scope.dateQueryTitleType);

    if (document.title.trim() == "基金交易查询") {
        $(".jjccEvent").click(function (e) {
            if (e.target.innerHTML == "申购" || e.target.innerHTML == "赎回") setLocalData("lastActiveTabBeforeJump", 'kfsjj_jycx');
        });

        if (getLocalData("lastActiveTabBeforeJump") == 'kfsjj_jycx') {
            setLocalData("lastActiveTabBeforeJump", '');
            setActivePage(1);
            $(".active.scroll-area .table tbody tr:not(.ng-scope)").remove();
            $(".cccx").show();
            kfsjjCCCX();
        } else {

            $(".cccx").hide();
            $(".wtcj").show();
            //中信新版，选择切换按钮，换成顶部Tab切换
            if (window.wtcjQueryTitleType != undefined && window.wtcjQueryTitleType == 2) {
                $("#wtcj").hide();
                $("#querySortTab").addClass("c");
                $("#wtcx").addClass("active");
                $scope.isQueryTabThreeShow = false;
            } else {
                $("#wtcx").hide();
                $("#cjcx").hide();
                $("#wtcj").addClass("active");
                $scope.isQueryTabThreeShow = true;
            }

            kfsjjWTCJ();
        }
    } else if (document.title.trim() == "基金账户查询") {
        JiJinZhangHuCX();
    } else if (document.title.trim() == "基金撤单") {
        JiJinCheDanCX();
    } else if (document.title.trim() == "基金信息查询") {
        JiJinXinXiCX();
    }

    /*==================================================================
    函数功能：         委托下单确定按钮绑定事件
    ==================================================================*/
    $scope.Ensure = function () {
        hideKeyBoard();

        // 关闭模态框
        Dialog.closeAlert();

        var url = "";
        var title = "提示";

        var postData = {
            jjgsdm: kfsjjChaChe.chedanRow.find("p").eq(8).text().trim(), //  Y 基金公司代码
            jjdm: kfsjjChaChe.chedanRow.find("p").eq(1).text().trim(), //  Y 基金代码
            wtrq: kfsjjChaChe.chedanRow.find("p").eq(6).text().trim() //  Y 委托日期
        };

        postData.htxh = kfsjjChaChe.chedanRow.find("p").eq(7).text().trim();
        url = "ptjy/cwkfsjj/jjcd";

        ajaxPost(getApiUrl() + url, postData, function (response) {
            // 将操作基金代码添加到自选股
            // addUserStock($("#zqmc").text(),$("#zqdm").val(),order.curjysdm);

            kfsjjChaChe.chedanRow = "";

            Dialog.successAlert("委托提交成功", title);
            // showAlert("委托提交成功,流水号："+response.fhxx[0].wtxh,title);

            JiJinCheDanCX();
        }, function (response) {
            Dialog.errorAlert("委托提交失败：" + response.cljg[0].message, title);
        });
    };
});

/*==========================================================
函数功能:  开放式基金----委托成交查询
==========================================================*/
function kfsjjWTCJ(quertDateArray) {
    controller["scope"].tbody = ""; // 清空以前的查询记录

    kfsjjChaChe.postData = {
        "jjgsdm": "", // N 基金公司代码
        "jjdm": "", // N 基金代码
        "cxfx": params["cxfx"], // Y 查询方向  1 1向下/0向上查询方向
        "qqhs": params["qqhs"], // Y 请求行数    每次取的行数
        "dwc": "" // N 定位串     第一次填空
    };

    controller["scope"].ul = {
        "day": params['querytitle']["day"],
        "week": params['querytitle']["week"],
        "month": params['querytitle']["month"],
        "custom": params['querytitle']["custom"],
        "wtcj": params['querytitle']["wtcj"],
        "wtcx": params['querytitle']["wtcx"], //委托查询
        "cjcx": params['querytitle']["cjcx"] //成交查询
    };

    var isQueryCJCX;
    //左右滑动框，隐藏，顶部3个选择title
    if ($(".line.clinch").hasClass("ng-hide")) {
        if (params["queryType"] == "cjcx") {
            isQueryCJCX = true;
        } else if (params["queryType"] == "wtcx") {
            isQueryCJCX = false;
        }
    } else {
        // 基金交易---委托查询
        if ($("#queryTradeSwitch").hasClass("active") == false) {
            isQueryCJCX = false;
        } // 基金交易---成交查询
        else {
                isQueryCJCX = true;
            }
    }

    if (isQueryCJCX) {
        //是成交查询
        //有查询时间参数（由queryForDate函数回调传递而来）
        if (!setWTCJParams("cjcx", quertDateArray)) {
            return;
        }

        $(".wtcx").hide();
        $(".cjcx").show();
        controller.scope.thead_jjwtcj = ["名称/代码", "业务", "成交金额/成交份额", "成交日期"];
        kfsjjChaChe.colNames = ["jjmc", "jjdm", "ywbzsm", "cjje", "cjsl", "cjrq"];
    } else {
        //委托查询

        //有查询时间参数（由queryForDate函数回调传递而来）
        if (!setWTCJParams("wtcx", quertDateArray)) {
            return;
        }
        $(".cjcx").hide();
        $(".wtcx").show();

        controller.scope.thead_jjwtcj = ["名称/代码", "业务/状态", "委托金额", "委托日期"];
        kfsjjChaChe.colNames = ["jjmc", "jjdm", "ywbzsm", "wtztsm", "wtje", "wtrq"];
    }
    // 移除JQuery方式添加的内容
    removejQueryAppendContent(".active.scroll-area");
    loadQueryData();
}

/*==========================================================
函数功能:  开放式基金----设置委托成交查询参数
==========================================================*/
function setWTCJParams(type, quertDateArray) {
    kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/jjls" + type;

    var menuText = $("#queryDate td.active a").text().trim();
    if (menuText == params['querytitle']["custom"]) // 弹出自定义时间框
        {
            //自定义时间框传递来的时间
            if (quertDateArray) {
                kfsjjChaChe.postData.qsrq = quertDateArray[0];
                kfsjjChaChe.postData.zzrq = quertDateArray[1];
                kfsjjChaChe.type = "jjc" + type;
                kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/jjls" + type;
            } else {
                addQueryDateSettingView(); //添加自定义时间设置框到界面
                window.queryForDate = this.kfsjjWTCJ;
                return false;
            }
        } else if (menuText == params['querytitle']["month"]) {
        var now = new Date();
        kfsjjChaChe.postData.zzrq = now.Format("yyyyMMdd"); // 终止日期

        now.addMonths(-1);
        kfsjjChaChe.postData.qsrq = now.Format("yyyyMMdd"); // 起始日期

        // 上拉刷新的时候需要区分一个月和半年查询
        if (type == "wtcx") {
            kfsjjChaChe.type = "jjmwtcx";
        } else if (type == "cjcx") {
            kfsjjChaChe.type = "jjmcjcx";
        }

        kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/jjls" + type;
    } else if (menuText == params['querytitle']["week"]) //一周
        {
            var now = new Date();
            kfsjjChaChe.postData.zzrq = now.Format("yyyyMMdd"); // 终止日期

            now.addWeeks(-1);
            kfsjjChaChe.postData.qsrq = now.Format("yyyyMMdd"); // 起始日期

            kfsjjChaChe.type = "jjls" + type;
            kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/jjls" + type;
        } else if (menuText == params['querytitle']["year"]) {
        var now = new Date();
        kfsjjChaChe.postData.zzrq = now.Format("yyyyMMdd"); // 终止日期

        now.addMonths(-6);
        kfsjjChaChe.postData.qsrq = now.Format("yyyyMMdd"); // 起始日期

        kfsjjChaChe.type = "jjls" + type;
        kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/jjls" + type;
    } else {
        // 当日成交委托查询不需要传递时间参数
        if (kfsjjChaChe.postData.qsrq) {
            delete kfsjjChaChe.postData.qsrq;
            delete kfsjjChaChe.postData.zzrq;
        }

        kfsjjChaChe.type = "jjdr" + type;
        kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/jjdr" + type;
    }

    return true;
}

/*===================================================
函数功能:  开放式基金----加载查询数据
===================================================*/
function loadQueryData() {
    ajaxPost(kfsjjChaChe.requestUrl, kfsjjChaChe.postData, function (response) {
        controller["scope"].tbody = FollowOriginalDataParse(response, kfsjjChaChe.colNames, kfsjjChaChe.type);

        bindLoadMoreContentEvent();
    });
}

/*=====================================
函数功能:  开放式基金----持仓查询
======================================*/
function kfsjjCCCX() {
    controller["scope"].tbody = ""; // 清空以前的查询记录

    kfsjjChaChe.postData = {
        "jjgsdm": "", // N 基金公司代码
        "jjdm": "", // N 基金代码
        "cxfx": params["cxfx"], // Y 查询方向       1 1向下/0向上查询方向
        "qqhs": params["qqhs"], // Y 请求行数       每次取的行数
        "dwc": "" // N 定位串         第一次填空
    };

    kfsjjChaChe.type = "jjfecx";
    kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/jjfecx";
    kfsjjChaChe.colNames = ["jjmc", "jjdm", "cbj", "jjdwjz", "jjkysl", "sz", "yk", "jjdm", "jjgsdm"];

    removejQueryAppendContent(".active.scroll-area");
    loadQueryData();
}

/*=====================================
函数功能:  开放式基金----基金账户查询
======================================*/
function JiJinZhangHuCX() {
    var postData = {
        "jjgsdm": "", //Y 基金公司代码
        "qqhs": "1000", //Y 请求行数      每次取的行数
        "dwc ": "", //Y 定位串        第一次填空
        "cxfx": params['cxfx'] //Y 查询方向1     1向下/0向上查询方向
    };

    //================================基金账户查询==========================
    ajaxPost(getApiUrl() + "ptjy/cwkfsjj/jjzhcx", postData, function (response) {
        var colNames = ["jjzh", "jjgsmc"];

        //=====================填充持仓表格数据=========================
        controller["scope"].tbody = FollowOriginalDataParse(response, colNames, "jjzhcx");
    });
}

//=========================持仓模态框=======================================
var BottomWindow = "<div  id='BottomWindow' >" + " <div class='modal-backdrop in' style='z-index:1;'></div>" + " <div id='bottom-window'>" + " <div class='scrollTable'>" + "  <table class='table'>" + "   <tbody>" + "     <tr onclick='BindJJXXCXEvent(this)' >" + "        <td> " + "           <button class='btn btn-red' value='' >全部</button>" + "        </td>" + "      </tr>" + "     <tr ng-repeat='row in btnRow' onclick='BindJJXXCXEvent(this)' >" + "        <td> " + "           <button class='btn btn-gray' value='{{row[0]}}'>{{row[1]}}</button>" + "        </td>" + "       </tr>" + "     </tbody>" + "    </table>" + "   </div>" + " </div>" + "</div>";

/*=============================================
函数功能:      显示基金公司按钮列表
==============================================*/
function showJiJinGongSiBtnList() {
    dynGenerateNode(controller["scope"], controller["compile"], BottomWindow);

    //===============================设置滚动区域上边距===================================
    var tableHeight = document.documentElement.clientHeight - $("#bottom-window .scrollTable").offset().top;
    $("#bottom-window .scrollTable").height(tableHeight);

    var postData = {
        "jjgsdm": "", //Y 基金公司代码
        "qqhs": "1000", //Y 请求行数      每次取的行数
        "dwc ": "", //Y 定位串        第一次填空
        "cxfx": params['cxfx'] //Y 查询方向1     1向下/0向上查询方向
    };

    //================================基金公司查询==========================
    ajaxPost(getApiUrl() + "ptjy/cwkfsjj/jjgscx", postData, function (response) {
        var colNames = ["jjgsdm", "jjgsmc"];

        //=====================填充基金公司表格=========================
        controller["scope"].btnRow = FollowOriginalDataParse(response, colNames, "jjgscx");
    });
}

/*=============================================
函数功能:       绑定基金信息查询事件
==============================================*/
function BindJJXXCXEvent(obj) {
    var jjgsdm = $(obj).find(".btn").attr("value");
    $(".jjgs-type").text($(obj).find(".btn").text());

    Dialog.closeAlert("BottomWindow");

    $(".scrollTable .table-hover.table tbody tr:not(.ng-scope)").remove();

    JiJinXinXiCX(jjgsdm);
}

/*=============================================
函数功能:       基金信息查询
传入参数:  jjgsdm--基金公司代码
==============================================*/
function JiJinXinXiCX(jjgsdm) {
    jjgsdm = jjgsdm ? jjgsdm : "";

    kfsjjChaChe.postData = {
        "jjgsdm": jjgsdm, //N 基金公司代码
        "jjdm": "", //N 基金代码
        "qqhs": params["qqhs"], //Y 请求行数
        "jjzt": "", //N 基金状态
        "dwc": "", //N 定位串
        "cxfx": "1", //Y 查询方向
        "qqhs": "50" //Y 请求行数
    };

    kfsjjChaChe.type = "jjxxcx";
    kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/jjxxcx";
    //================================基金公司查询==========================
    ajaxPost(kfsjjChaChe.requestUrl, kfsjjChaChe.postData, function (response) {

        kfsjjChaChe.colNames = ["jjmc", "jjdm", "jjdwjz", "jjgsmc", "jjgsdm", "jjztsm", "jjzt"];

        //=====================填充基金公司表格=========================
        controller["scope"].tbody = FollowOriginalDataParse(response, kfsjjChaChe.colNames, kfsjjChaChe.type);

        bindLoadMoreContentEvent();
    });
}

/*====================================================================
函数功能:      点击基金公司按钮后进行页面跳转
====================================================================*/
function jjxxPageJump(obj) {
    var param = {};
    var text = $(obj).text().trim();

    setLocalData("page", text);
    param.jjdm = $(obj).parent().parent().parent().find("p").eq(1).text();
    param.jjmc = $(obj).parent().parent().parent().find("p").eq(0).text();
    param.jjgsdm = $(obj).parent().parent().parent().find("p").eq(4).text();

    setLocalData("jjgsdm", param);

    if (text == "申购") {
        JumpInterface(params.viewKey.KDS_KFSJJ_JJSG, 0, 1);
    } else if (text == "认购") {
        JumpInterface(params.viewKey.KDS_KFSJJ_JJRG, 0, 1);
    }
}

/*======================================
函数功能:        基金撤单查询
=======================================*/
function JiJinCheDanCX() {
    kfsjjChaChe.postData = {
        "jjgsdm": "", // N  基金公司代码
        "jjdm": "", // N  基金代码
        "cxfx": params["cxfx"], // Y  查询方向    1向下/0向上查询方向
        "qqhs": "1000", // Y  请求行数    每次取的行数
        "dwc": "" // N  定位串     第一次填空
    };

    kfsjjChaChe.type = "jjkcdwtcx";
    kfsjjChaChe.requestUrl = getApiUrl() + "ptjy/cwkfsjj/jjkcdwtcx";
    kfsjjChaChe.colNames = ["jjmc", "jjdm", "ywbzsm", "wtztsm", "wtsl", "wtje", "wtrq", "htxh", "jjgsdm"];

    loadQueryData();
}

/*======================================
函数功能:   弹出撤单委托提示框
传入参数:    obj:点击的行记录
=======================================*/
function showWTCDModal(obj) {
    var modal = {};

    kfsjjChaChe.chedanRow = $(obj);

    modal["title"] = "委托撤单";

    modal["content"] = [{
        "key": "操作类型",
        "value": $(obj).find("p").eq(2).text()
    }, {
        "key": "基金名称",
        "value": $(obj).find("p").eq(0).text()
    }, {
        "key": "基金代码",
        "value": $(obj).find("p").eq(1).text()
    }, {
        "key": "合同编号",
        "value": $(obj).find("p").eq(7).text()
    }, {
        "key": "基金账号",
        "value": JSON.parse(getLocalData("ActivePTJYUser"))["head"].khbz
    }];

    Dialog.alert(controller["scope"], controller["compile"], modal, { isController: false, rightIcoHide: true });
}

/*==================================================
函数功能:        开放式基金---设置显示界面
===================================================*/
function setActivePage(index) {
    $("#querySortTab li.active").removeClass("active");
    $("#querySortTab li").eq(index).addClass("active");
    // $(".tab-content .tab-page.active").removeClass("active");
    // 兼容处理， 如果是 3，则是基金持仓，所以显示第 2 个 TAB。
    // index = (index == 3 ? 1 : index);
    // $(".tab-content .tab-page").eq(index).addClass("active");
}

/*=========================================================
函数功能: 开放式基金---委托成交 基金持仓标签页点击事件
=========================================================*/
$("#querySortTab li").click(function (event) {
    setActivePage($(this).index());

    $(".active.scroll-area .table tbody tr:not(.ng-scope)").remove();

    var title = $(this).find("div > a").text().trim();
    if (title == params['querytitle']["wtcj"] || title == params['querytitle']["wtcx"] || title == params['querytitle']["cjcx"]) {
        $(".cccx").hide();
        $(".wtcj").show();

        if (title == params['querytitle']["cjcx"]) {
            params["queryType"] = "cjcx";
            controller.scope.queryType = "cjcx";
        } else if (title == params['querytitle']["wtcx"]) {
            params["queryType"] = "wtcx";
            controller.scope.queryType = "wtcx";
        }

        kfsjjWTCJ();
    } else if (title == params['querytitle']["jjcc"]) {
        controller.scope.queryType = "jjcc";
        $(".wtcj").hide();
        $(".cccx").show();
        kfsjjCCCX();
    }
});

/*=========================================================
函数功能: 开放式基金---当日 一个月内 半年内标签页点击事件
=========================================================*/
$("#queryDate td").click(function () {
    $("#queryDate td.active").removeClass("active");
    $(this).addClass("active");

    kfsjjWTCJ();
});

/*=========================================================
函数功能: 开放式基金---成交按钮点击事件
=========================================================*/
$("#queryTradeSwitch").click(function () {
    if ($(this).hasClass("active")) {
        $(this).removeClass("active");
    } else {
        $(this).addClass("active");
    }

    kfsjjWTCJ();
});

/*====================================================================
函数功能:      点击基金公司列表,显示所有的基金公司列表
====================================================================*/
$("#jjgs").click(function () {
    showJiJinGongSiBtnList();

    return false;
});

/*====================================================================
函数功能:     点击下侧,右侧背景遮罩区域,关闭悬浮层
====================================================================*/
$("body").on("click", "#BottomWindow .modal-backdrop", function () {
    Dialog.confirm();

    return false;
});

/*=====================================================
函数功能:            滚动加载更多数据
=====================================================*/
function scrollLoadMoreContent() {
    // 开放式基金-可撤单委托查询定位串
    if (kfsjjChaChe.type == "jjkcdwtcx") {
        kfsjjChaChe.postData.dwc = kfsjjChaChe.jjkcdwtcxdwc;
    } // 开放式基金-可撤单委托查询定位串
    else if (kfsjjChaChe.type == "jjxxcx") {
            kfsjjChaChe.postData.dwc = kfsjjChaChe.jjxxcxdwc;
        } // 开放式基金-持仓查询定位串
        else if (kfsjjChaChe.type == "jjfecx") {
                kfsjjChaChe.postData.dwc = kfsjjChaChe.jjfecxdwc;
            } // 开放式基金-当日委托查询定位串
            else if (kfsjjChaChe.type == "jjdrwtcx") {
                    kfsjjChaChe.postData.dwc = kfsjjChaChe.jjdrwtcxdwc;
                } // 开放式基金-当月委托查询定位串
                else if (kfsjjChaChe.type == "jjmwtcx") {
                        kfsjjChaChe.postData.dwc = kfsjjChaChe.jjmwtcxdwc;
                    } // 开放式基金-历史委托查询定位串
                    else if (kfsjjChaChe.type == "jjlswtcx") {
                            kfsjjChaChe.postData.dwc = kfsjjChaChe.jjlswtcxdwc;
                        } // 开放式基金-当日成交查询定位串
                        else if (kfsjjChaChe.type == "jjdrcjcx") {
                                kfsjjChaChe.postData.dwc = kfsjjChaChe.jjdrcjcxdwc;
                            } // 开放式基金-当月成交查询定位串
                            else if (kfsjjChaChe.type == "jjmcjcx") {
                                    kfsjjChaChe.postData.dwc = kfsjjChaChe.jjmcjcxdwc;
                                } else if (kfsjjChaChe.type == "jjlscjcx") {
                                    kfsjjChaChe.postData.dwc = kfsjjChaChe.jjlscjcxdwc;
                                } else {
                                    return;
                                }

    //==================发起查询请求===================
    ajaxPost(kfsjjChaChe.requestUrl, kfsjjChaChe.postData, function (response) {
        var content = "";
        var tbody = "";

        tbody = FollowOriginalDataParse(response, kfsjjChaChe.colNames, kfsjjChaChe.type, "isScrollQuery");

        var len = tbody ? tbody.length : 0;

        if (kfsjjChaChe.type == "jjkcdwtcx") {
            for (var i = 0; i < len; i++) {
                var row = tbody[i];

                content += "<tr class='" + row[9] + "' onclick='showWTCDModal(this)'>" + "<td>" + "<p>" + row[0] + "</p>" + "<p>" + row[1] + "</p>" + "</td>" + "<td>" + "<p>" + row[2] + "</p>" + "<p>" + row[3] + "</p>" + "</td>" + "<td>" + "<p>" + row[4] + "</p>" + "<p>" + row[5] + "</p>" + "</td>" + "<td>" + "<p>" + row[6] + "</p>" + "<p class='wtcd-wtxh'>" + row[7] + "</p>" + "<p class='wtcd-jjgsdm'>" + row[8] + "</p>" + "</td>" + "</tr>";
            }
        } else if (kfsjjChaChe.type == "jjxxcx") {
            for (var i = 0; i < len; i++) {
                var row = tbody[i];

                content += "<tr>" + "<td>" + "<p>" + row[0] + "</p>" + "<p>" + row[1] + "</p>" + "</td>" + "<td>" + "<p>" + row[2] + "</p>" + "</td>" + "<td>" + "<p>" + row[3] + "</p>" + "<p class='hide'>" + row[4] + "</p>" + "</td>" + "<td class='align-center'>" + "<p>" + "<button class='btn " + row[6] + "' onclick='jjxxPageJump(this)'>" + row[5] + "</button>" + "</p>" + "</td>" + "</tr>";
            }
        } else if (kfsjjChaChe.type == "jjfecx") {
            for (var i = 0; i < len; i++) {

                var row = tbody[i];

                content += "<tr  class='" + row[8] + "' onclick='DynInsertRow(\"position\",this,moveRow)' >" + "<td>" + "<p>" + row[0] + "</p>" + "<p>" + row[1] + "</p>" + "</td>" + "<td>" + "<p>" + row[2] + "</p>" + "<p>" + row[3] + "</p>" + "</td>" + "<td>" + "<p>" + row[4] + "</p>" + "</td>" + "<td>" + "<p >" + row[5] + "</p>" + "<p >" + row[6] + "</p>" + "<p class='jjfe-jjgsdm'>" + row[7] + "</p>" + "</td>" + "</tr>";
            }
        } else if (kfsjjChaChe.type == "jjdrwtcx" || kfsjjChaChe.type == "jjmwtcx" || kfsjjChaChe.type == "jjlswtcx") {
            for (var i = 0; i < len; i++) {
                var row = tbody[i];

                content += "<tr>" + "<td>" + "<p>" + row[0] + "</p>" + "<p>" + row[1] + "</p>" + "</td>" + "<td>" + "<p>" + row[2] + "</p>" + "<p>" + row[3] + "</p>" + "</td>" + "<td>" + "<p>" + row[4] + "</p>" + "</td>" + "<td>" + "<p>" + row[5] + "</p>" + "</td>" + "</tr>";
            }
        } else if (kfsjjChaChe.type == "jjdrcjcx" || kfsjjChaChe.type == "jjmcjcx" || kfsjjChaChe.type == "jjlscjcx") {
            for (var i = 0; i < len; i++) {
                var row = tbody[i];

                content += "<tr>" + "<td>" + "<p>" + row[0] + "</p>" + "<p>" + row[1] + "</p>" + "</td>" + "<td>" + "<p>" + row[2] + "</p>" + "</td>" + "<td>" + "<p>" + row[3] + "</p>" + "</td>" + "<td>" + "<p>" + row[4] + "</p>" + "</td>" + "</tr>";
            }
        }

        // 查询记录不为空时,加载查询数据
        if (len > 1) {
            $(".table.table-hover tbody").append(content);
        }
    });
}