var list = []; //保存融资融券--可融资证券,可融券证券明细查询结果
var rzrqHYCX = ["已了结合约", "未了结合约"];

var rzrqChaChe = {
    type: "", // 具体请求类型
    requestUrl: "", // url请求地址
    postData: {}, // 需要传送的参数
    colNames: [], // 需要解析的字段
    period: {}, // 查询时间段
    closeClinch: false, // 成交按钮状态
    queryDateType: "dr" // 默认查询类型  ---当日
};

var query = {
    rzrq_kcdwtcxdwc: "", // 融资融券-可撤单委托查询定位串            第一次填空
    rzrq_rzfzmxcxdwc: "", // 融资融券-融资负债明细                    第一次填空
    rzrq_rqfzmxcxdwc: "", // 融资融券-融券负债明细查询定位串          第一次填空
    rzrq_ypchycxdwc: "", // 融资融券-已平仓合约查询定位串            第一次填空
    rzrq_wpchycxdwc: "", // 融资融券-未平仓合约查询定位串            第一次填空
    rzrq_rzbdzqcxdwc: "", // 融资融券-融资标的证券查询定位串          第一次填空
    rzrq_rqbdzqcxdwc: "", // 融资融券-融券标的证券查询定位串          第一次填空
    rzrq_lszjlscxdwc: "", // 融资融券-历史资金流水查询定位串          第一次填空
    rzrq_mzjlscxdwc: "", // 融资融券-当月资金流水查询定位串          第一次填空
    rzrq_drzjlscxdwc: "", // 融资融券-当日资金流水查询定位串          第一次填空
    rzrq_lswtcxdwc: "", // 融资融券-历史委托查询定位串              第一次填空
    rzrq_mwtcxdwc: "", // 融资融券-当月委托查询定位串              第一次填空
    rzrq_drwtcxdwc: "", // 融资融券-当日委托查询定位串              第一次填空
    rzrq_lscjcxdwc: "", // 融资融券-历史成交查询定位串              第一次填空
    rzrq_mcjcxdwc: "", // 融资融券-当月成交查询定位串              第一次填空
    rzrq_drcjcxdwc: "" // 融资融券-当日成交查询定位串              第一次填空
};

var app = angular.module('rzrqChaChe', []);

app.controller('rzrqChaCheController', function ($rootScope, $scope, $http, $compile) {
    $scope.userAgent = navigator.userAgent;

    getControllerMethod($rootScope, $scope, $http, $compile);
    //融券负债是否显示
    $scope.isXYZCFZRQFZShow = isXYZCFZRQFZShow;

    //查询表格时间显示类型
    if (window.dateQueryTitleType != undefined) {
        $scope.dateQueryTitleType = dateQueryTitleType;
    }

    //融资融券持仓列表点击股票后，第二个按钮的文本值
    var tableMoveRowSecondText = "融券卖出";
    params.tableMoveRowSecondText = tableMoveRowSecondText;

    $scope.ul = {
        "wtcx": params['querytitle']["wtcx"], //委托查询
        cjcx: params['querytitle']["cjcx"] //成交查询


        //中信新版，选择切换按钮，换成顶部Tab切换
    };var titleType = 1;
    if (window.wtcjQueryTitleType != undefined) {
        titleType = window.wtcjQueryTitleType.toString();
    }

    // 已了结合约查询  资金股份流水,没有委托成交查询，共用html页面，引起的问题，此处做处理
    if (getLocalData("page") == "已了结合约查询" || getLocalData("page") == "资金流水" || getLocalData("page") == "资金股份流水") {
        titleType = 1;
    }

    $scope.showType = titleType.toString();

    //------------------跳转到合约详情页面
    $scope.onHYCXDetailClick = function (value, data_url, index) {
        console.log(value.key2);
        console.log($scope.detailInfo);

        if (getLocalData("page") == "委托成交" || getLocalData("page") == "当日委托") {
            // 跳转到委托成交详情页
            var jumpState = document.getElementById("wtcx");
            if (jumpState.className == "active") {
                setLocalData("jumpState", "wtcx");
            } else {
                setLocalData("jumpState", "cjcx");
            }
        } else {
            //记录跳转前的状态
            var jumpState = document.getElementById("wlhe-state");
            if (jumpState.className == "active") {
                setLocalData("jumpState", "wlhe");
            } else {
                setLocalData("jumpState", "ylhe");
            }
        }

        var detailInfoList = $scope.detailInfo;
        setLocalData("hyDetailInfo", detailInfoList[index]);

        // 跳转的目标地址
        var data_url = data_url;

        if ( /*getLocalData("page") == "委托成交" || */getLocalData("page") == "资金流水" || getLocalData("page") == "资金股份流水") {
            return;
        }

        JumpInterface(data_url, 4, 1);
    };

    if (getLocalData("page") == "撤单") {
        KCDWTCX();

        // 提供原生回调刷新页面数据
        handlePageBack = function handlePageBack() {
            KCDWTCX();
        };

        // 显示批量撤单模态框
        $scope.showModalPLCD = function () {
            plcdApi.showModalPLCD($scope, $compile);
        };
    } else if (getLocalData("page") == "委托成交" || getLocalData("page") == "当日委托" || getLocalData("page") == "资金流水" || getLocalData("page") == "资金股份流水") {

        $("#rzrq-hycx").hide();
        $("#queryDate, .clinch").show();
        //===============查询界面切换标签初始化=========
        $scope.ul = {
            "day": params['querytitle']["day"],
            "week": params['querytitle']["week"],
            "month": params['querytitle']["month"],
            "year": params['querytitle']["year"],
            "custom": params['querytitle']["custom"]
        };

        if (getLocalData("page") == "委托成交" || getLocalData("page") == "当日委托") {
            $("#title").text("委托成交");
            //======未切换标签的查询===============
            WTCJCX();
        } else if (getLocalData("page") == "资金流水" || getLocalData("page") == "资金股份流水") {
            $("#title").text(getLocalData("page"));

            // 隐藏只看成交
            $(".clinch").hide();
            $("#querySortTab li.active div > a").text("资金流水");

            ZJLSCX();
        }
    } else if (getLocalData("page") == "融资融券持仓") {
        $("#title").text(getLocalData("page"));
        CCCX();
        // 提供原生回调刷新页面数据
        handlePageBack = function handlePageBack() {
            CCCX();
        };
    } else if (getLocalData("page") == "合约详情" || getLocalData("page") == "融资负债详情" || getLocalData("page") == "融券负债详情") {
        var HeYueDetail = JSON.parse(getLocalData("HeYueDetail"));

        $("#title").text(getLocalData("page"));

        var tbodyArr = [{
            key: "发生日期"
        }, {
            key: "流水号"
        }, {
            key: "申报号"
        }, {
            key: "证券账号"
        }, {
            key: "证券名称"
        }, {
            key: "证券代码"
        }, {
            key: "成交价格"
        }, {
            key: "成交数量"
        }, {
            key: "成交金额"
        }, {
            key: "清算金额"
        }, {
            key: "负债金额"
        }, {
            key: "负债数量"
        }, {
            key: "负债利率"
        }, {
            key: "已还款本金"
        }, {
            key: "已还款利息"
        }, {
            key: "已还款数量"
        }, {
            key: "负债状态"
        }, {
            key: "归还截止日期"
        }, {
            key: "最近还款还券日期"
        }, {
            key: "负债日间状态"
        }, {
            key: "日间归还负债本金"
        }, {
            key: "日间归还利息负债"
        }, {
            key: "日间归还负债数量"
        }, {
            key: "费用负债日间状态"
        }];

        if (getLocalData("page") == "融资负债详情") {
            $scope.tbody.push({
                key: "负债利息"
            });
            $scope.tbody.push({
                key: "负债类型"
            });
            $scope.tbody.push({
                key: "日间归还费用负债本金"
            });
            $scope.tbody.push({
                key: "日间归还费用利息负债"
            });
        }
        $scope.tbody = tbodyArr;

        if (HeYueDetail) {
            var hynll = "0.0";
            if (getLocalData("page") == "融资负债详情") {
                hynll = HeYueDetail["hyll"];
            } else if (getLocalData("page") == "融券负债详情") {
                hynll = HeYueDetail["hynll"];
            }

            var tBodyArr = [{
                key: "发生日期",
                value: HeYueDetail.wtrq
            }, {
                key: "流水号",
                value: HeYueDetail.wtbh
            }, {
                key: "申报号",
                value: HeYueDetail.sbh
            }, {
                key: "证券账号",
                value: HeYueDetail.gddm
            }, {
                key: "证券名称",
                value: HeYueDetail.zqmc
            }, {
                key: "证券代码",
                value: HeYueDetail.zqdm
            }, {
                key: "成交价格",
                value: HeYueDetail.cjjg
            }, {
                key: "成交数量",
                value: formatNumber(HeYueDetail.cjsl, 0)
            }, {
                key: "成交金额",
                value: formatNumber(HeYueDetail.cjje, 0)
            }, {
                key: "清算金额",
                value: formatNumber(HeYueDetail.qsje, 0)
            }, {
                key: "负债金额",
                value: formatNumber(HeYueDetail.fzje, 0)
            }, {
                key: "负债数量",
                value: formatNumber(HeYueDetail.fzsl, 0)
            }, {
                key: "负债利率",
                value: HeYueDetail.fzll
            }, {
                key: "已还款本金",
                value: formatNumber(HeYueDetail.yghje, 0)
            }, {
                key: "已还款利息",
                value: formatNumber(HeYueDetail.yghlx, 0)
            }, {
                key: "已还款数量",
                value: formatNumber(HeYueDetail.yghsl, 0)
            }, {
                key: "负债状态",
                value: HeYueDetail.fzztsm
            }, {
                key: "归还截止日期",
                value: HeYueDetail.jzrq
            }, {
                key: "最近还款还券日期",
                value: HeYueDetail.zjghrq
            }, {
                key: "负债日间状态",
                value: HeYueDetail.fzrjztsm
            }, {
                key: "日间归还负债本金",
                value: formatNumber(HeYueDetail.rjghfzbj, 0)
            }, {
                key: "日间归还利息负债",
                value: HeYueDetail.rjghlxfz
            }, {
                key: "日间归还负债数量",
                value: formatNumber(HeYueDetail.rjghfzsl, 0)
            }, {
                key: "费用负债日间状态",
                value: HeYueDetail.fyfzrjztsm
            }];

            if (getLocalData("page") == "融资负债详情") {
                $scope.tbody.push({
                    key: "负债利息",
                    "value": formatNumber(HeYueDetail.fzlxi, 0)
                });
                $scope.tbody.push({
                    key: "负债类型",
                    "value": HeYueDetail.fzlxsm
                });
                $scope.tbody.push({
                    key: "日间归还费用负债本金",
                    "value": formatNumber(HeYueDetail.rjghfyfzbj, 0)
                });
                $scope.tbody.push({
                    key: "日间归还费用利息负债",
                    "value": formatNumber(HeYueDetail.rjghfylxfz, 0)
                });
            }

            $scope.tbody = tBodyArr;
        }
    } else if (getLocalData("page") == "信用资产负债") {
        winXYFZCX($("#rzrq-xyfzcx td.active").text().trim());

        // 提供原生回调刷新页面数据
        handlePageBack = function handlePageBack() {
            winXYFZCX($("#rzrq-xyfzcx td.active").text().trim());
        };
    } else if (getLocalData("page") == "已了结合约查询") {
        $("#queryDate, .clinch").hide();
        $("#rzrq-hycx").show();
        $("#title").text("合约查询");

        $scope.thead = [{
            name: "名称/代码"
        }, {
            name: "编号/到期日"
        }, {
            name: "类型/状态"
        }, {
            name: "成交额/量"
        }];

        // 根据跳转到合约详情前的状态设置actice
        if (getLocalData("jumpState") == "ylhe") {
            setLocalData("jumpState", "");
            $("#wlhe-state").removeClass("active");
            $("#ylhe-state").addClass("active");
            rzrqHYQuery("ypchycx");

            // 提供原生回调刷新页面数据
            handlePageBack = function handlePageBack() {
                rzrqHYQuery("ypchycx");
            };
        } else {
            setLocalData("jumpState", "");
            rzrqHYQuery("wpchycx");

            // 提供原生回调刷新页面数据
            handlePageBack = function handlePageBack() {
                rzrqHYQuery("wpchycx");
            };
        }
    } else if (getLocalData("page") == "担保品证券" || getLocalData("page") == "可充抵保证金证券") {

        $("#title").text(getLocalData("page"));

        $scope.thead = [{
            value: "名称/代码"
        }, {
            value: "折算率"
        }, {
            value: "市场"
        }];

        BDZQCX($("#zqdm").val());
    } else if (getLocalData("page") == "可融资证券" || getLocalData("page") == "可融券证券" || getLocalData("page") == "可融资查询" || getLocalData("page") == "可融券查询") {
        $("#title").text(getLocalData("page"));
        if (getLocalData("page") == "可融资证券" || getLocalData("page") == "可融资查询") {
            $scope.thead = [{
                value: "名称/代码"
            }, {
                value: "保证金比例"
            }, {
                value: "融资状态/市场"
            }];
        } else if (getLocalData("page") == "可融券证券" || getLocalData("page") == "可融券查询") {
            $scope.thead = [{
                value: "名称/代码"
            }, {
                value: "保证金比例"
            }, {
                value: "融券状态/市场"
            }];
        }

        BDZQCX($("#zqdm").val());
    } else {
        Logout();
    }
});

/**
 * 信用负债资产查询
 * @param  {[type]} title [标签标题]
 */
function winXYFZCX(title) {
    var postData = {
        "hbdm": "0" // N    货币代码
    };

    if (title == "信用资产") {
        controller["scope"].thead = [{
            key: "总资产"
        }, {
            key: "总负债"
        }, {
            key: "净资产"
        }, {
            key: "可用资金"
        }, {
            key: "罚息利息"
        }, {
            key: "可用保证金"
        }, {
            key: "可转出担保资产"
        }, {
            key: "维持担保比例(%)"
        }, {
            key: "担保证券市值"
        }];
    } else if (title == "融券负债") {
        $(".top-title").text("融券负债汇总");

        controller["scope"].thead = [{
            key: "融券授信额度"
        }, {
            key: "可用融券额度"
        }, {
            key: "融券额度冻结"
        }, {
            key: "融券利率"
        }, {
            key: "应付融券市值"
        }, {
            key: "融券费用及利息"
        }, {
            key: "融券卖出所得资金"
        }];
    } else if (title == "融资负债") {
        $(".top-title").text("融资负债汇总");

        controller["scope"].thead = [{
            key: "可用融资额度上限"
        }, {
            key: "可用融资额度"
        }, {
            key: "融资额度冻结"
        }, {
            key: "融资利率"
        }, {
            key: "融资本金"
        }, {
            key: "融资费用及利息"
        }];
    } else {
        return;
    }

    ajaxPost(getApiUrl() + "rzrq/ptyw/zcfzcx", postData, function (response) {
        if (response.cxlb.length > 0) {
            if (title == "信用资产") {
                // 实时维持担保比例低于130%时数字显示红色（色值ff3600）；130- 145%时数字显示橙色（色值ff8400）；145%以上时数字显示蓝色（色值5ccbff）
                var ssdbbl = response.cxlb[0].ssdbbl;
                var colorName = ssdbbl < 130 ? "ssdbblColor a" : ssdbbl <= 145 ? "ssdbblColor b" : "ssdbblColor c";

                // 总资产、总负债、总可用额度、可用资金、可用保证金余额、实时维持担保比例、可转出担保品市值、可转出资金、总额度
                controller["scope"].thead = [{
                    key: "总资产",
                    value: formatMoney(response.cxlb[0].zzc)
                }, {
                    key: "总负债",
                    value: formatMoney(response.cxlb[0].zfz)
                }, {
                    key: "净资产",
                    value: formatMoney(response.cxlb[0].zzc - response.cxlb[0].zfz, 2)
                }, {
                    key: "总可用额度",
                    value: formatMoney(response.cxlb[0].zkyed)
                }, {
                    key: "可用资金",
                    value: formatMoney(response.cxlb[0].zjkys)
                }, {
                    key: "可用保证金余额",
                    value: formatMoney(response.cxlb[0].bzjkys)
                }, {
                    key: "维持担保比",
                    value: formatMoney(response.cxlb[0].wcdbbl),
                    color: colorName
                }, {
                    key: "可转出担保品市值",
                    value: formatMoney(response.cxlb[0].kzcdbzc)
                }, {
                    key: "可转出资金",
                    value: formatMoney(response.cxlb[0].kzczj)
                }, {
                    key: "总额度",
                    value: formatMoney(response.cxlb[0].rzrqzed)
                }];
            } else if (title == "融券负债") {
                // 总额度、融券冻结、可用额度、融券利率、应付融券市值、融券费用及利息、融券负债、应付权益补偿金额、保证金调整数量、融券卖出所得资金
                controller["scope"].thead = [{
                    key: "总额度",
                    value: formatMoney(response.cxlb[0].rzrqzed)
                }, {
                    key: "融券冻结",
                    value: formatMoney(response.cxlb[0].rqeddj)
                }, {
                    key: "可用额度",
                    value: formatMoney(response.cxlb[0].rqkyed)
                }, {
                    key: "融券利率",
                    value: formatMoney(response.cxlb[0].rqll)
                }, {
                    key: "应付融券市值",
                    value: formatMoney(response.cxlb[0].yfrqsz)
                }, {
                    key: "融券费用及利息",
                    value: formatMoney(response.cxlb[0].rqfzlx)
                }, {
                    key: "融券负债",
                    value: formatMoney(response.cxlb[0].rqfzhj)
                }, {
                    key: "应付权益补偿金额",
                    value: formatMoney(response.cxlb[0].yfqybcje)
                }, {
                    key: "保证金调整数量",
                    value: formatMoney(response.cxlb[0].bzjtzsl)
                }, {
                    key: "融券卖出所得资金",
                    value: formatMoney(response.cxlb[0].rqmcsdzj)
                }];
            } else if (title == "融资负债") {
                // 总额度、额度冻结、可用额度、融资利率、融资本金、融资费用及利息、融资负债
                controller["scope"].thead = [{
                    key: "总额度",
                    value: formatMoney(response.cxlb[0].rzrqzed)
                }, {
                    key: "额度冻结",
                    value: formatMoney(response.cxlb[0].rzeddj)
                }, {
                    key: "可用额度",
                    value: formatMoney(response.cxlb[0].rzkyed)
                }, {
                    key: "融资利率",
                    value: formatMoney(response.cxlb[0].rzll)
                }, {
                    key: "融资本金",
                    value: formatMoney(response.cxlb[0].rzbj)
                }, {
                    key: "融资费用及利息",
                    value: formatMoney(response.cxlb[0].rzfzxf)
                }, {
                    key: "融资负债",
                    value: formatMoney(response.cxlb[0].rzfzhj)
                }];
            }
        }
    });
}

/**
 * 标的证券查询
 * @param {[type]} zqdm [证券代码]
 */
function BDZQCX(zqdm) {
    zqdm = zqdm ? zqdm : "";

    if (getLocalData("page") == "担保品证券" || getLocalData("page") == "可充抵保证金证券") {
        var queryDBPZQ = function queryDBPZQ() {
            rzrqChaChe.postData.zqdm = zqdm;
            rzrqChaChe.type = "dbpzqcx";
            rzrqChaChe.requestUrl = getApiUrl() + "rzrq/ptyw/dbpzqcx";

            ajaxPost(rzrqChaChe.requestUrl, rzrqChaChe.postData, function (response) {
                clearTableRecord(zqdm);
                rzrqChaChe.colNames = ["zqmc", "zqdm", "dbpbl", "dbpztsm", "fdbl", "jysjc"];

                controller["scope"].tbody = FollowOriginalDataParse(response, rzrqChaChe.colNames, rzrqChaChe.type);

                bindLoadMoreContentEvent();
            });
        };

        rzrqChaChe.postData = {
            "jysdm": "", // 交易所代码
            "bdlx": "", // 标的类型   传空查所有,1-可融资,2-可融券,3-可融资融券
            "qqhs": params['qqhs'], // 请求行数
            "pyl": "0"
        };

        queryDBPZQ();

        // 提供原生回调刷新页面数据
        handlePageBack = function handlePageBack() {
            queryDBPZQ();
        };
    } else {
        var queryChaChe = function queryChaChe() {
            rzrqChaChe.requestUrl = getApiUrl() + url;
            rzrqChaChe.postData.dwc = "";
            ajaxPost(rzrqChaChe.requestUrl, rzrqChaChe.postData, function (response) {
                clearTableRecord(zqdm);
                controller["scope"].tbody = FollowOriginalDataParse(response, rzrqChaChe.colNames, rzrqChaChe.type);
                bindLoadMoreContentEvent();
            });
        };

        if (params.pyl == undefined) {
            params.pyl = 0;
        }

        rzrqChaChe.postData = {
            jysdm: "", // N 交易所代码
            cxfx: params['cxfx'], // Y 查询方向
            qqhs: params['qqhs'], // Y 请求行数
            ywlx: "rzrq", // Y 业务类型
            pyl: params.pyl * params['qqhs'] + "" // Y 偏移量
        };

        rzrqChaChe.postData.zqdm = zqdm;

        if (getLocalData("page") == "可融资证券" || getLocalData("page") == "可融资查询") {
            var url = "rzrq/ptyw/rzbdzqcx";
            rzrqChaChe.type = "rzbdzqcx";
            rzrqChaChe.postData.dwc = ""; // Y 定位串
            rzrqChaChe.colNames = ["zqmc", "zqdm", "rzbzjbl", "zsl", "rzztsm", "jysjc"];
        } else if (getLocalData("page") == "可融券证券" || getLocalData("page") == "可融券查询") {
            var url = "rzrq/ptyw/rqbdzqcx";
            rzrqChaChe.type = "rqbdzqcx";
            rzrqChaChe.postData.dwc = ""; // Y 定位串
            rzrqChaChe.colNames = ["zqmc", "zqdm", "rqbzjbl", "zsl", "rqztsm", "jysjc"];
        } else {
            return;
        }

        queryChaChe();

        // 提供原生回调刷新页面数据
        handlePageBack = function handlePageBack() {
            queryChaChe();
        };
    }
}

/**
 * 清除表格原有记录
 * @param  {[type]} zqdm [证券代码]
 */
function clearTableRecord(zqdm) {
    if (zqdm) {
        controller["scope"].tbody = "";
        removejQueryAppendContent();
    }
}

/**
 * 负债明细查询页面跳转
 * @param  {[type]} obj [行对象]
 */
function jumpDetailPage(obj) {
    var index = $(obj).index();

    if (getLocalData("page") == "已了结合约查询") {
        return;
    } else if (getLocalData("page") == "融资负债") {
        setLocalData("page", "融资负债详情");
    } else if (getLocalData("page") == "融券负债") {
        setLocalData("page", "融券负债详情");
    }

    setLocalData("HeYueDetail", list[index]);

    JumpInterface(params.viewKey.KDS_RZRQ_XYZC_HYXQ_Query, 0, 1);
}

/**
 * 动态改变点击标签的样式
 * @param {[type]} obj [obj：需要改变样式的对象]
 */
function setStyle(obj) {
    // 判断传入的对象是否为空
    // 未切换标签时,不改变标签样式
    if (obj == "") {
        return;
    }

    var tabID = obj.parent().parent().parent().attr("id");
    $("#" + tabID + " > tbody > tr > td").removeClass("active");
    obj.addClass("active");
}

// 已了结合约,未了结合约标签页切换==搜索框
if (getLocalData("page") == "已了结合约查询") {
    $("#rzrqhycxSerch").show();
} else {
    $("#rzrqhycxSerch").hide();
}

/**
 * 已了结合约,未了结合约标签页切换
 */
$("#rzrq-hycx > tbody > tr > td").click(function () {
    var queryType = trim($(this).find("a").text());

    if (queryType == rzrqHYCX[0]) {
        rzrqHYQuery("ypchycx");

        // 提供原生回调刷新页面数据
        handlePageBack = function handlePageBack() {
            rzrqHYQuery("ypchycx");
        };
    } else if (queryType == rzrqHYCX[1]) {
        rzrqHYQuery("wpchycx");

        // 提供原生回调刷新页面数据
        handlePageBack = function handlePageBack() {
            rzrqHYQuery("wpchycx");
        };
    }

    setStyle($(this));
    //=========清除之前的查询记录========
    removejQueryAppendContent();

    window.queryData = undefined;
});

/**
 * 信用资产,融资负债,融券负债标签页切换
 */
$("#rzrq-xyfzcx > tbody > tr > td").click(function () {
    var _title = $(this).find("a").text().trim();

    winXYFZCX(_title);
    setStyle($(this));

    // 提供原生回调刷新页面数据
    handlePageBack = function handlePageBack() {
        winXYFZCX(_title);
    };
});

/**
 * 融资融券合约查询
 * @param  {[type]} hylx [合约类型]
 */
function rzrqHYQuery(hylx) {
    if (hylx == "ypchycx") {
        var url = "rzrq/ptyw/ypchycx";
        rzrqChaChe.type = "ypchycx";
    } else if (hylx == "wpchycx") {
        var url = "rzrq/ptyw/wpchycx";
        rzrqChaChe.type = "wpchycx";
    } else {
        return;
    }

    var now = new Date();
    var zzrq = now.Format("yyyyMMdd");
    now.addMonths(-6);
    var qsrq = now.Format("yyyyMMdd");
    var zqdm = $("#zqdm").val();
    rzrqChaChe.requestUrl = getApiUrl() + url;

    rzrqChaChe.postData = {
        "cxfx": params['cxfx'], // Y    查询方向  1  1向下/0向上查询方向
        "qqhs": params['qqhs'], // Y    请求行数     每次取的行数
        "dwc": "", // Y    定位串       第一次填空
        "jysdm": "", // N    交易所代码
        "zqdm": zqdm, // N    证券代码
        //"qsrq"   :   qsrq,            // Y    开始日期       不送则查询所有(屏蔽掉，查询所有时间的合约)
        "zzrq": zzrq, // Y    终止日期       不送则查询所有
        "hybh": "", // N    合约编号
        "ywlx": "rzrq"
    };

    ajaxPost(rzrqChaChe.requestUrl, rzrqChaChe.postData, function (response) {
        controller["scope"].detailInfo = response.cxlb;

        if (hylx == "wpchycx") {
            rzrqChaChe.colNames = ["zqmc", "zqdm", "hybh", "jzrq", "rzrqfxsm", "hyztsm", "cjje", "cjsl"]; //委托日期 改为 截止日期
        } else {
            rzrqChaChe.colNames = ["zqmc", "zqdm", "hybh", "jzrq", "rzrqfxsm", "hyztsm", "cjje", "cjsl"]; //委托日期 改为 截止日期
        }

        // 动态生成表格
        controller["scope"].tbody = ResealServerFeedbackData(response, rzrqChaChe.colNames, rzrqChaChe.type);

        bindLoadMoreContentEvent();
    });
}

$("#hyzqdmDiv .input-group-addon").on("click", function () {
    if (getLocalData("page") == "已了结合约查询") {
        if ($("#zqdm").val().length == 6) {
            searchZQDM($("#zqdm").val());
        }
    } else {
        hideKeyBoard();
        BDZQCX($("#zqdm").val());
    }
});

/**
 * 标的证券明细查询
 */
function bdzqDetailQuery() {
    hideKeyBoard();
    BDZQCX($("#zqdm").val());
}

/**
 * 融资-融券-担保品证券(可充抵保证金证券)标的证券按钮绑定事件
 */
$("#zqdmDiv .input-group-addon").on("click", function () {
    bdzqDetailQuery();
});

/**
 * 填充input输入内容并根据条件完成响应的事件
 * @param  {[type]} param [点击的软键盘键值]
 */
function fillInputContent(param) {
    if (param == "del") {
        var _value = $("#" + params.id).val();
        if (_value.length > 0) {
            _value = _value.substring(0, _value.length - 1);
            $("#" + params.id).val(_value);
        }
    } else {
        $("#" + params.id).val($("#" + params.id).val() + param);
        if (params.id == "zqdm") {
            if ($("#zqdm").val().length == 6) {
                if (getLocalData("page") == "已了结合约查询") {
                    handlePageBack();
                } else {
                    bdzqDetailQuery();
                }
            }
        }
    }
}

/**
 * 搜索证券代码
 *  - 根据证券代码匹配列表中数据
 * @return zqdm      证券代码
 */
function searchZQDM(zqdm) {
    if (window.queryData == undefined) {
        window.queryData = controller["scope"].tbody || [];
    }

    var DataTemp = [];
    var len = window.queryData.length;
    if (len == 0) {
        return;
    }

    if (zqdm == "") {
        angular.element($("body")).scope().$apply(function () {
            controller["scope"].tbody = window.queryData;
        });
        return;
    }

    for (var i = 0; i < len; i++) {
        var bean = window.queryData[i];
        if (bean.key2 == zqdm) {
            DataTemp.push(bean);
        }
    }

    angular.element($("body")).scope().$apply(function () {
        controller["scope"].tbody = DataTemp;
    });
}

if (isWDCCFourButShow) {
    // 我的持仓，显示四个按钮：融资买入、融券卖出、担保物买入、担保物卖出
    moveRow = moveRow2;
}

// 重写 showKeyboard 事件
var showKeyboardTemp = showKeyboard;
showKeyboard = function showKeyboard(id, type) {
    if (getLocalData("page") == "已了结合约查询" && $("#" + id).val().trim() != "") {
        showKeyboardTemp(id, type);
        handlePageBack();
    } else {
        showKeyboardTemp(id, type);
    }
};