var ywlx = $("body").attr("data-ywlx");
//  从本地存储中获取上一页面中合约信息
var dataList = getLocalData("hyDetailInfo");
var app = angular.module('hyxq', []);

app.controller('hyxqController', function ($rootScope, $scope, $http, $compile) {
    dataList = dataList == null ? {} : JSON.parse(dataList);
    console.log(dataList);
    var totalHeight = document.documentElement.clientHeight;
    var titleHeight = document.getElementById("dm-detail").clientHeight;
    var changeStyle = document.getElementById("dm-info").style;
    changeStyle.overflow = "auto";
    changeStyle.height = totalHeight - titleHeight + "px";

    if (getLocalData("page") == "未了结合约查询") {
        $("title").text("合约查询");
        $scope.rowDetails = [{
            name: "委托日期",
            value: formatDate(dataList.wtrq || "", "yyyy-MM-dd")
        }, {
            name: "委托编号",
            value: dataList.hybh ? dataList.hybh : "--"
        }, {
            name: "合约金额",
            value: parseFloat(dataList.qsje)
        }, {
            name: "合约状态",
            value: dataList.hyztsm ? dataList.hyztsm : "--"
        }, {
            name: "委托数量",
            value: dataList.wtsl ? dataList.wtsl : "--"
        }, {
            name: "成交数量",
            value: dataList.cjsl ? dataList.cjsl : "--"
        }, {
            name: "成交金额",
            value: dataList.cjje ? dataList.cjje : "--"
        }, {
            name: "清算金额",
            value: dataList.qsje ? parseFloat(dataList.qsje) : "--"
        }, {
            name: "参考浮动盈亏",
            value: dataList.ckfdyk ? dataList.ckfdyk : "--"
        }, {
            name: "应还金额",
            value: dataList.whhyje || "--"
        }, {
            name: "应还数量",
            value: dataList.whhysl || "--"
        }, {
            name: "息费",
            value: dataList.rzlx ? dataList.rzlx : "--"
        }, {
            name: "逾期未偿还息费",
            value: dataList.yqlx ? dataList.yqlx : "--"
        }, {
            name: "负债到期日",
            value: formatDate(dataList.jzrq || "", "yyyy-MM-dd")
        }, {
            name: "未偿还权益金额",
            value: dataList.wchqyje ? dataList.wchqyje : "--"
        }, {
            name: "未偿还权益数量",
            value: dataList.wchqysl ? dataList.wchqysl : "--"
        }, {
            name: "实时偿还利息",
            value: dataList.sschlx ? dataList.sschlx : "--"
        }, {
            name: "逾期未偿还权益数量",
            value: dataList.yqwchqysl ? dataList.yqwchqysl : "--"
        }, {
            name: "委托冻结金额",
            value: dataList.wtdjje ? dataList.wtdjje : "--"
        }];
    } else if (getLocalData("page") == "已了结合约查询") {
        $("title").text("合约查询");
        $scope.rowDetails = [{
            name: "委托日期",
            value: formatDate(dataList.wtrq || "", "yyyy-MM-dd")
        }, {
            name: "委托编号",
            value: dataList.hybh ? dataList.hybh : "--"
        }, {
            name: "合约金额",
            value: parseFloat(dataList.qsje)
        }, {
            name: "合约状态",
            value: dataList.hyztsm ? dataList.hyztsm : "--"
        }, {
            name: "委托数量",
            value: dataList.wtsl ? dataList.wtsl : "--"
        }, {
            name: "成交数量",
            value: dataList.cjsl ? dataList.cjsl : "--"
        }, {
            name: "成交金额",
            value: dataList.cjje ? dataList.cjje : "--"
        }, {
            name: "清算金额",
            value: dataList.qsje ? parseFloat(dataList.qsje) : "--"
        }, {
            name: "参考浮动盈亏",
            value: dataList.ckfdyk ? dataList.ckfdyk : "--"
        }, {
            name: "息费",
            value: dataList.rzlx ? dataList.rzlx : "--"
        }, {
            name: "逾期未偿还息费",
            value: dataList.yqlx ? dataList.yqlx : "--"
        }, {
            name: "负债到期日",
            value: formatDate(dataList.jzrq || "", "yyyy-MM-dd")
        }, {
            name: "未偿还权益金额",
            value: dataList.wchqyje ? dataList.wchqyje : "--"
        }, {
            name: "未偿还权益数量",
            value: dataList.wchqysl ? dataList.wchqysl : "--"
        }, {
            name: "实时偿还利息",
            value: dataList.sschlx ? dataList.sschlx : "--"
        }, {
            name: "逾期未偿还权益数量",
            value: dataList.yqwchqysl ? dataList.yqwchqysl : "--"
        }, {
            name: "委托冻结金额",
            value: dataList.wtdjje ? dataList.wtdjje : "--"
        }];
    } else if (getLocalData("page") == "委托成交" || getLocalData("page") == "当日委托") {
        $("title").text("委托成交详情");
        if (getLocalData("jumpState") == "wtcx") {
            $scope.rowDetails = [{
                name: "委托时间",
                value: formatDate(dataList.wtrq || "", "yyyy-MM-dd")
            }, {
                name: "买卖标志",
                value: dataList.mmlbsm ? dataList.mmlbsm : "--"
            }, {
                name: "委托价格",
                value: dataList.wtjg ? dataList.wtjg : "--"
            }, {
                name: "委托数量",
                value: dataList.wtsl ? dataList.wtsl : "--"
            }, {
                name: "委托编号",
                value: dataList.wtxh ? dataList.wtxh : "--"
            }, {
                name: "成交数量",
                value: dataList.cjsl ? dataList.cjsl : "--"
            }, {
                name: "成交金额",
                value: dataList.cjje ? dataList.cjje : "--"
            }, {
                name: "撤单数量",
                //value: dataList.mmlbsm ? dataList.mmlbsm : "--"
                value: "--"
            }, {
                name: "状态说明",
                value: dataList.wtztsm ? dataList.wtztsm : "--"
            }, {
                name: "撤单标志",
                //value: dataList.mmlbsm ? dataList.mmlbsm : "--"
                value: "--"
            }, {
                name: "备注信息",
                value: dataList.bzxx ? dataList.bzxx : "--"
            }];
        } else if (getLocalData("jumpState") == "cjcx") {
            $scope.rowDetails = [{
                name: "委托时间",
                value: formatDate(dataList.wtrq || "", "yyyy-MM-dd")
            }, {
                name: "买卖标志",
                value: dataList.mmlbsm ? dataList.mmlbsm : "--"
            }, {
                name: "委托价格",
                value: dataList.wtjg ? dataList.wtjg : "--"
            }, {
                name: "委托数量",
                value: dataList.wtsl ? dataList.wtsl : "--"
            }, {
                name: "委托编号",
                value: dataList.wtxh ? dataList.wtxh : "--"
            }, {
                name: "成交价格",
                value: dataList.cjjg ? dataList.cjjg : "--"
            }, {
                name: "成交数量",
                value: dataList.cjsl ? dataList.cjsl : "--"
            }, {
                name: "成交金额",
                value: dataList.cjje ? dataList.cjje : "--"
            }, {
                name: "成交编号",
                //value: dataList.mmlbsm ? dataList.mmlbsm : "--"
                value: "--"
            }, {
                name: "状态说明",
                value: dataList.wtztsm ? dataList.wtztsm : "--"
            }];
        }
    }

    $scope.stockName = dataList.zqmc;
    $scope.stockCode = dataList.zqdm;
});